      subroutine hddmjac5(njac,nrxn,H2O,M,O2,CH4,H2,flg,jac,y,rk)
      implicit none
c
c----CAMx v5.20.1 1007014
c
c     HDDMJAC5 computes a full Jacobian for HDDM
c
c     Copyright 1996 - 2010
c     ENVIRON International Corporation
c     Created by the CMC version 5.2
c
c     Routines Called:
c        none
c
c     Called by:
c        HDDMCHEM
c
      include "camx.prm"
      include "chmdat.com"
      include "ddmchm.com"
c
      integer njac, nrxn, i, j
      real H2O, M, O2, CH4, H2, N2, flg
      real jac(njac+1,njac+1), y(njac+1), rk(nrxn)
c
c --- Entry point
c
      N2  = M - O2
c

          JAC(lNO2 ,lNO2 )= +( 1.000)*rk(  1)*flg
     &                      +( 1.000)*rk(  5)    *y(lO)
     &                      +( 1.000)*rk(  6)    *y(lO)
     &                      +( 1.000)*rk(  8)    *y(lO3)
     &                      +( 1.000)*rk( 11)    *y(lNO3)
     &                      +( 1.000)*rk( 14)    *y(lNO3)
     &                      +(-1.000)*rk( 14)    *y(lNO3)
     &                      +( 1.000)*rk( 25)    *y(lOH)
     &                      +( 1.000)*rk( 32)    *y(lHO2)
          JAC(lNO2 ,lNO2 )=JAC(lNO2 ,lNO2 )
     &                      +( 1.000)*rk( 69)    *y(lCCO3)
     &                      +( 1.000)*rk( 79)    *y(lRCO3)
     &                      +( 1.000)*rk( 90)    *y(lBZCO)
     &                      +( 1.000)*rk(102)    *y(lMCO3)
     &                      +( 1.000)*rk(115)    *y(lTBUO)
     &                      +( 1.000)*rk(117)    *y(lBZO)
     &                      +( 1.000)*rk(120)    *y(lBZNO)
          JAC(lNO2 ,lNO  )= +(-1.000)*rk(  4)    *y(lO)*M
     &                      +(-1.000)*rk(  7)    *y(lO3)
     &                      +(-2.000)*rk(  9)    *y(lNO3)
     &                      +(-4.000)*rk( 10)    *y(lNO)*O2
     &                      +(-1.000)*rk( 31)    *y(lHO2)
     &                      +(-1.000)*rk( 46)    *y(lCXO2)
     &                      +(-1.000)*rk( 51)    *y(lRO2R)
     &                      +(-1.000)*rk( 56)    *y(lR2O2)
     &                      +(-1.000)*rk( 71)    *y(lCCO3)
          JAC(lNO2 ,lNO  )=JAC(lNO2 ,lNO  )
     &                      +(-1.000)*rk( 81)    *y(lRCO3)
     &                      +(-1.000)*rk( 92)    *y(lBZCO)
     &                      +(-1.000)*rk(104)    *y(lMCO3)
     &                      +(-1.000)*rk(128)    *y(lHCO3)
          JAC(lNO2 ,lO   )= +(-1.000)*rk(  4)    *y(lNO)*M
     &                      +( 1.000)*rk(  5)    *y(lNO2)
     &                      +( 1.000)*rk(  6)    *y(lNO2)
          JAC(lNO2 ,lO3  )= +(-1.000)*rk(  7)    *y(lNO)
     &                      +( 1.000)*rk(  8)    *y(lNO2)
          JAC(lNO2 ,lNO3 )= +(-2.000)*rk(  9)    *y(lNO)
     &                      +( 1.000)*rk( 11)    *y(lNO2)
     &                      +( 1.000)*rk( 14)    *y(lNO2)
     &                      +(-1.000)*rk( 14)    *y(lNO2)
     &                      +(-1.000)*rk( 16)*flg
     &                      +(-1.000)*rk( 26)    *y(lOH)
     &                      +(-0.800)*rk( 39)    *y(lHO2)
     &                      +(-4.000)*rk( 40)    *y(lNO3)
     &                      +(-1.000)*rk( 48)    *y(lCXO2)
          JAC(lNO2 ,lNO3 )=JAC(lNO2 ,lNO3 )
     &                      +(-1.000)*rk( 53)    *y(lRO2R)
     &                      +(-1.000)*rk( 58)    *y(lR2O2)
     &                      +(-1.000)*rk( 65)    *y(lRO2N)
     &                      +(-1.000)*rk( 73)    *y(lCCO3)
     &                      +(-1.000)*rk( 83)    *y(lRCO3)
     &                      +(-1.000)*rk( 94)    *y(lBZCO)
     &                      +(-1.000)*rk(106)    *y(lMCO3)
     &                      +(-0.187)*rk(191)    *y(lISOP)
          JAC(lNO2 ,lNO3 )=JAC(lNO2 ,lNO3 )
     &                      +(-0.474)*rk(195)    *y(lTERP)
     &                      +(-0.391)*rk(210)    *y(lOLE2)
          JAC(lNO2 ,lN2O5)= +(-1.000)*rk( 12)*flg
          JAC(lNO2 ,lHNO3)= +(-1.000)*rk( 28)*flg
          JAC(lNO2 ,lOH  )= +(-1.000)*rk( 24)    *y(lHONO)
     &                      +( 1.000)*rk( 25)    *y(lNO2)
     &                      +(-1.000)*rk( 26)    *y(lNO3)
     &                      +(-1.000)*rk( 35)    *y(lHNO4)
     &                      +(-0.338)*rk(176)    *y(lRNO3)
          JAC(lNO2 ,lHONO)= +(-1.000)*rk( 23)*flg
     &                      +(-1.000)*rk( 24)    *y(lOH)
          JAC(lNO2 ,lHO2 )= +(-1.000)*rk( 31)    *y(lNO)
     &                      +( 1.000)*rk( 32)    *y(lNO2)
     &                      +(-0.800)*rk( 39)    *y(lNO3)
          JAC(lNO2 ,lHNO4)= +(-1.000)*rk( 33)*flg
     &                      +(-0.610)*rk( 34)*flg
     &                      +(-1.000)*rk( 35)    *y(lOH)
          JAC(lNO2 ,lCXO2)= +(-1.000)*rk( 46)    *y(lNO)
     &                      +(-1.000)*rk( 48)    *y(lNO3)
          JAC(lNO2 ,lRO2R)= +(-1.000)*rk( 51)    *y(lNO)
     &                      +(-1.000)*rk( 53)    *y(lNO3)
          JAC(lNO2 ,lR2O2)= +(-1.000)*rk( 56)    *y(lNO)
     &                      +(-1.000)*rk( 58)    *y(lNO3)
          JAC(lNO2 ,lRO2N)= +(-1.000)*rk( 65)    *y(lNO3)
          JAC(lNO2 ,lRNO3)= +(-0.338)*rk(176)    *y(lOH)
     &                      +(-1.000)*rk(177)*flg
          JAC(lNO2 ,lCCO3)= +( 1.000)*rk( 69)    *y(lNO2)
     &                      +(-1.000)*rk( 71)    *y(lNO)
     &                      +(-1.000)*rk( 73)    *y(lNO3)
          JAC(lNO2 ,lPAN )= +(-1.000)*rk( 70)*flg
          JAC(lNO2 ,lRCO3)= +( 1.000)*rk( 79)    *y(lNO2)
     &                      +(-1.000)*rk( 81)    *y(lNO)
     &                      +(-1.000)*rk( 83)    *y(lNO3)
          JAC(lNO2 ,lPAN2)= +(-1.000)*rk( 80)*flg
          JAC(lNO2 ,lBZCO)= +( 1.000)*rk( 90)    *y(lNO2)
     &                      +(-1.000)*rk( 92)    *y(lNO)
     &                      +(-1.000)*rk( 94)    *y(lNO3)
          JAC(lNO2 ,lPBZN)= +(-1.000)*rk( 91)*flg
          JAC(lNO2 ,lBZO )= +( 1.000)*rk(117)    *y(lNO2)
          JAC(lNO2 ,lMCO3)= +( 1.000)*rk(102)    *y(lNO2)
     &                      +(-1.000)*rk(104)    *y(lNO)
     &                      +(-1.000)*rk(106)    *y(lNO3)
          JAC(lNO2 ,lMPAN)= +(-1.000)*rk(103)*flg
          JAC(lNO2 ,lTBUO)= +( 1.000)*rk(115)    *y(lNO2)
          JAC(lNO2 ,lBZNO)= +( 1.000)*rk(120)    *y(lNO2)
          JAC(lNO2 ,lHCO3)= +(-1.000)*rk(128)    *y(lNO)
          JAC(lNO2 ,lISOP)= +(-0.187)*rk(191)    *y(lNO3)
          JAC(lNO2 ,lTERP)= +(-0.474)*rk(195)    *y(lNO3)
          JAC(lNO2 ,lOLE2)= +(-0.391)*rk(210)    *y(lNO3)
          JAC(lNO  ,lNO2 )= +(-1.000)*rk(  1)*flg
     &                      +(-1.000)*rk(  5)    *y(lO)
     &                      +(-1.000)*rk( 14)    *y(lNO3)
          JAC(lNO  ,lNO  )= +( 1.000)*rk(  4)    *y(lO)*M
     &                      +( 1.000)*rk(  7)    *y(lO3)
     &                      +( 1.000)*rk(  9)    *y(lNO3)
     &                      +( 4.000)*rk( 10)    *y(lNO)*O2
     &                      +( 1.000)*rk( 21)    *y(lOH)
     &                      +( 1.000)*rk( 31)    *y(lHO2)
     &                      +( 1.000)*rk( 46)    *y(lCXO2)
     &                      +( 1.000)*rk( 51)    *y(lRO2R)
     &                      +( 1.000)*rk( 56)    *y(lR2O2)
          JAC(lNO  ,lNO  )=JAC(lNO  ,lNO  )
     &                      +( 1.000)*rk( 62)    *y(lRO2N)
     &                      +( 1.000)*rk( 71)    *y(lCCO3)
     &                      +( 1.000)*rk( 81)    *y(lRCO3)
     &                      +( 1.000)*rk( 92)    *y(lBZCO)
     &                      +( 1.000)*rk(104)    *y(lMCO3)
     &                      +( 1.000)*rk(128)    *y(lHCO3)
          JAC(lNO  ,lO   )= +( 1.000)*rk(  4)    *y(lNO)*M
     &                      +(-1.000)*rk(  5)    *y(lNO2)
          JAC(lNO  ,lO3  )= +( 1.000)*rk(  7)    *y(lNO)
          JAC(lNO  ,lNO3 )= +( 1.000)*rk(  9)    *y(lNO)
     &                      +(-1.000)*rk( 14)    *y(lNO2)
     &                      +(-1.000)*rk( 15)*flg
          JAC(lNO  ,lOH  )= +( 1.000)*rk( 21)    *y(lNO)
          JAC(lNO  ,lHONO)= +(-1.000)*rk( 22)*flg
          JAC(lNO  ,lHO2 )= +( 1.000)*rk( 31)    *y(lNO)
          JAC(lNO  ,lCXO2)= +( 1.000)*rk( 46)    *y(lNO)
          JAC(lNO  ,lRO2R)= +( 1.000)*rk( 51)    *y(lNO)
          JAC(lNO  ,lR2O2)= +( 1.000)*rk( 56)    *y(lNO)
          JAC(lNO  ,lRO2N)= +( 1.000)*rk( 62)    *y(lNO)
          JAC(lNO  ,lCCO3)= +( 1.000)*rk( 71)    *y(lNO)
          JAC(lNO  ,lRCO3)= +( 1.000)*rk( 81)    *y(lNO)
          JAC(lNO  ,lBZCO)= +( 1.000)*rk( 92)    *y(lNO)
          JAC(lNO  ,lMCO3)= +( 1.000)*rk(104)    *y(lNO)
          JAC(lNO  ,lHCO3)= +( 1.000)*rk(128)    *y(lNO)
          JAC(lO   ,lNO2 )= +(-1.000)*rk(  1)*flg
     &                      +( 1.000)*rk(  5)    *y(lO)
     &                      +( 1.000)*rk(  6)    *y(lO)
          JAC(lO   ,lNO  )= +( 1.000)*rk(  4)    *y(lO)*M
          JAC(lO   ,lO   )= +( 1.000)*rk(  2)*flg*O2*M
     &                      +( 1.000)*rk(  3)    *y(lO3)
     &                      +( 1.000)*rk(  4)    *y(lNO)*M
     &                      +( 1.000)*rk(  5)    *y(lNO2)
     &                      +( 1.000)*rk(  6)    *y(lNO2)
     &                      +( 1.000)*rk(164)    *y(lMETH)
     &                      +( 1.000)*rk(168)    *y(lMVK)
     &                      +( 1.000)*rk(188)    *y(lETHE)
     &                      +( 1.000)*rk(192)    *y(lISOP)
          JAC(lO   ,lO   )=JAC(lO   ,lO   )
     &                      +( 1.000)*rk(196)    *y(lTERP)
     &                      +( 1.000)*rk(207)    *y(lOLE1)
     &                      +( 1.000)*rk(211)    *y(lOLE2)
     &                      +( 1.000)*rk(217)    *y(lMBUT)
          JAC(lO   ,lO3  )= +( 1.000)*rk(  3)    *y(lO)
     &                      +(-1.000)*rk( 17)*flg
          JAC(lO   ,lNO3 )= +(-1.000)*rk( 16)*flg
          JAC(lO   ,lO1D )= +(-1.000)*rk( 20)*flg*M
          JAC(lO   ,lMETH)= +( 1.000)*rk(164)    *y(lO)
          JAC(lO   ,lMVK )= +( 1.000)*rk(168)    *y(lO)
          JAC(lO   ,lETHE)= +( 1.000)*rk(188)    *y(lO)
          JAC(lO   ,lISOP)= +( 1.000)*rk(192)    *y(lO)
          JAC(lO   ,lTERP)= +( 1.000)*rk(196)    *y(lO)
          JAC(lO   ,lOLE1)= +( 1.000)*rk(207)    *y(lO)
          JAC(lO   ,lOLE2)= +( 1.000)*rk(211)    *y(lO)
          JAC(lO   ,lMBUT)= +( 1.000)*rk(217)    *y(lO)
          JAC(lO3  ,lNO2 )= +( 1.000)*rk(  8)    *y(lO3)
          JAC(lO3  ,lNO  )= +( 1.000)*rk(  7)    *y(lO3)
          JAC(lO3  ,lO   )= +(-1.000)*rk(  2)*flg*O2*M
     &                      +( 1.000)*rk(  3)    *y(lO3)
          JAC(lO3  ,lO3  )= +( 1.000)*rk(  3)    *y(lO)
     &                      +( 1.000)*rk(  7)    *y(lNO)
     &                      +( 1.000)*rk(  8)    *y(lNO2)
     &                      +( 1.000)*rk( 17)*flg
     &                      +( 1.000)*rk( 18)*flg
     &                      +( 1.000)*rk( 30)    *y(lOH)
     &                      +( 1.000)*rk( 36)    *y(lHO2)
     &                      +( 1.000)*rk(162)    *y(lMETH)
     &                      +( 1.000)*rk(167)    *y(lMVK)
          JAC(lO3  ,lO3  )=JAC(lO3  ,lO3  )
     &                      +( 1.000)*rk(171)    *y(lISPD)
     &                      +( 1.000)*rk(179)    *y(lDCB1)
     &                      +( 1.000)*rk(186)    *y(lETHE)
     &                      +( 1.000)*rk(190)    *y(lISOP)
     &                      +( 1.000)*rk(194)    *y(lTERP)
     &                      +( 1.000)*rk(205)    *y(lOLE1)
     &                      +( 1.000)*rk(209)    *y(lOLE2)
     &                      +( 1.000)*rk(215)    *y(lMBUT)
          JAC(lO3  ,lOH  )= +( 1.000)*rk( 30)    *y(lO3)
          JAC(lO3  ,lHO2 )= +( 1.000)*rk( 36)    *y(lO3)
     &                      +(-0.250)*rk( 72)    *y(lCCO3)
     &                      +(-0.250)*rk( 82)    *y(lRCO3)
     &                      +(-0.250)*rk( 93)    *y(lBZCO)
     &                      +(-0.250)*rk(105)    *y(lMCO3)
          JAC(lO3  ,lCCO3)= +(-0.250)*rk( 72)    *y(lHO2)
          JAC(lO3  ,lRCO3)= +(-0.250)*rk( 82)    *y(lHO2)
          JAC(lO3  ,lBZCO)= +(-0.250)*rk( 93)    *y(lHO2)
          JAC(lO3  ,lMCO3)= +(-0.250)*rk(105)    *y(lHO2)
          JAC(lO3  ,lMETH)= +( 1.000)*rk(162)    *y(lO3)
          JAC(lO3  ,lMVK )= +( 1.000)*rk(167)    *y(lO3)
          JAC(lO3  ,lISPD)= +( 1.000)*rk(171)    *y(lO3)
          JAC(lO3  ,lDCB1)= +( 1.000)*rk(179)    *y(lO3)
          JAC(lO3  ,lETHE)= +( 1.000)*rk(186)    *y(lO3)
          JAC(lO3  ,lISOP)= +( 1.000)*rk(190)    *y(lO3)
          JAC(lO3  ,lTERP)= +( 1.000)*rk(194)    *y(lO3)
          JAC(lO3  ,lOLE1)= +( 1.000)*rk(205)    *y(lO3)
          JAC(lO3  ,lOLE2)= +( 1.000)*rk(209)    *y(lO3)
          JAC(lO3  ,lMBUT)= +( 1.000)*rk(215)    *y(lO3)
          JAC(lNO3 ,lNO2 )= +(-1.000)*rk(  6)    *y(lO)
     &                      +(-1.000)*rk(  8)    *y(lO3)
     &                      +( 1.000)*rk( 11)    *y(lNO3)
     &                      +( 1.000)*rk( 14)    *y(lNO3)
          JAC(lNO3 ,lNO  )= +( 1.000)*rk(  9)    *y(lNO3)
          JAC(lNO3 ,lO   )= +(-1.000)*rk(  6)    *y(lNO2)
          JAC(lNO3 ,lO3  )= +(-1.000)*rk(  8)    *y(lNO2)
          JAC(lNO3 ,lNO3 )= +( 1.000)*rk(  9)    *y(lNO)
     &                      +( 1.000)*rk( 11)    *y(lNO2)
     &                      +( 1.000)*rk( 14)    *y(lNO2)
     &                      +( 1.000)*rk( 15)*flg
     &                      +( 1.000)*rk( 16)*flg
     &                      +( 1.000)*rk( 26)    *y(lOH)
     &                      +( 1.000)*rk( 39)    *y(lHO2)
     &                      +( 4.000)*rk( 40)    *y(lNO3)
     &                      +( 1.000)*rk( 48)    *y(lCXO2)
          JAC(lNO3 ,lNO3 )=JAC(lNO3 ,lNO3 )
     &                      +( 1.000)*rk( 53)    *y(lRO2R)
     &                      +( 1.000)*rk( 58)    *y(lR2O2)
     &                      +( 1.000)*rk( 65)    *y(lRO2N)
     &                      +( 1.000)*rk( 73)    *y(lCCO3)
     &                      +( 1.000)*rk( 83)    *y(lRCO3)
     &                      +( 1.000)*rk( 94)    *y(lBZCO)
     &                      +( 1.000)*rk(106)    *y(lMCO3)
     &                      +( 1.000)*rk(129)    *y(lHCHO)
          JAC(lNO3 ,lNO3 )=JAC(lNO3 ,lNO3 )
     &                      +( 1.000)*rk(132)    *y(lCCHO)
     &                      +( 1.000)*rk(135)    *y(lRCHO)
     &                      +( 1.000)*rk(148)    *y(lGLY)
     &                      +( 1.000)*rk(151)    *y(lMGLY)
     &                      +( 1.000)*rk(154)    *y(lPHEN)
     &                      +( 1.000)*rk(156)    *y(lCRES)
     &                      +( 1.000)*rk(157)    *y(lNPHE)
     &                      +( 1.000)*rk(160)    *y(lBALD)
          JAC(lNO3 ,lNO3 )=JAC(lNO3 ,lNO3 )
     &                      +( 1.000)*rk(163)    *y(lMETH)
     &                      +( 1.000)*rk(172)    *y(lISPD)
     &                      +( 1.000)*rk(187)    *y(lETHE)
     &                      +( 1.000)*rk(191)    *y(lISOP)
     &                      +( 1.000)*rk(195)    *y(lTERP)
     &                      +( 1.000)*rk(206)    *y(lOLE1)
     &                      +( 1.000)*rk(210)    *y(lOLE2)
     &                      +( 1.000)*rk(216)    *y(lMBUT)
          JAC(lNO3 ,lN2O5)= +(-1.000)*rk( 12)*flg
          JAC(lNO3 ,lHNO3)= +(-1.000)*rk( 27)    *y(lOH)
          JAC(lNO3 ,lOH  )= +( 1.000)*rk( 26)    *y(lNO3)
     &                      +(-1.000)*rk( 27)    *y(lHNO3)
          JAC(lNO3 ,lHO2 )= +( 1.000)*rk( 39)    *y(lNO3)
          JAC(lNO3 ,lHNO4)= +(-0.390)*rk( 34)*flg
          JAC(lNO3 ,lCXO2)= +( 1.000)*rk( 48)    *y(lNO3)
          JAC(lNO3 ,lHCHO)= +( 1.000)*rk(129)    *y(lNO3)
          JAC(lNO3 ,lRO2R)= +( 1.000)*rk( 53)    *y(lNO3)
          JAC(lNO3 ,lR2O2)= +( 1.000)*rk( 58)    *y(lNO3)
          JAC(lNO3 ,lRO2N)= +( 1.000)*rk( 65)    *y(lNO3)
          JAC(lNO3 ,lCCO3)= +( 1.000)*rk( 73)    *y(lNO3)
          JAC(lNO3 ,lRCO3)= +( 1.000)*rk( 83)    *y(lNO3)
          JAC(lNO3 ,lCCHO)= +( 1.000)*rk(132)    *y(lNO3)
          JAC(lNO3 ,lBZCO)= +( 1.000)*rk( 94)    *y(lNO3)
          JAC(lNO3 ,lMCO3)= +( 1.000)*rk(106)    *y(lNO3)
          JAC(lNO3 ,lNPHE)= +( 1.000)*rk(157)    *y(lNO3)
          JAC(lNO3 ,lPHEN)= +( 1.000)*rk(154)    *y(lNO3)
          JAC(lNO3 ,lRCHO)= +( 1.000)*rk(135)    *y(lNO3)
          JAC(lNO3 ,lGLY )= +( 1.000)*rk(148)    *y(lNO3)
          JAC(lNO3 ,lMGLY)= +( 1.000)*rk(151)    *y(lNO3)
          JAC(lNO3 ,lCRES)= +( 1.000)*rk(156)    *y(lNO3)
          JAC(lNO3 ,lBALD)= +( 1.000)*rk(160)    *y(lNO3)
          JAC(lNO3 ,lMETH)= +( 1.000)*rk(163)    *y(lNO3)
          JAC(lNO3 ,lISPD)= +( 1.000)*rk(172)    *y(lNO3)
          JAC(lNO3 ,lETHE)= +( 1.000)*rk(187)    *y(lNO3)
          JAC(lNO3 ,lISOP)= +( 1.000)*rk(191)    *y(lNO3)
          JAC(lNO3 ,lTERP)= +( 1.000)*rk(195)    *y(lNO3)
          JAC(lNO3 ,lOLE1)= +( 1.000)*rk(206)    *y(lNO3)
          JAC(lNO3 ,lOLE2)= +( 1.000)*rk(210)    *y(lNO3)
          JAC(lNO3 ,lMBUT)= +( 1.000)*rk(216)    *y(lNO3)
          JAC(lN2O5,lNO2 )= +(-1.000)*rk( 11)    *y(lNO3)
          JAC(lN2O5,lNO3 )= +(-1.000)*rk( 11)    *y(lNO2)
          JAC(lN2O5,lN2O5)= +( 1.000)*rk( 12)*flg
     &                      +( 1.000)*rk( 13)*flg*H2O
          JAC(lHNO3,lNO2 )= +(-1.000)*rk( 25)    *y(lOH)
          JAC(lHNO3,lNO3 )= +(-0.200)*rk( 39)    *y(lHO2)
     &                      +(-1.000)*rk(129)    *y(lHCHO)
     &                      +(-1.000)*rk(132)    *y(lCCHO)
     &                      +(-1.000)*rk(135)    *y(lRCHO)
     &                      +(-1.000)*rk(148)    *y(lGLY)
     &                      +(-1.000)*rk(151)    *y(lMGLY)
     &                      +(-1.000)*rk(154)    *y(lPHEN)
     &                      +(-1.000)*rk(156)    *y(lCRES)
     &                      +(-1.000)*rk(157)    *y(lNPHE)
          JAC(lHNO3,lNO3 )=JAC(lHNO3,lNO3 )
     &                      +(-1.000)*rk(160)    *y(lBALD)
     &                      +(-0.500)*rk(163)    *y(lMETH)
     &                      +(-0.150)*rk(172)    *y(lISPD)
          JAC(lHNO3,lN2O5)= +(-2.000)*rk( 13)*flg*H2O
          JAC(lHNO3,lHNO3)= +( 1.000)*rk( 27)    *y(lOH)
     &                      +( 1.000)*rk( 28)*flg
          JAC(lHNO3,lOH  )= +(-1.000)*rk( 25)    *y(lNO2)
     &                      +( 1.000)*rk( 27)    *y(lHNO3)
          JAC(lHNO3,lHO2 )= +(-0.200)*rk( 39)    *y(lNO3)
          JAC(lHNO3,lHCHO)= +(-1.000)*rk(129)    *y(lNO3)
          JAC(lHNO3,lCCHO)= +(-1.000)*rk(132)    *y(lNO3)
          JAC(lHNO3,lNPHE)= +(-1.000)*rk(157)    *y(lNO3)
          JAC(lHNO3,lPHEN)= +(-1.000)*rk(154)    *y(lNO3)
          JAC(lHNO3,lRCHO)= +(-1.000)*rk(135)    *y(lNO3)
          JAC(lHNO3,lGLY )= +(-1.000)*rk(148)    *y(lNO3)
          JAC(lHNO3,lMGLY)= +(-1.000)*rk(151)    *y(lNO3)
          JAC(lHNO3,lCRES)= +(-1.000)*rk(156)    *y(lNO3)
          JAC(lHNO3,lBALD)= +(-1.000)*rk(160)    *y(lNO3)
          JAC(lHNO3,lMETH)= +(-0.500)*rk(163)    *y(lNO3)
          JAC(lHNO3,lISPD)= +(-0.150)*rk(172)    *y(lNO3)
          JAC(lO1D ,lO3  )= +(-1.000)*rk( 18)*flg
          JAC(lO1D ,lO1D )= +( 1.000)*rk( 19)*flg*H2O
     &                      +( 1.000)*rk( 20)*flg*M
          JAC(lOH  ,lNO2 )= +( 1.000)*rk( 25)    *y(lOH)
          JAC(lOH  ,lNO  )= +( 1.000)*rk( 21)    *y(lOH)
     &                      +(-1.000)*rk( 31)    *y(lHO2)
          JAC(lOH  ,lO3  )= +( 1.000)*rk( 30)    *y(lOH)
     &                      +(-1.000)*rk( 36)    *y(lHO2)
     &                      +(-0.208)*rk(162)    *y(lMETH)
     &                      +(-0.164)*rk(167)    *y(lMVK)
     &                      +(-0.285)*rk(171)    *y(lISPD)
     &                      +(-0.500)*rk(179)    *y(lDCB1)
     &                      +(-0.120)*rk(186)    *y(lETHE)
     &                      +(-0.266)*rk(190)    *y(lISOP)
     &                      +(-0.567)*rk(194)    *y(lTERP)
          JAC(lOH  ,lO3  )=JAC(lOH  ,lO3  )
     &                      +(-0.155)*rk(205)    *y(lOLE1)
     &                      +(-0.378)*rk(209)    *y(lOLE2)
     &                      +(-0.099)*rk(215)    *y(lMBUT)
          JAC(lOH  ,lNO3 )= +( 1.000)*rk( 26)    *y(lOH)
     &                      +(-0.800)*rk( 39)    *y(lHO2)
          JAC(lOH  ,lHNO3)= +( 1.000)*rk( 27)    *y(lOH)
     &                      +(-1.000)*rk( 28)*flg
          JAC(lOH  ,lO1D )= +(-2.000)*rk( 19)*flg*H2O
          JAC(lOH  ,lOH  )= +( 1.000)*rk( 21)    *y(lNO)
     &                      +( 1.000)*rk( 24)    *y(lHONO)
     &                      +( 1.000)*rk( 25)    *y(lNO2)
     &                      +( 1.000)*rk( 26)    *y(lNO3)
     &                      +( 1.000)*rk( 27)    *y(lHNO3)
     &                      +( 1.000)*rk( 29)    *y(lCO)
     &                      +( 1.000)*rk( 30)    *y(lO3)
     &                      +( 1.000)*rk( 35)    *y(lHNO4)
     &                      +( 1.000)*rk( 42)    *y(lHO2H)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk( 43)    *y(lHO2)
     &                      +( 1.000)*rk( 44)    *y(lSO2)
     &                      +( 1.000)*rk( 45)*flg*H2
     &                      +( 1.000)*rk(125)    *y(lHCHO)
     &                      +( 1.000)*rk(130)    *y(lCCHO)
     &                      +( 1.000)*rk(133)    *y(lRCHO)
     &                      +( 1.000)*rk(136)    *y(lACET)
     &                      +( 1.000)*rk(138)    *y(lMEK)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk(140)    *y(lMEOH)
     &                      +( 1.000)*rk(141)    *y(lCOOH)
     &                      +(-0.350)*rk(141)    *y(lCOOH)
     &                      +( 1.000)*rk(143)    *y(lROOH)
     &                      +(-0.660)*rk(143)    *y(lROOH)
     &                      +( 1.000)*rk(147)    *y(lGLY)
     &                      +( 1.000)*rk(150)    *y(lMGLY)
     &                      +( 1.000)*rk(153)    *y(lPHEN)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk(155)    *y(lCRES)
     &                      +( 1.000)*rk(158)    *y(lBALD)
     &                      +( 1.000)*rk(161)    *y(lMETH)
     &                      +( 1.000)*rk(166)    *y(lMVK)
     &                      +( 1.000)*rk(170)    *y(lISPD)
     &                      +( 1.000)*rk(174)    *y(lPROD)
     &                      +( 1.000)*rk(176)    *y(lRNO3)
     &                      +( 1.000)*rk(178)    *y(lDCB1)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk(180)    *y(lDCB2)
     &                      +( 1.000)*rk(182)    *y(lDCB3)
     &                      +( 1.000)*rk(184)*flg*CH4
     &                      +( 1.000)*rk(185)    *y(lETHE)
     &                      +( 1.000)*rk(189)    *y(lISOP)
     &                      +( 1.000)*rk(193)    *y(lTERP)
     &                      +( 1.000)*rk(197)    *y(lALK1)
     &                      +( 1.000)*rk(198)    *y(lALK2)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +(-0.246)*rk(198)    *y(lALK2)
     &                      +( 1.000)*rk(199)    *y(lALK3)
     &                      +( 1.000)*rk(200)    *y(lALK4)
     &                      +( 1.000)*rk(201)    *y(lALK5)
     &                      +( 1.000)*rk(202)    *y(lARO1)
     &                      +( 1.000)*rk(203)    *y(lARO2)
     &                      +( 1.000)*rk(204)    *y(lOLE1)
     &                      +( 1.000)*rk(208)    *y(lOLE2)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk(212)    *y(lETOH)
     &                      +( 1.000)*rk(213)    *y(lMTBE)
     &                      +( 1.000)*rk(214)    *y(lMBUT)
          JAC(lOH  ,lHONO)= +(-1.000)*rk( 22)*flg
     &                      +( 1.000)*rk( 24)    *y(lOH)
          JAC(lOH  ,lHO2 )= +(-1.000)*rk( 31)    *y(lNO)
     &                      +(-1.000)*rk( 36)    *y(lO3)
     &                      +(-0.800)*rk( 39)    *y(lNO3)
     &                      +( 1.000)*rk( 43)    *y(lOH)
          JAC(lOH  ,lCO  )= +( 1.000)*rk( 29)    *y(lOH)
          JAC(lOH  ,lHNO4)= +(-0.390)*rk( 34)*flg
     &                      +( 1.000)*rk( 35)    *y(lOH)
          JAC(lOH  ,lHO2H)= +(-2.000)*rk( 41)*flg
     &                      +( 1.000)*rk( 42)    *y(lOH)
          JAC(lOH  ,lSO2 )= +( 1.000)*rk( 44)    *y(lOH)
          JAC(lOH  ,lHCHO)= +( 1.000)*rk(125)    *y(lOH)
          JAC(lOH  ,lCOOH)= +( 1.000)*rk(141)    *y(lOH)
     &                      +(-0.350)*rk(141)    *y(lOH)
     &                      +(-1.000)*rk(142)*flg
          JAC(lOH  ,lMEOH)= +( 1.000)*rk(140)    *y(lOH)
          JAC(lOH  ,lROOH)= +( 1.000)*rk(143)    *y(lOH)
     &                      +(-0.660)*rk(143)    *y(lOH)
     &                      +(-1.000)*rk(144)*flg
          JAC(lOH  ,lRNO3)= +( 1.000)*rk(176)    *y(lOH)
          JAC(lOH  ,lMEK )= +( 1.000)*rk(138)    *y(lOH)
          JAC(lOH  ,lPROD)= +( 1.000)*rk(174)    *y(lOH)
          JAC(lOH  ,lCCHO)= +( 1.000)*rk(130)    *y(lOH)
          JAC(lOH  ,lACET)= +( 1.000)*rk(136)    *y(lOH)
          JAC(lOH  ,lPHEN)= +( 1.000)*rk(153)    *y(lOH)
          JAC(lOH  ,lRCHO)= +( 1.000)*rk(133)    *y(lOH)
          JAC(lOH  ,lGLY )= +( 1.000)*rk(147)    *y(lOH)
          JAC(lOH  ,lMGLY)= +( 1.000)*rk(150)    *y(lOH)
          JAC(lOH  ,lCRES)= +( 1.000)*rk(155)    *y(lOH)
          JAC(lOH  ,lBALD)= +( 1.000)*rk(158)    *y(lOH)
          JAC(lOH  ,lMETH)= +( 1.000)*rk(161)    *y(lOH)
     &                      +(-0.208)*rk(162)    *y(lO3)
     &                      +(-0.330)*rk(165)*flg
          JAC(lOH  ,lMVK )= +( 1.000)*rk(166)    *y(lOH)
     &                      +(-0.164)*rk(167)    *y(lO3)
          JAC(lOH  ,lISPD)= +( 1.000)*rk(170)    *y(lOH)
     &                      +(-0.285)*rk(171)    *y(lO3)
          JAC(lOH  ,lDCB1)= +( 1.000)*rk(178)    *y(lOH)
     &                      +(-0.500)*rk(179)    *y(lO3)
          JAC(lOH  ,lDCB2)= +( 1.000)*rk(180)    *y(lOH)
          JAC(lOH  ,lDCB3)= +( 1.000)*rk(182)    *y(lOH)
          JAC(lOH  ,lETHE)= +( 1.000)*rk(185)    *y(lOH)
     &                      +(-0.120)*rk(186)    *y(lO3)
          JAC(lOH  ,lISOP)= +( 1.000)*rk(189)    *y(lOH)
     &                      +(-0.266)*rk(190)    *y(lO3)
          JAC(lOH  ,lTERP)= +( 1.000)*rk(193)    *y(lOH)
     &                      +(-0.567)*rk(194)    *y(lO3)
          JAC(lOH  ,lALK1)= +( 1.000)*rk(197)    *y(lOH)
          JAC(lOH  ,lALK2)= +( 1.000)*rk(198)    *y(lOH)
     &                      +(-0.246)*rk(198)    *y(lOH)
          JAC(lOH  ,lALK3)= +( 1.000)*rk(199)    *y(lOH)
          JAC(lOH  ,lALK4)= +( 1.000)*rk(200)    *y(lOH)
          JAC(lOH  ,lALK5)= +( 1.000)*rk(201)    *y(lOH)
          JAC(lOH  ,lARO1)= +( 1.000)*rk(202)    *y(lOH)
          JAC(lOH  ,lARO2)= +( 1.000)*rk(203)    *y(lOH)
          JAC(lOH  ,lOLE1)= +( 1.000)*rk(204)    *y(lOH)
     &                      +(-0.155)*rk(205)    *y(lO3)
          JAC(lOH  ,lOLE2)= +( 1.000)*rk(208)    *y(lOH)
     &                      +(-0.378)*rk(209)    *y(lO3)
          JAC(lOH  ,lETOH)= +( 1.000)*rk(212)    *y(lOH)
          JAC(lOH  ,lMTBE)= +( 1.000)*rk(213)    *y(lOH)
          JAC(lOH  ,lMBUT)= +( 1.000)*rk(214)    *y(lOH)
     &                      +(-0.099)*rk(215)    *y(lO3)
          JAC(lHONO,lNO  )= +(-1.000)*rk( 21)    *y(lOH)
          JAC(lHONO,lOH  )= +(-1.000)*rk( 21)    *y(lNO)
     &                      +( 1.000)*rk( 24)    *y(lHONO)
          JAC(lHONO,lHONO)= +( 1.000)*rk( 22)*flg
     &                      +( 1.000)*rk( 23)*flg
     &                      +( 1.000)*rk( 24)    *y(lOH)
          JAC(lHO2 ,lNO2 )= +( 1.000)*rk( 32)    *y(lHO2)
          JAC(lHO2 ,lNO  )= +( 1.000)*rk( 31)    *y(lHO2)
     &                      +(-1.000)*rk( 46)    *y(lCXO2)
     &                      +(-1.000)*rk( 51)    *y(lRO2R)
     &                      +(-1.000)*rk(128)    *y(lHCO3)
          JAC(lHO2 ,lO   )= +(-0.500)*rk(188)    *y(lETHE)
     &                      +(-0.013)*rk(211)    *y(lOLE2)
          JAC(lHO2 ,lO3  )= +(-1.000)*rk( 30)    *y(lOH)
     &                      +( 1.000)*rk( 36)    *y(lHO2)
     &                      +(-0.008)*rk(162)    *y(lMETH)
     &                      +(-0.064)*rk(167)    *y(lMVK)
     &                      +(-0.400)*rk(171)    *y(lISPD)
     &                      +(-1.500)*rk(179)    *y(lDCB1)
     &                      +(-0.120)*rk(186)    *y(lETHE)
     &                      +(-0.033)*rk(194)    *y(lTERP)
     &                      +(-0.056)*rk(205)    *y(lOLE1)
          JAC(lHO2 ,lO3  )=JAC(lHO2 ,lO3  )
     &                      +(-0.003)*rk(209)    *y(lOLE2)
     &                      +(-0.099)*rk(215)    *y(lMBUT)
          JAC(lHO2 ,lNO3 )= +(-1.000)*rk( 26)    *y(lOH)
     &                      +( 1.000)*rk( 39)    *y(lHO2)
     &                      +(-1.000)*rk( 48)    *y(lCXO2)
     &                      +(-1.000)*rk( 53)    *y(lRO2R)
     &                      +(-1.000)*rk( 65)    *y(lRO2N)
     &                      +(-1.000)*rk(129)    *y(lHCHO)
     &                      +(-0.630)*rk(148)    *y(lGLY)
          JAC(lHO2 ,lOH  )= +(-1.000)*rk( 26)    *y(lNO3)
     &                      +(-1.000)*rk( 29)    *y(lCO)
     &                      +(-1.000)*rk( 30)    *y(lO3)
     &                      +(-1.000)*rk( 42)    *y(lHO2H)
     &                      +( 1.000)*rk( 43)    *y(lHO2)
     &                      +(-1.000)*rk( 44)    *y(lSO2)
     &                      +(-1.000)*rk( 45)*flg*H2
     &                      +(-1.000)*rk(125)    *y(lHCHO)
     &                      +(-1.000)*rk(140)    *y(lMEOH)
          JAC(lHO2 ,lOH  )=JAC(lHO2 ,lOH  )
     &                      +(-0.630)*rk(147)    *y(lGLY)
     &                      +(-0.379)*rk(174)    *y(lPROD)
     &                      +(-0.113)*rk(176)    *y(lRNO3)
     &                      +(-0.121)*rk(198)    *y(lALK2)
     &                      +(-0.224)*rk(202)    *y(lARO1)
     &                      +(-0.187)*rk(203)    *y(lARO2)
     &                      +(-0.950)*rk(212)    *y(lETOH)
          JAC(lHO2 ,lHONO)= +(-1.000)*rk( 23)*flg
          JAC(lHO2 ,lHO2 )= +( 1.000)*rk( 31)    *y(lNO)
     &                      +( 1.000)*rk( 32)    *y(lNO2)
     &                      +( 1.000)*rk( 36)    *y(lO3)
     &                      +( 4.000)*rk( 37)    *y(lHO2)
     &                      +( 4.000)*rk( 38)    *y(lHO2)*H2O
     &                      +( 1.000)*rk( 39)    *y(lNO3)
     &                      +( 1.000)*rk( 43)    *y(lOH)
     &                      +( 1.000)*rk( 47)    *y(lCXO2)
     &                      +( 1.000)*rk( 52)    *y(lRO2R)
          JAC(lHO2 ,lHO2 )=JAC(lHO2 ,lHO2 )
     &                      +( 1.000)*rk( 57)    *y(lR2O2)
     &                      +(-1.000)*rk( 57)    *y(lR2O2)
     &                      +( 1.000)*rk( 63)    *y(lRO2N)
     &                      +( 1.000)*rk( 72)    *y(lCCO3)
     &                      +( 1.000)*rk( 82)    *y(lRCO3)
     &                      +( 1.000)*rk( 93)    *y(lBZCO)
     &                      +( 1.000)*rk(105)    *y(lMCO3)
     &                      +( 1.000)*rk(118)    *y(lBZO)
          JAC(lHO2 ,lHO2 )=JAC(lHO2 ,lHO2 )
     &                      +( 1.000)*rk(121)    *y(lBZNO)
     &                      +( 1.000)*rk(126)    *y(lHCHO)
          JAC(lHO2 ,lCO  )= +(-1.000)*rk( 29)    *y(lOH)
          JAC(lHO2 ,lHNO4)= +(-1.000)*rk( 33)*flg
     &                      +(-0.610)*rk( 34)*flg
          JAC(lHO2 ,lHO2H)= +(-1.000)*rk( 42)    *y(lOH)
          JAC(lHO2 ,lSO2 )= +(-1.000)*rk( 44)    *y(lOH)
          JAC(lHO2 ,lCXO2)= +(-1.000)*rk( 46)    *y(lNO)
     &                      +( 1.000)*rk( 47)    *y(lHO2)
     &                      +(-1.000)*rk( 48)    *y(lNO3)
     &                      +(-4.000)*rk( 50)    *y(lCXO2)
     &                      +(-1.000)*rk( 54)    *y(lRO2R)
     &                      +(-1.000)*rk( 64)    *y(lRO2N)
          JAC(lHO2 ,lHCHO)= +(-2.000)*rk(123)*flg
     &                      +(-1.000)*rk(125)    *y(lOH)
     &                      +( 1.000)*rk(126)    *y(lHO2)
     &                      +(-1.000)*rk(129)    *y(lNO3)
          JAC(lHO2 ,lCOOH)= +(-1.000)*rk(142)*flg
          JAC(lHO2 ,lMEOH)= +(-1.000)*rk(140)    *y(lOH)
          JAC(lHO2 ,lRO2R)= +(-1.000)*rk( 51)    *y(lNO)
     &                      +( 1.000)*rk( 52)    *y(lHO2)
     &                      +(-1.000)*rk( 53)    *y(lNO3)
     &                      +(-1.000)*rk( 54)    *y(lCXO2)
     &                      +(-2.000)*rk( 55)    *y(lRO2R)
     &                      +(-1.000)*rk( 66)    *y(lRO2N)
          JAC(lHO2 ,lROOH)= +(-1.000)*rk(144)*flg
          JAC(lHO2 ,lR2O2)= +( 1.000)*rk( 57)    *y(lHO2)
     &                      +(-1.000)*rk( 57)    *y(lHO2)
          JAC(lHO2 ,lRO2N)= +( 1.000)*rk( 63)    *y(lHO2)
     &                      +(-1.000)*rk( 64)    *y(lCXO2)
     &                      +(-1.000)*rk( 65)    *y(lNO3)
     &                      +(-1.000)*rk( 66)    *y(lRO2R)
     &                      +(-2.000)*rk( 68)    *y(lRO2N)
          JAC(lHO2 ,lRNO3)= +(-0.113)*rk(176)    *y(lOH)
     &                      +(-0.341)*rk(177)*flg
          JAC(lHO2 ,lPROD)= +(-0.379)*rk(174)    *y(lOH)
          JAC(lHO2 ,lCCO3)= +( 1.000)*rk( 72)    *y(lHO2)
          JAC(lHO2 ,lRCO3)= +( 1.000)*rk( 82)    *y(lHO2)
          JAC(lHO2 ,lCCHO)= +(-1.000)*rk(131)*flg
          JAC(lHO2 ,lBZCO)= +( 1.000)*rk( 93)    *y(lHO2)
          JAC(lHO2 ,lBZO )= +( 1.000)*rk(118)    *y(lHO2)
          JAC(lHO2 ,lMCO3)= +( 1.000)*rk(105)    *y(lHO2)
          JAC(lHO2 ,lBZNO)= +( 1.000)*rk(121)    *y(lHO2)
          JAC(lHO2 ,lHCO3)= +(-1.000)*rk(127)*flg
     &                      +(-1.000)*rk(128)    *y(lNO)
          JAC(lHO2 ,lRCHO)= +(-1.000)*rk(134)*flg
          JAC(lHO2 ,lGLY )= +(-2.000)*rk(145)*flg
     &                      +(-0.630)*rk(147)    *y(lOH)
     &                      +(-0.630)*rk(148)    *y(lNO3)
          JAC(lHO2 ,lMGLY)= +(-1.000)*rk(149)*flg
          JAC(lHO2 ,lMETH)= +(-0.008)*rk(162)    *y(lO3)
     &                      +(-0.340)*rk(165)*flg
          JAC(lHO2 ,lMVK )= +(-0.064)*rk(167)    *y(lO3)
          JAC(lHO2 ,lISPD)= +(-0.400)*rk(171)    *y(lO3)
     &                      +(-1.233)*rk(173)*flg
          JAC(lHO2 ,lDCB1)= +(-1.500)*rk(179)    *y(lO3)
          JAC(lHO2 ,lDCB2)= +(-0.500)*rk(181)*flg
          JAC(lHO2 ,lDCB3)= +(-0.500)*rk(183)*flg
          JAC(lHO2 ,lETHE)= +(-0.120)*rk(186)    *y(lO3)
     &                      +(-0.500)*rk(188)    *y(lO)
          JAC(lHO2 ,lTERP)= +(-0.033)*rk(194)    *y(lO3)
          JAC(lHO2 ,lALK2)= +(-0.121)*rk(198)    *y(lOH)
          JAC(lHO2 ,lARO1)= +(-0.224)*rk(202)    *y(lOH)
          JAC(lHO2 ,lARO2)= +(-0.187)*rk(203)    *y(lOH)
          JAC(lHO2 ,lOLE1)= +(-0.056)*rk(205)    *y(lO3)
          JAC(lHO2 ,lOLE2)= +(-0.003)*rk(209)    *y(lO3)
     &                      +(-0.013)*rk(211)    *y(lO)
          JAC(lHO2 ,lETOH)= +(-0.950)*rk(212)    *y(lOH)
          JAC(lHO2 ,lMBUT)= +(-0.099)*rk(215)    *y(lO3)
          JAC(lCO  ,lO   )= +(-0.491)*rk(188)    *y(lETHE)
     &                      +(-0.012)*rk(211)    *y(lOLE2)
          JAC(lCO  ,lO3  )= +(-0.450)*rk(162)    *y(lMETH)
     &                      +(-0.475)*rk(167)    *y(lMVK)
     &                      +(-0.498)*rk(171)    *y(lISPD)
     &                      +(-1.500)*rk(179)    *y(lDCB1)
     &                      +(-0.500)*rk(186)    *y(lETHE)
     &                      +(-0.275)*rk(190)    *y(lISOP)
     &                      +(-0.157)*rk(194)    *y(lTERP)
     &                      +(-0.345)*rk(205)    *y(lOLE1)
     &                      +(-0.265)*rk(209)    *y(lOLE2)
          JAC(lCO  ,lO3  )=JAC(lCO  ,lO3  )
     &                      +(-0.365)*rk(215)    *y(lMBUT)
          JAC(lCO  ,lNO3 )= +(-1.000)*rk(129)    *y(lHCHO)
     &                      +(-1.260)*rk(148)    *y(lGLY)
     &                      +(-1.000)*rk(151)    *y(lMGLY)
     &                      +(-0.500)*rk(163)    *y(lMETH)
     &                      +(-0.572)*rk(172)    *y(lISPD)
          JAC(lCO  ,lOH  )= +( 1.000)*rk( 29)    *y(lCO)
     &                      +(-1.000)*rk(125)    *y(lHCHO)
     &                      +(-0.034)*rk(133)    *y(lRCHO)
     &                      +(-1.260)*rk(147)    *y(lGLY)
     &                      +(-1.000)*rk(150)    *y(lMGLY)
     &                      +(-0.416)*rk(161)    *y(lMETH)
     &                      +(-0.336)*rk(170)    *y(lISPD)
     &                      +(-1.000)*rk(178)    *y(lDCB1)
     &                      +(-0.160)*rk(198)    *y(lALK2)
          JAC(lCO  ,lOH  )=JAC(lCO  ,lOH  )
     &                      +(-0.002)*rk(200)    *y(lALK4)
          JAC(lCO  ,lCO  )= +( 1.000)*rk( 29)    *y(lOH)
          JAC(lCO  ,lHCHO)= +(-1.000)*rk(123)*flg
     &                      +(-1.000)*rk(124)*flg
     &                      +(-1.000)*rk(125)    *y(lOH)
     &                      +(-1.000)*rk(129)    *y(lNO3)
          JAC(lCO  ,lCCHO)= +(-1.000)*rk(131)*flg
          JAC(lCO  ,lRCHO)= +(-0.034)*rk(133)    *y(lOH)
     &                      +(-1.000)*rk(134)*flg
          JAC(lCO  ,lGLY )= +(-2.000)*rk(145)*flg
     &                      +(-1.000)*rk(146)*flg
     &                      +(-1.260)*rk(147)    *y(lOH)
     &                      +(-1.260)*rk(148)    *y(lNO3)
          JAC(lCO  ,lMGLY)= +(-1.000)*rk(149)*flg
     &                      +(-1.000)*rk(150)    *y(lOH)
     &                      +(-1.000)*rk(151)    *y(lNO3)
          JAC(lCO  ,lMETH)= +(-0.416)*rk(161)    *y(lOH)
     &                      +(-0.450)*rk(162)    *y(lO3)
     &                      +(-0.500)*rk(163)    *y(lNO3)
     &                      +(-0.670)*rk(165)*flg
          JAC(lCO  ,lMVK )= +(-0.475)*rk(167)    *y(lO3)
     &                      +(-0.700)*rk(169)*flg
          JAC(lCO  ,lISPD)= +(-0.336)*rk(170)    *y(lOH)
     &                      +(-0.498)*rk(171)    *y(lO3)
     &                      +(-0.572)*rk(172)    *y(lNO3)
     &                      +(-1.233)*rk(173)*flg
          JAC(lCO  ,lDCB1)= +(-1.000)*rk(178)    *y(lOH)
     &                      +(-1.500)*rk(179)    *y(lO3)
          JAC(lCO  ,lDCB2)= +(-1.000)*rk(181)*flg
          JAC(lCO  ,lDCB3)= +(-1.000)*rk(183)*flg
          JAC(lCO  ,lETHE)= +(-0.500)*rk(186)    *y(lO3)
     &                      +(-0.491)*rk(188)    *y(lO)
          JAC(lCO  ,lISOP)= +(-0.275)*rk(190)    *y(lO3)
          JAC(lCO  ,lTERP)= +(-0.157)*rk(194)    *y(lO3)
          JAC(lCO  ,lALK2)= +(-0.160)*rk(198)    *y(lOH)
          JAC(lCO  ,lALK4)= +(-0.002)*rk(200)    *y(lOH)
          JAC(lCO  ,lOLE1)= +(-0.345)*rk(205)    *y(lO3)
          JAC(lCO  ,lOLE2)= +(-0.265)*rk(209)    *y(lO3)
     &                      +(-0.012)*rk(211)    *y(lO)
          JAC(lCO  ,lMBUT)= +(-0.365)*rk(215)    *y(lO3)
          JAC(lHNO4,lNO2 )= +(-1.000)*rk( 32)    *y(lHO2)
          JAC(lHNO4,lOH  )= +( 1.000)*rk( 35)    *y(lHNO4)
          JAC(lHNO4,lHO2 )= +(-1.000)*rk( 32)    *y(lNO2)
          JAC(lHNO4,lHNO4)= +( 1.000)*rk( 33)*flg
     &                      +( 1.000)*rk( 34)*flg
     &                      +( 1.000)*rk( 35)    *y(lOH)
          JAC(lHO2H,lOH  )= +( 1.000)*rk( 42)    *y(lHO2H)
          JAC(lHO2H,lHO2 )= +(-2.000)*rk( 37)    *y(lHO2)
     &                      +(-2.000)*rk( 38)    *y(lHO2)*H2O
          JAC(lHO2H,lHO2H)= +( 1.000)*rk( 41)*flg
     &                      +( 1.000)*rk( 42)    *y(lOH)
          JAC(lSO2 ,lOH  )= +( 1.000)*rk( 44)    *y(lSO2)
          JAC(lSO2 ,lSO2 )= +( 1.000)*rk( 44)    *y(lOH)
          JAC(lSULF,lOH  )= +(-1.000)*rk( 44)    *y(lSO2)
          JAC(lSULF,lSO2 )= +(-1.000)*rk( 44)    *y(lOH)
          JAC(lCXO2,lNO  )= +( 1.000)*rk( 46)    *y(lCXO2)
     &                      +(-1.000)*rk( 71)    *y(lCCO3)
          JAC(lCXO2,lO   )= +(-0.300)*rk(188)    *y(lETHE)
     &                      +(-0.250)*rk(192)    *y(lISOP)
          JAC(lCXO2,lO3  )= +(-0.076)*rk(205)    *y(lOLE1)
     &                      +(-0.197)*rk(209)    *y(lOLE2)
          JAC(lCXO2,lNO3 )= +( 1.000)*rk( 48)    *y(lCXO2)
     &                      +(-1.000)*rk( 73)    *y(lCCO3)
     &                      +(-0.030)*rk(210)    *y(lOLE2)
          JAC(lCXO2,lOH  )= +(-0.650)*rk(141)    *y(lCOOH)
     &                      +(-1.000)*rk(184)*flg*CH4
     &                      +(-0.011)*rk(200)    *y(lALK4)
     &                      +(-0.162)*rk(213)    *y(lMTBE)
          JAC(lCXO2,lHO2 )= +( 1.000)*rk( 47)    *y(lCXO2)
          JAC(lCXO2,lCXO2)= +( 1.000)*rk( 46)    *y(lNO)
     &                      +( 1.000)*rk( 47)    *y(lHO2)
     &                      +( 1.000)*rk( 48)    *y(lNO3)
     &                      +( 4.000)*rk( 49)    *y(lCXO2)
     &                      +( 4.000)*rk( 50)    *y(lCXO2)
     &                      +( 1.000)*rk( 54)    *y(lRO2R)
     &                      +( 1.000)*rk( 59)    *y(lR2O2)
     &                      +(-1.000)*rk( 59)    *y(lR2O2)
     &                      +( 1.000)*rk( 64)    *y(lRO2N)
          JAC(lCXO2,lCXO2)=JAC(lCXO2,lCXO2)
     &                      +( 1.000)*rk( 74)    *y(lCCO3)
     &                      +( 1.000)*rk( 84)    *y(lRCO3)
     &                      +( 1.000)*rk( 95)    *y(lBZCO)
     &                      +( 1.000)*rk(107)    *y(lMCO3)
          JAC(lCXO2,lCOOH)= +(-0.650)*rk(141)    *y(lOH)
          JAC(lCXO2,lRO2R)= +( 1.000)*rk( 54)    *y(lCXO2)
          JAC(lCXO2,lR2O2)= +( 1.000)*rk( 59)    *y(lCXO2)
     &                      +(-1.000)*rk( 59)    *y(lCXO2)
          JAC(lCXO2,lRO2N)= +( 1.000)*rk( 64)    *y(lCXO2)
          JAC(lCXO2,lCCO3)= +(-1.000)*rk( 71)    *y(lNO)
     &                      +(-1.000)*rk( 73)    *y(lNO3)
     &                      +( 1.000)*rk( 74)    *y(lCXO2)
     &                      +(-4.000)*rk( 78)    *y(lCCO3)
     &                      +(-1.000)*rk( 88)    *y(lRCO3)
     &                      +(-1.000)*rk( 99)    *y(lBZCO)
     &                      +(-1.000)*rk(111)    *y(lMCO3)
          JAC(lCXO2,lRCO3)= +( 1.000)*rk( 84)    *y(lCXO2)
     &                      +(-1.000)*rk( 88)    *y(lCCO3)
          JAC(lCXO2,lCCHO)= +(-1.000)*rk(131)*flg
          JAC(lCXO2,lBZCO)= +( 1.000)*rk( 95)    *y(lCXO2)
     &                      +(-1.000)*rk( 99)    *y(lCCO3)
          JAC(lCXO2,lMCO3)= +( 1.000)*rk(107)    *y(lCXO2)
     &                      +(-1.000)*rk(111)    *y(lCCO3)
          JAC(lCXO2,lTBUO)= +(-1.000)*rk(116)*flg
          JAC(lCXO2,lACET)= +(-1.000)*rk(137)*flg
          JAC(lCXO2,lMVK )= +(-0.300)*rk(169)*flg
          JAC(lCXO2,lETHE)= +(-0.300)*rk(188)    *y(lO)
          JAC(lCXO2,lISOP)= +(-0.250)*rk(192)    *y(lO)
          JAC(lCXO2,lALK4)= +(-0.011)*rk(200)    *y(lOH)
          JAC(lCXO2,lOLE1)= +(-0.076)*rk(205)    *y(lO3)
          JAC(lCXO2,lOLE2)= +(-0.197)*rk(209)    *y(lO3)
     &                      +(-0.030)*rk(210)    *y(lNO3)
          JAC(lCXO2,lMTBE)= +(-0.162)*rk(213)    *y(lOH)
          JAC(lHCHO,lNO  )= +(-1.000)*rk( 46)    *y(lCXO2)
     &                      +(-1.000)*rk(104)    *y(lMCO3)
          JAC(lHCHO,lO   )= +(-0.191)*rk(188)    *y(lETHE)
     &                      +(-0.240)*rk(192)    *y(lISOP)
          JAC(lHCHO,lO3  )= +(-0.200)*rk(162)    *y(lMETH)
     &                      +(-0.100)*rk(167)    *y(lMVK)
     &                      +(-0.125)*rk(171)    *y(lISPD)
     &                      +(-1.000)*rk(186)    *y(lETHE)
     &                      +(-0.592)*rk(190)    *y(lISOP)
     &                      +(-0.235)*rk(194)    *y(lTERP)
     &                      +(-0.500)*rk(205)    *y(lOLE1)
     &                      +(-0.269)*rk(209)    *y(lOLE2)
     &                      +(-0.300)*rk(215)    *y(lMBUT)
          JAC(lHCHO,lNO3 )= +(-1.000)*rk( 48)    *y(lCXO2)
     &                      +(-1.000)*rk(106)    *y(lMCO3)
     &                      +( 1.000)*rk(129)    *y(lHCHO)
     &                      +(-0.227)*rk(172)    *y(lISPD)
     &                      +(-0.079)*rk(210)    *y(lOLE2)
          JAC(lHCHO,lOH  )= +( 1.000)*rk(125)    *y(lHCHO)
     &                      +(-1.000)*rk(136)    *y(lACET)
     &                      +(-0.115)*rk(138)    *y(lMEK)
     &                      +(-1.000)*rk(140)    *y(lMEOH)
     &                      +(-0.350)*rk(141)    *y(lCOOH)
     &                      +(-0.084)*rk(161)    *y(lMETH)
     &                      +(-0.300)*rk(166)    *y(lMVK)
     &                      +(-0.055)*rk(170)    *y(lISPD)
     &                      +(-0.213)*rk(174)    *y(lPROD)
          JAC(lHCHO,lOH  )=JAC(lHCHO,lOH  )
     &                      +(-0.010)*rk(176)    *y(lRNO3)
     &                      +(-1.610)*rk(185)    *y(lETHE)
     &                      +(-0.624)*rk(189)    *y(lISOP)
     &                      +(-0.276)*rk(193)    *y(lTERP)
     &                      +(-0.039)*rk(198)    *y(lALK2)
     &                      +(-0.026)*rk(199)    *y(lALK3)
     &                      +(-0.024)*rk(200)    *y(lALK4)
     &                      +(-0.026)*rk(201)    *y(lALK5)
          JAC(lHCHO,lOH  )=JAC(lHCHO,lOH  )
     &                      +(-0.732)*rk(204)    *y(lOLE1)
     &                      +(-0.244)*rk(208)    *y(lOLE2)
     &                      +(-0.081)*rk(212)    *y(lETOH)
     &                      +(-0.234)*rk(213)    *y(lMTBE)
     &                      +(-0.311)*rk(214)    *y(lMBUT)
          JAC(lHCHO,lHO2 )= +( 1.000)*rk(126)    *y(lHCHO)
          JAC(lHCHO,lCXO2)= +(-1.000)*rk( 46)    *y(lNO)
     &                      +(-1.000)*rk( 48)    *y(lNO3)
     &                      +(-2.000)*rk( 49)    *y(lCXO2)
     &                      +(-4.000)*rk( 50)    *y(lCXO2)
     &                      +(-0.750)*rk( 54)    *y(lRO2R)
     &                      +(-0.750)*rk( 64)    *y(lRO2N)
     &                      +(-1.000)*rk( 74)    *y(lCCO3)
     &                      +(-1.000)*rk( 84)    *y(lRCO3)
     &                      +(-1.000)*rk( 95)    *y(lBZCO)
          JAC(lHCHO,lCXO2)=JAC(lHCHO,lCXO2)
     &                      +(-1.000)*rk(107)    *y(lMCO3)
          JAC(lHCHO,lHCHO)= +( 1.000)*rk(123)*flg
     &                      +( 1.000)*rk(124)*flg
     &                      +( 1.000)*rk(125)    *y(lOH)
     &                      +( 1.000)*rk(126)    *y(lHO2)
     &                      +( 1.000)*rk(129)    *y(lNO3)
          JAC(lHCHO,lCOOH)= +(-0.350)*rk(141)    *y(lOH)
     &                      +(-1.000)*rk(142)*flg
          JAC(lHCHO,lMEOH)= +(-1.000)*rk(140)    *y(lOH)
          JAC(lHCHO,lRO2R)= +(-0.750)*rk( 54)    *y(lCXO2)
          JAC(lHCHO,lRO2N)= +(-0.750)*rk( 64)    *y(lCXO2)
          JAC(lHCHO,lRNO3)= +(-0.010)*rk(176)    *y(lOH)
     &                      +(-0.134)*rk(177)*flg
          JAC(lHCHO,lMEK )= +(-0.115)*rk(138)    *y(lOH)
          JAC(lHCHO,lPROD)= +(-0.213)*rk(174)    *y(lOH)
     &                      +(-0.506)*rk(175)*flg
          JAC(lHCHO,lCCO3)= +(-1.000)*rk( 74)    *y(lCXO2)
     &                      +(-1.000)*rk(111)    *y(lMCO3)
          JAC(lHCHO,lRCO3)= +(-1.000)*rk( 84)    *y(lCXO2)
     &                      +(-1.000)*rk(112)    *y(lMCO3)
          JAC(lHCHO,lBZCO)= +(-1.000)*rk( 95)    *y(lCXO2)
     &                      +(-1.000)*rk(113)    *y(lMCO3)
          JAC(lHCHO,lMCO3)= +(-1.000)*rk(104)    *y(lNO)
     &                      +(-1.000)*rk(106)    *y(lNO3)
     &                      +(-1.000)*rk(107)    *y(lCXO2)
     &                      +(-1.000)*rk(111)    *y(lCCO3)
     &                      +(-1.000)*rk(112)    *y(lRCO3)
     &                      +(-1.000)*rk(113)    *y(lBZCO)
     &                      +(-4.000)*rk(114)    *y(lMCO3)
          JAC(lHCHO,lACET)= +(-1.000)*rk(136)    *y(lOH)
          JAC(lHCHO,lHCO3)= +(-1.000)*rk(127)*flg
          JAC(lHCHO,lGLY )= +(-1.000)*rk(146)*flg
          JAC(lHCHO,lMETH)= +(-0.084)*rk(161)    *y(lOH)
     &                      +(-0.200)*rk(162)    *y(lO3)
     &                      +(-0.670)*rk(165)*flg
          JAC(lHCHO,lMVK )= +(-0.300)*rk(166)    *y(lOH)
     &                      +(-0.100)*rk(167)    *y(lO3)
          JAC(lHCHO,lISPD)= +(-0.055)*rk(170)    *y(lOH)
     &                      +(-0.125)*rk(171)    *y(lO3)
     &                      +(-0.227)*rk(172)    *y(lNO3)
     &                      +(-0.300)*rk(173)*flg
          JAC(lHCHO,lETHE)= +(-1.610)*rk(185)    *y(lOH)
     &                      +(-1.000)*rk(186)    *y(lO3)
     &                      +(-0.191)*rk(188)    *y(lO)
          JAC(lHCHO,lISOP)= +(-0.624)*rk(189)    *y(lOH)
     &                      +(-0.592)*rk(190)    *y(lO3)
     &                      +(-0.240)*rk(192)    *y(lO)
          JAC(lHCHO,lTERP)= +(-0.276)*rk(193)    *y(lOH)
     &                      +(-0.235)*rk(194)    *y(lO3)
          JAC(lHCHO,lALK2)= +(-0.039)*rk(198)    *y(lOH)
          JAC(lHCHO,lALK3)= +(-0.026)*rk(199)    *y(lOH)
          JAC(lHCHO,lALK4)= +(-0.024)*rk(200)    *y(lOH)
          JAC(lHCHO,lALK5)= +(-0.026)*rk(201)    *y(lOH)
          JAC(lHCHO,lOLE1)= +(-0.732)*rk(204)    *y(lOH)
     &                      +(-0.500)*rk(205)    *y(lO3)
          JAC(lHCHO,lOLE2)= +(-0.244)*rk(208)    *y(lOH)
     &                      +(-0.269)*rk(209)    *y(lO3)
     &                      +(-0.079)*rk(210)    *y(lNO3)
          JAC(lHCHO,lETOH)= +(-0.081)*rk(212)    *y(lOH)
          JAC(lHCHO,lMTBE)= +(-0.234)*rk(213)    *y(lOH)
          JAC(lHCHO,lMBUT)= +(-0.311)*rk(214)    *y(lOH)
     &                      +(-0.300)*rk(215)    *y(lO3)
          JAC(lCOOH,lOH  )= +( 1.000)*rk(141)    *y(lCOOH)
          JAC(lCOOH,lHO2 )= +(-1.000)*rk( 47)    *y(lCXO2)
          JAC(lCOOH,lCXO2)= +(-1.000)*rk( 47)    *y(lHO2)
          JAC(lCOOH,lCOOH)= +( 1.000)*rk(141)    *y(lOH)
     &                      +( 1.000)*rk(142)*flg
          JAC(lMEOH,lOH  )= +( 1.000)*rk(140)    *y(lMEOH)
          JAC(lMEOH,lCXO2)= +(-2.000)*rk( 49)    *y(lCXO2)
     &                      +(-0.250)*rk( 54)    *y(lRO2R)
     &                      +(-0.250)*rk( 64)    *y(lRO2N)
          JAC(lMEOH,lMEOH)= +( 1.000)*rk(140)    *y(lOH)
          JAC(lMEOH,lRO2R)= +(-0.250)*rk( 54)    *y(lCXO2)
          JAC(lMEOH,lRO2N)= +(-0.250)*rk( 64)    *y(lCXO2)
          JAC(lRO2R,lNO  )= +( 1.000)*rk( 51)    *y(lRO2R)
     &                      +(-1.000)*rk( 81)    *y(lRCO3)
          JAC(lRO2R,lO   )= +(-0.200)*rk(188)    *y(lETHE)
     &                      +(-0.012)*rk(211)    *y(lOLE2)
          JAC(lRO2R,lO3  )= +(-0.100)*rk(162)    *y(lMETH)
     &                      +(-0.050)*rk(167)    *y(lMVK)
     &                      +(-0.048)*rk(171)    *y(lISPD)
     &                      +(-0.066)*rk(190)    *y(lISOP)
     &                      +(-0.031)*rk(194)    *y(lTERP)
     &                      +(-0.022)*rk(205)    *y(lOLE1)
     &                      +(-0.033)*rk(209)    *y(lOLE2)
          JAC(lRO2R,lNO3 )= +( 1.000)*rk( 53)    *y(lRO2R)
     &                      +(-1.000)*rk( 83)    *y(lRCO3)
     &                      +(-0.500)*rk(163)    *y(lMETH)
     &                      +(-0.799)*rk(172)    *y(lISPD)
     &                      +(-1.000)*rk(187)    *y(lETHE)
     &                      +(-0.749)*rk(191)    *y(lISOP)
     &                      +(-0.276)*rk(195)    *y(lTERP)
     &                      +(-0.824)*rk(206)    *y(lOLE1)
     &                      +(-0.442)*rk(210)    *y(lOLE2)
          JAC(lRO2R,lNO3 )=JAC(lRO2R,lNO3 )
     &                      +(-0.935)*rk(216)    *y(lMBUT)
          JAC(lRO2R,lOH  )= +(-0.034)*rk(133)    *y(lRCHO)
     &                      +(-0.370)*rk(138)    *y(lMEK)
     &                      +(-0.340)*rk(143)    *y(lROOH)
     &                      +(-0.760)*rk(153)    *y(lPHEN)
     &                      +(-0.760)*rk(155)    *y(lCRES)
     &                      +(-0.500)*rk(161)    *y(lMETH)
     &                      +(-0.300)*rk(166)    *y(lMVK)
     &                      +(-0.670)*rk(170)    *y(lISPD)
     &                      +(-0.473)*rk(174)    *y(lPROD)
          JAC(lRO2R,lOH  )=JAC(lRO2R,lOH  )
     &                      +(-0.376)*rk(176)    *y(lRNO3)
     &                      +(-1.000)*rk(178)    *y(lDCB1)
     &                      +(-1.000)*rk(185)    *y(lETHE)
     &                      +(-0.907)*rk(189)    *y(lISOP)
     &                      +(-0.750)*rk(193)    *y(lTERP)
     &                      +(-1.000)*rk(197)    *y(lALK1)
     &                      +(-0.612)*rk(198)    *y(lALK2)
     &                      +(-0.695)*rk(199)    *y(lALK3)
          JAC(lRO2R,lOH  )=JAC(lRO2R,lOH  )
     &                      +(-0.835)*rk(200)    *y(lALK4)
     &                      +(-0.653)*rk(201)    *y(lALK5)
     &                      +(-0.765)*rk(202)    *y(lARO1)
     &                      +(-0.804)*rk(203)    *y(lARO2)
     &                      +(-0.910)*rk(204)    *y(lOLE1)
     &                      +(-0.918)*rk(208)    *y(lOLE2)
     &                      +(-0.050)*rk(212)    *y(lETOH)
     &                      +(-0.743)*rk(213)    *y(lMTBE)
          JAC(lRO2R,lOH  )=JAC(lRO2R,lOH  )
     &                      +(-0.935)*rk(214)    *y(lMBUT)
          JAC(lRO2R,lHO2 )= +( 1.000)*rk( 52)    *y(lRO2R)
          JAC(lRO2R,lCXO2)= +( 1.000)*rk( 54)    *y(lRO2R)
          JAC(lRO2R,lRO2R)= +( 1.000)*rk( 51)    *y(lNO)
     &                      +( 1.000)*rk( 52)    *y(lHO2)
     &                      +( 1.000)*rk( 53)    *y(lNO3)
     &                      +( 1.000)*rk( 54)    *y(lCXO2)
     &                      +( 4.000)*rk( 55)    *y(lRO2R)
     &                      +( 1.000)*rk( 60)    *y(lR2O2)
     &                      +(-1.000)*rk( 60)    *y(lR2O2)
     &                      +( 1.000)*rk( 66)    *y(lRO2N)
     &                      +( 1.000)*rk( 75)    *y(lCCO3)
          JAC(lRO2R,lRO2R)=JAC(lRO2R,lRO2R)
     &                      +( 1.000)*rk( 85)    *y(lRCO3)
     &                      +( 1.000)*rk( 96)    *y(lBZCO)
     &                      +( 1.000)*rk(108)    *y(lMCO3)
          JAC(lRO2R,lROOH)= +(-0.340)*rk(143)    *y(lOH)
          JAC(lRO2R,lR2O2)= +( 1.000)*rk( 60)    *y(lRO2R)
     &                      +(-1.000)*rk( 60)    *y(lRO2R)
          JAC(lRO2R,lRO2N)= +( 1.000)*rk( 66)    *y(lRO2R)
          JAC(lRO2R,lRNO3)= +(-0.376)*rk(176)    *y(lOH)
     &                      +(-0.564)*rk(177)*flg
          JAC(lRO2R,lMEK )= +(-0.370)*rk(138)    *y(lOH)
     &                      +(-1.000)*rk(139)*flg
          JAC(lRO2R,lPROD)= +(-0.473)*rk(174)    *y(lOH)
     &                      +(-0.960)*rk(175)*flg
          JAC(lRO2R,lCCO3)= +( 1.000)*rk( 75)    *y(lRO2R)
     &                      +(-1.000)*rk( 88)    *y(lRCO3)
          JAC(lRO2R,lRCO3)= +(-1.000)*rk( 81)    *y(lNO)
     &                      +(-1.000)*rk( 83)    *y(lNO3)
     &                      +( 1.000)*rk( 85)    *y(lRO2R)
     &                      +(-1.000)*rk( 88)    *y(lCCO3)
     &                      +(-4.000)*rk( 89)    *y(lRCO3)
     &                      +(-1.000)*rk(100)    *y(lBZCO)
     &                      +(-1.000)*rk(112)    *y(lMCO3)
          JAC(lRO2R,lBZCO)= +( 1.000)*rk( 96)    *y(lRO2R)
     &                      +(-1.000)*rk(100)    *y(lRCO3)
          JAC(lRO2R,lMCO3)= +( 1.000)*rk(108)    *y(lRO2R)
     &                      +(-1.000)*rk(112)    *y(lRCO3)
          JAC(lRO2R,lPHEN)= +(-0.760)*rk(153)    *y(lOH)
          JAC(lRO2R,lRCHO)= +(-0.034)*rk(133)    *y(lOH)
     &                      +(-1.000)*rk(134)*flg
          JAC(lRO2R,lCRES)= +(-0.760)*rk(155)    *y(lOH)
          JAC(lRO2R,lMETH)= +(-0.500)*rk(161)    *y(lOH)
     &                      +(-0.100)*rk(162)    *y(lO3)
     &                      +(-0.500)*rk(163)    *y(lNO3)
     &                      +(-0.330)*rk(165)*flg
          JAC(lRO2R,lMVK )= +(-0.300)*rk(166)    *y(lOH)
     &                      +(-0.050)*rk(167)    *y(lO3)
          JAC(lRO2R,lISPD)= +(-0.670)*rk(170)    *y(lOH)
     &                      +(-0.048)*rk(171)    *y(lO3)
     &                      +(-0.799)*rk(172)    *y(lNO3)
          JAC(lRO2R,lDCB1)= +(-1.000)*rk(178)    *y(lOH)
          JAC(lRO2R,lDCB2)= +(-1.000)*rk(181)*flg
          JAC(lRO2R,lDCB3)= +(-1.000)*rk(183)*flg
          JAC(lRO2R,lETHE)= +(-1.000)*rk(185)    *y(lOH)
     &                      +(-1.000)*rk(187)    *y(lNO3)
     &                      +(-0.200)*rk(188)    *y(lO)
          JAC(lRO2R,lISOP)= +(-0.907)*rk(189)    *y(lOH)
     &                      +(-0.066)*rk(190)    *y(lO3)
     &                      +(-0.749)*rk(191)    *y(lNO3)
          JAC(lRO2R,lTERP)= +(-0.750)*rk(193)    *y(lOH)
     &                      +(-0.031)*rk(194)    *y(lO3)
     &                      +(-0.276)*rk(195)    *y(lNO3)
          JAC(lRO2R,lALK1)= +(-1.000)*rk(197)    *y(lOH)
          JAC(lRO2R,lALK2)= +(-0.612)*rk(198)    *y(lOH)
          JAC(lRO2R,lALK3)= +(-0.695)*rk(199)    *y(lOH)
          JAC(lRO2R,lALK4)= +(-0.835)*rk(200)    *y(lOH)
          JAC(lRO2R,lALK5)= +(-0.653)*rk(201)    *y(lOH)
          JAC(lRO2R,lARO1)= +(-0.765)*rk(202)    *y(lOH)
          JAC(lRO2R,lARO2)= +(-0.804)*rk(203)    *y(lOH)
          JAC(lRO2R,lOLE1)= +(-0.910)*rk(204)    *y(lOH)
     &                      +(-0.022)*rk(205)    *y(lO3)
     &                      +(-0.824)*rk(206)    *y(lNO3)
          JAC(lRO2R,lOLE2)= +(-0.918)*rk(208)    *y(lOH)
     &                      +(-0.033)*rk(209)    *y(lO3)
     &                      +(-0.442)*rk(210)    *y(lNO3)
     &                      +(-0.012)*rk(211)    *y(lO)
          JAC(lRO2R,lETOH)= +(-0.050)*rk(212)    *y(lOH)
          JAC(lRO2R,lMTBE)= +(-0.743)*rk(213)    *y(lOH)
          JAC(lRO2R,lMBUT)= +(-0.935)*rk(214)    *y(lOH)
     &                      +(-0.935)*rk(216)    *y(lNO3)
          JAC(lROOH,lOH  )= +( 1.000)*rk(143)    *y(lROOH)
          JAC(lROOH,lHO2 )= +(-1.000)*rk( 52)    *y(lRO2R)
     &                      +(-1.000)*rk( 63)    *y(lRO2N)
          JAC(lROOH,lRO2R)= +(-1.000)*rk( 52)    *y(lHO2)
          JAC(lROOH,lROOH)= +( 1.000)*rk(143)    *y(lOH)
     &                      +( 1.000)*rk(144)*flg
          JAC(lROOH,lRO2N)= +(-1.000)*rk( 63)    *y(lHO2)
          JAC(lR2O2,lNO  )= +( 1.000)*rk( 56)    *y(lR2O2)
     &                      +(-1.000)*rk( 92)    *y(lBZCO)
          JAC(lR2O2,lO   )= +(-0.240)*rk(192)    *y(lISOP)
          JAC(lR2O2,lO3  )= +(-0.126)*rk(190)    *y(lISOP)
     &                      +(-0.729)*rk(194)    *y(lTERP)
     &                      +(-0.137)*rk(209)    *y(lOLE2)
          JAC(lR2O2,lNO3 )= +( 1.000)*rk( 58)    *y(lR2O2)
     &                      +(-1.000)*rk( 94)    *y(lBZCO)
     &                      +(-0.187)*rk(191)    *y(lISOP)
     &                      +(-0.750)*rk(195)    *y(lTERP)
     &                      +(-0.488)*rk(206)    *y(lOLE1)
     &                      +(-0.711)*rk(210)    *y(lOLE2)
          JAC(lR2O2,lOH  )= +(-1.000)*rk(136)    *y(lACET)
     &                      +(-0.616)*rk(138)    *y(lMEK)
     &                      +(-0.675)*rk(166)    *y(lMVK)
     &                      +(-0.596)*rk(176)    *y(lRNO3)
     &                      +(-1.000)*rk(180)    *y(lDCB2)
     &                      +(-1.000)*rk(182)    *y(lDCB3)
     &                      +(-0.079)*rk(189)    *y(lISOP)
     &                      +(-0.500)*rk(193)    *y(lTERP)
     &                      +(-0.559)*rk(199)    *y(lALK3)
          JAC(lR2O2,lOH  )=JAC(lR2O2,lOH  )
     &                      +(-0.936)*rk(200)    *y(lALK4)
     &                      +(-0.948)*rk(201)    *y(lALK5)
     &                      +(-0.205)*rk(204)    *y(lOLE1)
     &                      +(-0.001)*rk(208)    *y(lOLE2)
     &                      +(-0.381)*rk(213)    *y(lMTBE)
          JAC(lR2O2,lHO2 )= +( 1.000)*rk( 57)    *y(lR2O2)
          JAC(lR2O2,lCXO2)= +( 1.000)*rk( 59)    *y(lR2O2)
          JAC(lR2O2,lRO2R)= +( 1.000)*rk( 60)    *y(lR2O2)
          JAC(lR2O2,lR2O2)= +( 1.000)*rk( 56)    *y(lNO)
     &                      +( 1.000)*rk( 57)    *y(lHO2)
     &                      +( 1.000)*rk( 58)    *y(lNO3)
     &                      +( 1.000)*rk( 59)    *y(lCXO2)
     &                      +( 1.000)*rk( 60)    *y(lRO2R)
     &                      +( 4.000)*rk( 61)    *y(lR2O2)
     &                      +( 1.000)*rk( 67)    *y(lRO2N)
     &                      +( 1.000)*rk( 76)    *y(lCCO3)
     &                      +( 1.000)*rk( 86)    *y(lRCO3)
          JAC(lR2O2,lR2O2)=JAC(lR2O2,lR2O2)
     &                      +( 1.000)*rk( 97)    *y(lBZCO)
     &                      +( 1.000)*rk(109)    *y(lMCO3)
          JAC(lR2O2,lRO2N)= +( 1.000)*rk( 67)    *y(lR2O2)
          JAC(lR2O2,lRNO3)= +(-0.596)*rk(176)    *y(lOH)
     &                      +(-0.152)*rk(177)*flg
          JAC(lR2O2,lMEK )= +(-0.616)*rk(138)    *y(lOH)
          JAC(lR2O2,lPROD)= +(-0.515)*rk(175)*flg
          JAC(lR2O2,lCCO3)= +( 1.000)*rk( 76)    *y(lR2O2)
     &                      +(-1.000)*rk( 99)    *y(lBZCO)
          JAC(lR2O2,lRCO3)= +( 1.000)*rk( 86)    *y(lR2O2)
     &                      +(-1.000)*rk(100)    *y(lBZCO)
          JAC(lR2O2,lBZCO)= +(-1.000)*rk( 92)    *y(lNO)
     &                      +(-1.000)*rk( 94)    *y(lNO3)
     &                      +( 1.000)*rk( 97)    *y(lR2O2)
     &                      +(-1.000)*rk( 99)    *y(lCCO3)
     &                      +(-1.000)*rk(100)    *y(lRCO3)
     &                      +(-4.000)*rk(101)    *y(lBZCO)
     &                      +(-1.000)*rk(113)    *y(lMCO3)
          JAC(lR2O2,lMCO3)= +( 1.000)*rk(109)    *y(lR2O2)
     &                      +(-1.000)*rk(113)    *y(lBZCO)
          JAC(lR2O2,lACET)= +(-1.000)*rk(136)    *y(lOH)
          JAC(lR2O2,lMVK )= +(-0.675)*rk(166)    *y(lOH)
          JAC(lR2O2,lDCB2)= +(-1.000)*rk(180)    *y(lOH)
     &                      +(-1.000)*rk(181)*flg
          JAC(lR2O2,lDCB3)= +(-1.000)*rk(182)    *y(lOH)
     &                      +(-1.000)*rk(183)*flg
          JAC(lR2O2,lISOP)= +(-0.079)*rk(189)    *y(lOH)
     &                      +(-0.126)*rk(190)    *y(lO3)
     &                      +(-0.187)*rk(191)    *y(lNO3)
     &                      +(-0.240)*rk(192)    *y(lO)
          JAC(lR2O2,lTERP)= +(-0.500)*rk(193)    *y(lOH)
     &                      +(-0.729)*rk(194)    *y(lO3)
     &                      +(-0.750)*rk(195)    *y(lNO3)
          JAC(lR2O2,lALK3)= +(-0.559)*rk(199)    *y(lOH)
          JAC(lR2O2,lALK4)= +(-0.936)*rk(200)    *y(lOH)
          JAC(lR2O2,lALK5)= +(-0.948)*rk(201)    *y(lOH)
          JAC(lR2O2,lOLE1)= +(-0.205)*rk(204)    *y(lOH)
     &                      +(-0.488)*rk(206)    *y(lNO3)
          JAC(lR2O2,lOLE2)= +(-0.001)*rk(208)    *y(lOH)
     &                      +(-0.137)*rk(209)    *y(lO3)
     &                      +(-0.711)*rk(210)    *y(lNO3)
          JAC(lR2O2,lMTBE)= +(-0.381)*rk(213)    *y(lOH)
          JAC(lRO2N,lNO  )= +( 1.000)*rk( 62)    *y(lRO2N)
          JAC(lRO2N,lO   )= +(-0.010)*rk(192)    *y(lISOP)
     &                      +(-0.001)*rk(211)    *y(lOLE2)
          JAC(lRO2N,lO3  )= +(-0.008)*rk(190)    *y(lISOP)
     &                      +(-0.180)*rk(194)    *y(lTERP)
     &                      +(-0.001)*rk(205)    *y(lOLE1)
     &                      +(-0.002)*rk(209)    *y(lOLE2)
          JAC(lRO2N,lNO3 )= +( 1.000)*rk( 65)    *y(lRO2N)
     &                      +(-0.051)*rk(172)    *y(lISPD)
     &                      +(-0.064)*rk(191)    *y(lISOP)
     &                      +(-0.250)*rk(195)    *y(lTERP)
     &                      +(-0.176)*rk(206)    *y(lOLE1)
     &                      +(-0.136)*rk(210)    *y(lOLE2)
     &                      +(-0.065)*rk(216)    *y(lMBUT)
          JAC(lRO2N,lOH  )= +(-0.001)*rk(133)    *y(lRCHO)
     &                      +(-0.042)*rk(138)    *y(lMEK)
     &                      +(-0.025)*rk(166)    *y(lMVK)
     &                      +(-0.041)*rk(170)    *y(lISPD)
     &                      +(-0.070)*rk(174)    *y(lPROD)
     &                      +(-0.173)*rk(176)    *y(lRNO3)
     &                      +(-0.093)*rk(189)    *y(lISOP)
     &                      +(-0.250)*rk(193)    *y(lTERP)
     &                      +(-0.021)*rk(198)    *y(lALK2)
          JAC(lRO2N,lOH  )=JAC(lRO2N,lOH  )
     &                      +(-0.070)*rk(199)    *y(lALK3)
     &                      +(-0.143)*rk(200)    *y(lALK4)
     &                      +(-0.347)*rk(201)    *y(lALK5)
     &                      +(-0.011)*rk(202)    *y(lARO1)
     &                      +(-0.009)*rk(203)    *y(lARO2)
     &                      +(-0.090)*rk(204)    *y(lOLE1)
     &                      +(-0.082)*rk(208)    *y(lOLE2)
     &                      +(-0.078)*rk(213)    *y(lMTBE)
          JAC(lRO2N,lOH  )=JAC(lRO2N,lOH  )
     &                      +(-0.065)*rk(214)    *y(lMBUT)
          JAC(lRO2N,lHO2 )= +( 1.000)*rk( 63)    *y(lRO2N)
          JAC(lRO2N,lCXO2)= +( 1.000)*rk( 64)    *y(lRO2N)
          JAC(lRO2N,lRO2R)= +( 1.000)*rk( 66)    *y(lRO2N)
          JAC(lRO2N,lR2O2)= +( 1.000)*rk( 67)    *y(lRO2N)
     &                      +(-1.000)*rk( 67)    *y(lRO2N)
          JAC(lRO2N,lRO2N)= +( 1.000)*rk( 62)    *y(lNO)
     &                      +( 1.000)*rk( 63)    *y(lHO2)
     &                      +( 1.000)*rk( 64)    *y(lCXO2)
     &                      +( 1.000)*rk( 65)    *y(lNO3)
     &                      +( 1.000)*rk( 66)    *y(lRO2R)
     &                      +( 1.000)*rk( 67)    *y(lR2O2)
     &                      +(-1.000)*rk( 67)    *y(lR2O2)
     &                      +( 4.000)*rk( 68)    *y(lRO2N)
     &                      +( 1.000)*rk( 77)    *y(lCCO3)
          JAC(lRO2N,lRO2N)=JAC(lRO2N,lRO2N)
     &                      +( 1.000)*rk( 87)    *y(lRCO3)
     &                      +( 1.000)*rk( 98)    *y(lBZCO)
     &                      +( 1.000)*rk(110)    *y(lMCO3)
          JAC(lRO2N,lRNO3)= +(-0.173)*rk(176)    *y(lOH)
     &                      +(-0.095)*rk(177)*flg
          JAC(lRO2N,lMEK )= +(-0.042)*rk(138)    *y(lOH)
          JAC(lRO2N,lPROD)= +(-0.070)*rk(174)    *y(lOH)
     &                      +(-0.040)*rk(175)*flg
          JAC(lRO2N,lCCO3)= +( 1.000)*rk( 77)    *y(lRO2N)
          JAC(lRO2N,lRCO3)= +( 1.000)*rk( 87)    *y(lRO2N)
          JAC(lRO2N,lBZCO)= +( 1.000)*rk( 98)    *y(lRO2N)
          JAC(lRO2N,lMCO3)= +( 1.000)*rk(110)    *y(lRO2N)
          JAC(lRO2N,lRCHO)= +(-0.001)*rk(133)    *y(lOH)
          JAC(lRO2N,lMVK )= +(-0.025)*rk(166)    *y(lOH)
          JAC(lRO2N,lISPD)= +(-0.041)*rk(170)    *y(lOH)
     &                      +(-0.051)*rk(172)    *y(lNO3)
          JAC(lRO2N,lISOP)= +(-0.093)*rk(189)    *y(lOH)
     &                      +(-0.008)*rk(190)    *y(lO3)
     &                      +(-0.064)*rk(191)    *y(lNO3)
     &                      +(-0.010)*rk(192)    *y(lO)
          JAC(lRO2N,lTERP)= +(-0.250)*rk(193)    *y(lOH)
     &                      +(-0.180)*rk(194)    *y(lO3)
     &                      +(-0.250)*rk(195)    *y(lNO3)
          JAC(lRO2N,lALK2)= +(-0.021)*rk(198)    *y(lOH)
          JAC(lRO2N,lALK3)= +(-0.070)*rk(199)    *y(lOH)
          JAC(lRO2N,lALK4)= +(-0.143)*rk(200)    *y(lOH)
          JAC(lRO2N,lALK5)= +(-0.347)*rk(201)    *y(lOH)
          JAC(lRO2N,lARO1)= +(-0.011)*rk(202)    *y(lOH)
          JAC(lRO2N,lARO2)= +(-0.009)*rk(203)    *y(lOH)
          JAC(lRO2N,lOLE1)= +(-0.090)*rk(204)    *y(lOH)
     &                      +(-0.001)*rk(205)    *y(lO3)
     &                      +(-0.176)*rk(206)    *y(lNO3)
          JAC(lRO2N,lOLE2)= +(-0.082)*rk(208)    *y(lOH)
     &                      +(-0.002)*rk(209)    *y(lO3)
     &                      +(-0.136)*rk(210)    *y(lNO3)
     &                      +(-0.001)*rk(211)    *y(lO)
          JAC(lRO2N,lMTBE)= +(-0.078)*rk(213)    *y(lOH)
          JAC(lRO2N,lMBUT)= +(-0.065)*rk(214)    *y(lOH)
     &                      +(-0.065)*rk(216)    *y(lNO3)
          JAC(lRNO3,lNO2 )= +(-1.000)*rk(115)    *y(lTBUO)
          JAC(lRNO3,lNO  )= +(-1.000)*rk( 62)    *y(lRO2N)
          JAC(lRNO3,lNO3 )= +(-0.572)*rk(172)    *y(lISPD)
     &                      +(-0.813)*rk(191)    *y(lISOP)
     &                      +(-0.276)*rk(195)    *y(lTERP)
     &                      +(-0.511)*rk(206)    *y(lOLE1)
     &                      +(-0.321)*rk(210)    *y(lOLE2)
     &                      +(-1.000)*rk(216)    *y(lMBUT)
          JAC(lRNO3,lOH  )= +( 1.000)*rk(176)    *y(lRNO3)
     &                      +(-0.310)*rk(176)    *y(lRNO3)
          JAC(lRNO3,lRO2N)= +(-1.000)*rk( 62)    *y(lNO)
          JAC(lRNO3,lRNO3)= +( 1.000)*rk(176)    *y(lOH)
     &                      +(-0.310)*rk(176)    *y(lOH)
     &                      +( 1.000)*rk(177)*flg
          JAC(lRNO3,lTBUO)= +(-1.000)*rk(115)    *y(lNO2)
          JAC(lRNO3,lISPD)= +(-0.572)*rk(172)    *y(lNO3)
          JAC(lRNO3,lISOP)= +(-0.813)*rk(191)    *y(lNO3)
          JAC(lRNO3,lTERP)= +(-0.276)*rk(195)    *y(lNO3)
          JAC(lRNO3,lOLE1)= +(-0.511)*rk(206)    *y(lNO3)
          JAC(lRNO3,lOLE2)= +(-0.321)*rk(210)    *y(lNO3)
          JAC(lRNO3,lMBUT)= +(-1.000)*rk(216)    *y(lNO3)
          JAC(lMEK ,lO   )= +(-0.550)*rk(168)    *y(lMVK)
     &                      +(-0.437)*rk(207)    *y(lOLE1)
     &                      +(-0.659)*rk(211)    *y(lOLE2)
     &                      +(-0.550)*rk(217)    *y(lMBUT)
          JAC(lMEK ,lO3  )= +(-0.210)*rk(171)    *y(lISPD)
     &                      +(-0.026)*rk(209)    *y(lOLE2)
          JAC(lMEK ,lNO3 )= +(-1.000)*rk( 65)    *y(lRO2N)
     &                      +(-0.001)*rk(210)    *y(lOLE2)
          JAC(lMEK ,lOH  )= +( 1.000)*rk(138)    *y(lMEK)
     &                      +(-0.416)*rk(161)    *y(lMETH)
     &                      +(-0.150)*rk(170)    *y(lISPD)
     &                      +(-0.115)*rk(174)    *y(lPROD)
     &                      +(-0.177)*rk(176)    *y(lRNO3)
     &                      +(-0.332)*rk(199)    *y(lALK3)
     &                      +(-0.110)*rk(200)    *y(lALK4)
     &                      +(-0.089)*rk(201)    *y(lALK5)
     &                      +(-0.072)*rk(208)    *y(lOLE2)
          JAC(lMEK ,lOH  )=JAC(lMEK ,lOH  )
     &                      +(-0.719)*rk(213)    *y(lMTBE)
          JAC(lMEK ,lCXO2)= +(-0.500)*rk( 64)    *y(lRO2N)
          JAC(lMEK ,lRO2R)= +(-0.500)*rk( 66)    *y(lRO2N)
          JAC(lMEK ,lRO2N)= +(-0.500)*rk( 64)    *y(lCXO2)
     &                      +(-1.000)*rk( 65)    *y(lNO3)
     &                      +(-0.500)*rk( 66)    *y(lRO2R)
     &                      +(-2.000)*rk( 68)    *y(lRO2N)
          JAC(lMEK ,lRNO3)= +(-0.177)*rk(176)    *y(lOH)
     &                      +(-0.243)*rk(177)*flg
          JAC(lMEK ,lMEK )= +( 1.000)*rk(138)    *y(lOH)
     &                      +( 1.000)*rk(139)*flg
          JAC(lMEK ,lPROD)= +(-0.115)*rk(174)    *y(lOH)
          JAC(lMEK ,lMETH)= +(-0.416)*rk(161)    *y(lOH)
          JAC(lMEK ,lMVK )= +(-0.550)*rk(168)    *y(lO)
          JAC(lMEK ,lISPD)= +(-0.150)*rk(170)    *y(lOH)
     &                      +(-0.210)*rk(171)    *y(lO3)
     &                      +(-0.233)*rk(173)*flg
          JAC(lMEK ,lALK3)= +(-0.332)*rk(199)    *y(lOH)
          JAC(lMEK ,lALK4)= +(-0.110)*rk(200)    *y(lOH)
          JAC(lMEK ,lALK5)= +(-0.089)*rk(201)    *y(lOH)
          JAC(lMEK ,lOLE1)= +(-0.437)*rk(207)    *y(lO)
          JAC(lMEK ,lOLE2)= +(-0.072)*rk(208)    *y(lOH)
     &                      +(-0.026)*rk(209)    *y(lO3)
     &                      +(-0.001)*rk(210)    *y(lNO3)
     &                      +(-0.659)*rk(211)    *y(lO)
          JAC(lMEK ,lMTBE)= +(-0.719)*rk(213)    *y(lOH)
          JAC(lMEK ,lMBUT)= +(-0.550)*rk(217)    *y(lO)
          JAC(lPROD,lO   )= +(-0.750)*rk(192)    *y(lISOP)
     &                      +(-0.853)*rk(196)    *y(lTERP)
     &                      +(-0.113)*rk(207)    *y(lOLE1)
     &                      +(-0.259)*rk(211)    *y(lOLE2)
          JAC(lPROD,lO3  )= +(-0.100)*rk(190)    *y(lISOP)
     &                      +(-0.276)*rk(194)    *y(lTERP)
     &                      +(-0.215)*rk(205)    *y(lOLE1)
     &                      +(-0.006)*rk(209)    *y(lOLE2)
          JAC(lPROD,lOH  )= +(-0.332)*rk(170)    *y(lISPD)
     &                      +( 1.000)*rk(174)    *y(lPROD)
     &                      +(-0.329)*rk(174)    *y(lPROD)
     &                      +(-0.048)*rk(176)    *y(lRNO3)
     &                      +(-0.276)*rk(193)    *y(lTERP)
     &                      +(-0.125)*rk(200)    *y(lALK4)
     &                      +(-0.417)*rk(201)    *y(lALK5)
     &                      +(-0.055)*rk(202)    *y(lARO1)
     &                      +(-0.119)*rk(204)    *y(lOLE1)
          JAC(lPROD,lOH  )=JAC(lPROD,lOH  )
     &                      +(-0.007)*rk(213)    *y(lMTBE)
          JAC(lPROD,lCXO2)= +(-0.500)*rk( 64)    *y(lRO2N)
          JAC(lPROD,lRO2R)= +(-0.500)*rk( 66)    *y(lRO2N)
          JAC(lPROD,lRO2N)= +(-0.500)*rk( 64)    *y(lCXO2)
     &                      +(-0.500)*rk( 66)    *y(lRO2R)
     &                      +(-2.000)*rk( 68)    *y(lRO2N)
     &                      +(-1.000)*rk( 77)    *y(lCCO3)
     &                      +(-1.000)*rk( 87)    *y(lRCO3)
     &                      +(-1.000)*rk( 98)    *y(lBZCO)
          JAC(lPROD,lRNO3)= +(-0.048)*rk(176)    *y(lOH)
     &                      +(-0.435)*rk(177)*flg
          JAC(lPROD,lPROD)= +( 1.000)*rk(174)    *y(lOH)
     &                      +(-0.329)*rk(174)    *y(lOH)
     &                      +( 1.000)*rk(175)*flg
          JAC(lPROD,lCCO3)= +(-1.000)*rk( 77)    *y(lRO2N)
          JAC(lPROD,lRCO3)= +(-1.000)*rk( 87)    *y(lRO2N)
          JAC(lPROD,lBZCO)= +(-1.000)*rk( 98)    *y(lRO2N)
          JAC(lPROD,lMVK )= +(-0.700)*rk(169)*flg
          JAC(lPROD,lISPD)= +(-0.332)*rk(170)    *y(lOH)
          JAC(lPROD,lISOP)= +(-0.100)*rk(190)    *y(lO3)
     &                      +(-0.750)*rk(192)    *y(lO)
          JAC(lPROD,lTERP)= +(-0.276)*rk(193)    *y(lOH)
     &                      +(-0.276)*rk(194)    *y(lO3)
     &                      +(-0.853)*rk(196)    *y(lO)
          JAC(lPROD,lALK4)= +(-0.125)*rk(200)    *y(lOH)
          JAC(lPROD,lALK5)= +(-0.417)*rk(201)    *y(lOH)
          JAC(lPROD,lARO1)= +(-0.055)*rk(202)    *y(lOH)
          JAC(lPROD,lOLE1)= +(-0.119)*rk(204)    *y(lOH)
     &                      +(-0.215)*rk(205)    *y(lO3)
     &                      +(-0.113)*rk(207)    *y(lO)
          JAC(lPROD,lOLE2)= +(-0.006)*rk(209)    *y(lO3)
     &                      +(-0.259)*rk(211)    *y(lO)
          JAC(lPROD,lMTBE)= +(-0.007)*rk(213)    *y(lOH)
          JAC(lCCO3,lNO2 )= +( 1.000)*rk( 69)    *y(lCCO3)
          JAC(lCCO3,lNO  )= +( 1.000)*rk( 71)    *y(lCCO3)
     &                      +(-1.000)*rk(104)    *y(lMCO3)
          JAC(lCCO3,lO3  )= +(-0.123)*rk(194)    *y(lTERP)
     &                      +(-0.137)*rk(209)    *y(lOLE2)
          JAC(lCCO3,lNO3 )= +( 1.000)*rk( 73)    *y(lCCO3)
     &                      +(-1.000)*rk(106)    *y(lMCO3)
     &                      +(-1.000)*rk(132)    *y(lCCHO)
     &                      +(-1.000)*rk(151)    *y(lMGLY)
          JAC(lCCO3,lOH  )= +(-1.000)*rk(130)    *y(lCCHO)
     &                      +(-1.000)*rk(136)    *y(lACET)
     &                      +(-0.492)*rk(138)    *y(lMEK)
     &                      +(-1.000)*rk(150)    *y(lMGLY)
     &                      +(-0.675)*rk(166)    *y(lMVK)
     &                      +(-0.029)*rk(174)    *y(lPROD)
     &                      +(-1.000)*rk(180)    *y(lDCB2)
     &                      +(-1.000)*rk(182)    *y(lDCB3)
     &                      +(-0.011)*rk(200)    *y(lALK4)
          JAC(lCCO3,lHO2 )= +( 1.000)*rk( 72)    *y(lCCO3)
          JAC(lCCO3,lCXO2)= +( 1.000)*rk( 74)    *y(lCCO3)
          JAC(lCCO3,lRO2R)= +( 1.000)*rk( 75)    *y(lCCO3)
          JAC(lCCO3,lR2O2)= +( 1.000)*rk( 76)    *y(lCCO3)
     &                      +(-1.000)*rk( 76)    *y(lCCO3)
          JAC(lCCO3,lRO2N)= +( 1.000)*rk( 77)    *y(lCCO3)
          JAC(lCCO3,lMEK )= +(-0.492)*rk(138)    *y(lOH)
     &                      +(-1.000)*rk(139)*flg
          JAC(lCCO3,lPROD)= +(-0.029)*rk(174)    *y(lOH)
     &                      +(-0.667)*rk(175)*flg
          JAC(lCCO3,lCCO3)= +( 1.000)*rk( 69)    *y(lNO2)
     &                      +( 1.000)*rk( 71)    *y(lNO)
     &                      +( 1.000)*rk( 72)    *y(lHO2)
     &                      +( 1.000)*rk( 73)    *y(lNO3)
     &                      +( 1.000)*rk( 74)    *y(lCXO2)
     &                      +( 1.000)*rk( 75)    *y(lRO2R)
     &                      +( 1.000)*rk( 76)    *y(lR2O2)
     &                      +(-1.000)*rk( 76)    *y(lR2O2)
     &                      +( 1.000)*rk( 77)    *y(lRO2N)
          JAC(lCCO3,lCCO3)=JAC(lCCO3,lCCO3)
     &                      +( 4.000)*rk( 78)    *y(lCCO3)
     &                      +( 1.000)*rk( 88)    *y(lRCO3)
     &                      +( 1.000)*rk( 99)    *y(lBZCO)
     &                      +( 1.000)*rk(111)    *y(lMCO3)
     &                      +(-1.000)*rk(111)    *y(lMCO3)
          JAC(lCCO3,lPAN )= +(-1.000)*rk( 70)*flg
          JAC(lCCO3,lRCO3)= +( 1.000)*rk( 88)    *y(lCCO3)
     &                      +(-1.000)*rk(112)    *y(lMCO3)
          JAC(lCCO3,lCCHO)= +(-1.000)*rk(130)    *y(lOH)
     &                      +(-1.000)*rk(132)    *y(lNO3)
          JAC(lCCO3,lBZCO)= +( 1.000)*rk( 99)    *y(lCCO3)
     &                      +(-1.000)*rk(113)    *y(lMCO3)
          JAC(lCCO3,lMCO3)= +(-1.000)*rk(104)    *y(lNO)
     &                      +(-1.000)*rk(106)    *y(lNO3)
     &                      +( 1.000)*rk(111)    *y(lCCO3)
     &                      +(-1.000)*rk(111)    *y(lCCO3)
     &                      +(-1.000)*rk(112)    *y(lRCO3)
     &                      +(-1.000)*rk(113)    *y(lBZCO)
     &                      +(-4.000)*rk(114)    *y(lMCO3)
          JAC(lCCO3,lACET)= +(-1.000)*rk(136)    *y(lOH)
     &                      +(-1.000)*rk(137)*flg
          JAC(lCCO3,lMGLY)= +(-1.000)*rk(149)*flg
     &                      +(-1.000)*rk(150)    *y(lOH)
     &                      +(-1.000)*rk(151)    *y(lNO3)
          JAC(lCCO3,lBACL)= +(-2.000)*rk(152)*flg
          JAC(lCCO3,lMETH)= +(-0.670)*rk(165)*flg
          JAC(lCCO3,lMVK )= +(-0.675)*rk(166)    *y(lOH)
          JAC(lCCO3,lISPD)= +(-0.467)*rk(173)*flg
          JAC(lCCO3,lDCB2)= +(-1.000)*rk(180)    *y(lOH)
     &                      +(-0.500)*rk(181)*flg
          JAC(lCCO3,lDCB3)= +(-1.000)*rk(182)    *y(lOH)
     &                      +(-0.500)*rk(183)*flg
          JAC(lCCO3,lTERP)= +(-0.123)*rk(194)    *y(lO3)
          JAC(lCCO3,lALK4)= +(-0.011)*rk(200)    *y(lOH)
          JAC(lCCO3,lOLE2)= +(-0.137)*rk(209)    *y(lO3)
          JAC(lPAN ,lNO2 )= +(-1.000)*rk( 69)    *y(lCCO3)
          JAC(lPAN ,lCCO3)= +(-1.000)*rk( 69)    *y(lNO2)
          JAC(lPAN ,lPAN )= +( 1.000)*rk( 70)*flg
          JAC(lCO3H,lHO2 )= +(-0.750)*rk( 72)    *y(lCCO3)
          JAC(lCO3H,lCCO3)= +(-0.750)*rk( 72)    *y(lHO2)
          JAC(lCO2H,lO3  )= +(-0.050)*rk(205)    *y(lOLE1)
     &                      +(-0.129)*rk(209)    *y(lOLE2)
          JAC(lCO2H,lHO2 )= +(-0.250)*rk( 72)    *y(lCCO3)
          JAC(lCO2H,lCXO2)= +(-1.000)*rk( 74)    *y(lCCO3)
          JAC(lCO2H,lRO2R)= +(-1.000)*rk( 75)    *y(lCCO3)
          JAC(lCO2H,lRO2N)= +(-1.000)*rk( 77)    *y(lCCO3)
          JAC(lCO2H,lCCO3)= +(-0.250)*rk( 72)    *y(lHO2)
     &                      +(-1.000)*rk( 74)    *y(lCXO2)
     &                      +(-1.000)*rk( 75)    *y(lRO2R)
     &                      +(-1.000)*rk( 77)    *y(lRO2N)
          JAC(lCO2H,lOLE1)= +(-0.050)*rk(205)    *y(lO3)
          JAC(lCO2H,lOLE2)= +(-0.129)*rk(209)    *y(lO3)
          JAC(lRCO3,lNO2 )= +( 1.000)*rk( 79)    *y(lRCO3)
          JAC(lRCO3,lNO  )= +( 1.000)*rk( 81)    *y(lRCO3)
          JAC(lRCO3,lO3  )= +(-0.100)*rk(162)    *y(lMETH)
     &                      +(-0.050)*rk(167)    *y(lMVK)
     &                      +(-0.048)*rk(171)    *y(lISPD)
     &                      +(-0.201)*rk(194)    *y(lTERP)
     &                      +(-0.006)*rk(209)    *y(lOLE2)
          JAC(lRCO3,lNO3 )= +( 1.000)*rk( 83)    *y(lRCO3)
     &                      +(-1.000)*rk(135)    *y(lRCHO)
     &                      +(-0.370)*rk(148)    *y(lGLY)
          JAC(lRCO3,lOH  )= +(-0.965)*rk(133)    *y(lRCHO)
     &                      +(-0.096)*rk(138)    *y(lMEK)
     &                      +(-0.370)*rk(147)    *y(lGLY)
     &                      +(-0.049)*rk(174)    *y(lPROD)
          JAC(lRCO3,lHO2 )= +( 1.000)*rk( 82)    *y(lRCO3)
          JAC(lRCO3,lCXO2)= +( 1.000)*rk( 84)    *y(lRCO3)
          JAC(lRCO3,lRO2R)= +( 1.000)*rk( 85)    *y(lRCO3)
          JAC(lRCO3,lR2O2)= +( 1.000)*rk( 86)    *y(lRCO3)
     &                      +(-1.000)*rk( 86)    *y(lRCO3)
          JAC(lRCO3,lRO2N)= +( 1.000)*rk( 87)    *y(lRCO3)
          JAC(lRCO3,lMEK )= +(-0.096)*rk(138)    *y(lOH)
          JAC(lRCO3,lPROD)= +(-0.049)*rk(174)    *y(lOH)
     &                      +(-0.333)*rk(175)*flg
          JAC(lRCO3,lCCO3)= +( 1.000)*rk( 88)    *y(lRCO3)
          JAC(lRCO3,lRCO3)= +( 1.000)*rk( 79)    *y(lNO2)
     &                      +( 1.000)*rk( 81)    *y(lNO)
     &                      +( 1.000)*rk( 82)    *y(lHO2)
     &                      +( 1.000)*rk( 83)    *y(lNO3)
     &                      +( 1.000)*rk( 84)    *y(lCXO2)
     &                      +( 1.000)*rk( 85)    *y(lRO2R)
     &                      +( 1.000)*rk( 86)    *y(lR2O2)
     &                      +(-1.000)*rk( 86)    *y(lR2O2)
     &                      +( 1.000)*rk( 87)    *y(lRO2N)
          JAC(lRCO3,lRCO3)=JAC(lRCO3,lRCO3)
     &                      +( 1.000)*rk( 88)    *y(lCCO3)
     &                      +( 4.000)*rk( 89)    *y(lRCO3)
     &                      +( 1.000)*rk(100)    *y(lBZCO)
     &                      +( 1.000)*rk(112)    *y(lMCO3)
          JAC(lRCO3,lPAN2)= +(-1.000)*rk( 80)*flg
          JAC(lRCO3,lBZCO)= +( 1.000)*rk(100)    *y(lRCO3)
          JAC(lRCO3,lMCO3)= +( 1.000)*rk(112)    *y(lRCO3)
          JAC(lRCO3,lRCHO)= +(-0.965)*rk(133)    *y(lOH)
     &                      +(-1.000)*rk(135)    *y(lNO3)
          JAC(lRCO3,lGLY )= +(-0.370)*rk(147)    *y(lOH)
     &                      +(-0.370)*rk(148)    *y(lNO3)
          JAC(lRCO3,lMETH)= +(-0.100)*rk(162)    *y(lO3)
          JAC(lRCO3,lMVK )= +(-0.050)*rk(167)    *y(lO3)
          JAC(lRCO3,lISPD)= +(-0.048)*rk(171)    *y(lO3)
     &                      +(-0.300)*rk(173)*flg
          JAC(lRCO3,lTERP)= +(-0.201)*rk(194)    *y(lO3)
          JAC(lRCO3,lOLE2)= +(-0.006)*rk(209)    *y(lO3)
          JAC(lPAN2,lNO2 )= +(-1.000)*rk( 79)    *y(lRCO3)
          JAC(lPAN2,lRCO3)= +(-1.000)*rk( 79)    *y(lNO2)
          JAC(lPAN2,lPAN2)= +( 1.000)*rk( 80)*flg
          JAC(lCCHO,lNO  )= +(-1.000)*rk( 81)    *y(lRCO3)
          JAC(lCCHO,lO   )= +(-0.250)*rk(188)    *y(lETHE)
          JAC(lCCHO,lO3  )= +(-0.047)*rk(171)    *y(lISPD)
     &                      +(-0.154)*rk(205)    *y(lOLE1)
     &                      +(-0.456)*rk(209)    *y(lOLE2)
          JAC(lCCHO,lNO3 )= +(-1.000)*rk( 83)    *y(lRCO3)
     &                      +( 1.000)*rk(132)    *y(lCCHO)
     &                      +(-0.009)*rk(206)    *y(lOLE1)
     &                      +(-0.507)*rk(210)    *y(lOLE2)
          JAC(lCCHO,lOH  )= +( 1.000)*rk(130)    *y(lCCHO)
     &                      +(-0.034)*rk(133)    *y(lRCHO)
     &                      +(-0.482)*rk(138)    *y(lMEK)
     &                      +(-0.129)*rk(170)    *y(lISPD)
     &                      +(-0.084)*rk(174)    *y(lPROD)
     &                      +(-0.439)*rk(176)    *y(lRNO3)
     &                      +(-0.195)*rk(185)    *y(lETHE)
     &                      +(-1.000)*rk(197)    *y(lALK1)
     &                      +(-0.445)*rk(199)    *y(lALK3)
          JAC(lCCHO,lOH  )=JAC(lCCHO,lOH  )
     &                      +(-0.455)*rk(200)    *y(lALK4)
     &                      +(-0.099)*rk(201)    *y(lALK5)
     &                      +(-0.294)*rk(204)    *y(lOLE1)
     &                      +(-0.732)*rk(208)    *y(lOLE2)
     &                      +(-0.960)*rk(212)    *y(lETOH)
     &                      +(-0.624)*rk(214)    *y(lMBUT)
          JAC(lCCHO,lRNO3)= +(-0.439)*rk(176)    *y(lOH)
     &                      +(-0.431)*rk(177)*flg
          JAC(lCCHO,lMEK )= +(-0.482)*rk(138)    *y(lOH)
     &                      +(-1.000)*rk(139)*flg
          JAC(lCCHO,lPROD)= +(-0.084)*rk(174)    *y(lOH)
     &                      +(-0.246)*rk(175)*flg
          JAC(lCCHO,lCCO3)= +(-1.000)*rk( 88)    *y(lRCO3)
          JAC(lCCHO,lRCO3)= +(-1.000)*rk( 81)    *y(lNO)
     &                      +(-1.000)*rk( 83)    *y(lNO3)
     &                      +(-1.000)*rk( 88)    *y(lCCO3)
     &                      +(-4.000)*rk( 89)    *y(lRCO3)
     &                      +(-1.000)*rk(100)    *y(lBZCO)
     &                      +(-1.000)*rk(112)    *y(lMCO3)
          JAC(lCCHO,lCCHO)= +( 1.000)*rk(130)    *y(lOH)
     &                      +( 1.000)*rk(131)*flg
     &                      +( 1.000)*rk(132)    *y(lNO3)
          JAC(lCCHO,lBZCO)= +(-1.000)*rk(100)    *y(lRCO3)
          JAC(lCCHO,lMCO3)= +(-1.000)*rk(112)    *y(lRCO3)
          JAC(lCCHO,lRCHO)= +(-0.034)*rk(133)    *y(lOH)
     &                      +(-1.000)*rk(134)*flg
          JAC(lCCHO,lISPD)= +(-0.129)*rk(170)    *y(lOH)
     &                      +(-0.047)*rk(171)    *y(lO3)
     &                      +(-0.467)*rk(173)*flg
          JAC(lCCHO,lETHE)= +(-0.195)*rk(185)    *y(lOH)
     &                      +(-0.250)*rk(188)    *y(lO)
          JAC(lCCHO,lALK1)= +(-1.000)*rk(197)    *y(lOH)
          JAC(lCCHO,lALK3)= +(-0.445)*rk(199)    *y(lOH)
          JAC(lCCHO,lALK4)= +(-0.455)*rk(200)    *y(lOH)
          JAC(lCCHO,lALK5)= +(-0.099)*rk(201)    *y(lOH)
          JAC(lCCHO,lOLE1)= +(-0.294)*rk(204)    *y(lOH)
     &                      +(-0.154)*rk(205)    *y(lO3)
     &                      +(-0.009)*rk(206)    *y(lNO3)
          JAC(lCCHO,lOLE2)= +(-0.732)*rk(208)    *y(lOH)
     &                      +(-0.456)*rk(209)    *y(lO3)
     &                      +(-0.507)*rk(210)    *y(lNO3)
          JAC(lCCHO,lETOH)= +(-0.960)*rk(212)    *y(lOH)
          JAC(lCCHO,lMBUT)= +(-0.624)*rk(214)    *y(lOH)
          JAC(lRC3H,lHO2 )= +(-0.750)*rk( 82)    *y(lRCO3)
     &                      +(-0.750)*rk( 93)    *y(lBZCO)
     &                      +(-0.750)*rk(105)    *y(lMCO3)
          JAC(lRC3H,lRCO3)= +(-0.750)*rk( 82)    *y(lHO2)
          JAC(lRC3H,lBZCO)= +(-0.750)*rk( 93)    *y(lHO2)
          JAC(lRC3H,lMCO3)= +(-0.750)*rk(105)    *y(lHO2)
          JAC(lRC2H,lO3  )= +(-0.372)*rk(171)    *y(lISPD)
     &                      +(-0.150)*rk(190)    *y(lISOP)
     &                      +(-0.189)*rk(194)    *y(lTERP)
     &                      +(-0.119)*rk(205)    *y(lOLE1)
     &                      +(-0.303)*rk(209)    *y(lOLE2)
     &                      +(-0.285)*rk(215)    *y(lMBUT)
          JAC(lRC2H,lHO2 )= +(-0.250)*rk( 82)    *y(lRCO3)
     &                      +(-0.250)*rk( 93)    *y(lBZCO)
     &                      +(-0.250)*rk(105)    *y(lMCO3)
          JAC(lRC2H,lCXO2)= +(-1.000)*rk( 84)    *y(lRCO3)
     &                      +(-1.000)*rk( 95)    *y(lBZCO)
     &                      +(-1.000)*rk(107)    *y(lMCO3)
          JAC(lRC2H,lRO2R)= +(-1.000)*rk( 85)    *y(lRCO3)
     &                      +(-1.000)*rk( 96)    *y(lBZCO)
     &                      +(-1.000)*rk(108)    *y(lMCO3)
          JAC(lRC2H,lRO2N)= +(-1.000)*rk( 87)    *y(lRCO3)
     &                      +(-1.000)*rk( 98)    *y(lBZCO)
     &                      +(-2.000)*rk(110)    *y(lMCO3)
          JAC(lRC2H,lRCO3)= +(-0.250)*rk( 82)    *y(lHO2)
     &                      +(-1.000)*rk( 84)    *y(lCXO2)
     &                      +(-1.000)*rk( 85)    *y(lRO2R)
     &                      +(-1.000)*rk( 87)    *y(lRO2N)
          JAC(lRC2H,lBZCO)= +(-0.250)*rk( 93)    *y(lHO2)
     &                      +(-1.000)*rk( 95)    *y(lCXO2)
     &                      +(-1.000)*rk( 96)    *y(lRO2R)
     &                      +(-1.000)*rk( 98)    *y(lRO2N)
          JAC(lRC2H,lMCO3)= +(-0.250)*rk(105)    *y(lHO2)
     &                      +(-1.000)*rk(107)    *y(lCXO2)
     &                      +(-1.000)*rk(108)    *y(lRO2R)
     &                      +(-2.000)*rk(110)    *y(lRO2N)
          JAC(lRC2H,lISPD)= +(-0.372)*rk(171)    *y(lO3)
          JAC(lRC2H,lISOP)= +(-0.150)*rk(190)    *y(lO3)
          JAC(lRC2H,lTERP)= +(-0.189)*rk(194)    *y(lO3)
          JAC(lRC2H,lOLE1)= +(-0.119)*rk(205)    *y(lO3)
          JAC(lRC2H,lOLE2)= +(-0.303)*rk(209)    *y(lO3)
          JAC(lRC2H,lMBUT)= +(-0.285)*rk(215)    *y(lO3)
          JAC(lBZCO,lNO2 )= +( 1.000)*rk( 90)    *y(lBZCO)
          JAC(lBZCO,lNO  )= +( 1.000)*rk( 92)    *y(lBZCO)
          JAC(lBZCO,lNO3 )= +( 1.000)*rk( 94)    *y(lBZCO)
     &                      +(-1.000)*rk(160)    *y(lBALD)
          JAC(lBZCO,lOH  )= +(-1.000)*rk(158)    *y(lBALD)
          JAC(lBZCO,lHO2 )= +( 1.000)*rk( 93)    *y(lBZCO)
          JAC(lBZCO,lCXO2)= +( 1.000)*rk( 95)    *y(lBZCO)
          JAC(lBZCO,lRO2R)= +( 1.000)*rk( 96)    *y(lBZCO)
          JAC(lBZCO,lR2O2)= +( 1.000)*rk( 97)    *y(lBZCO)
     &                      +(-1.000)*rk( 97)    *y(lBZCO)
          JAC(lBZCO,lRO2N)= +( 1.000)*rk( 98)    *y(lBZCO)
          JAC(lBZCO,lCCO3)= +( 1.000)*rk( 99)    *y(lBZCO)
          JAC(lBZCO,lRCO3)= +( 1.000)*rk(100)    *y(lBZCO)
          JAC(lBZCO,lBZCO)= +( 1.000)*rk( 90)    *y(lNO2)
     &                      +( 1.000)*rk( 92)    *y(lNO)
     &                      +( 1.000)*rk( 93)    *y(lHO2)
     &                      +( 1.000)*rk( 94)    *y(lNO3)
     &                      +( 1.000)*rk( 95)    *y(lCXO2)
     &                      +( 1.000)*rk( 96)    *y(lRO2R)
     &                      +( 1.000)*rk( 97)    *y(lR2O2)
     &                      +(-1.000)*rk( 97)    *y(lR2O2)
     &                      +( 1.000)*rk( 98)    *y(lRO2N)
          JAC(lBZCO,lBZCO)=JAC(lBZCO,lBZCO)
     &                      +( 1.000)*rk( 99)    *y(lCCO3)
     &                      +( 1.000)*rk(100)    *y(lRCO3)
     &                      +( 4.000)*rk(101)    *y(lBZCO)
     &                      +( 1.000)*rk(113)    *y(lMCO3)
          JAC(lBZCO,lPBZN)= +(-1.000)*rk( 91)*flg
          JAC(lBZCO,lMCO3)= +( 1.000)*rk(113)    *y(lBZCO)
          JAC(lBZCO,lBALD)= +(-1.000)*rk(158)    *y(lOH)
     &                      +(-1.000)*rk(160)    *y(lNO3)
          JAC(lPBZN,lNO2 )= +(-1.000)*rk( 90)    *y(lBZCO)
          JAC(lPBZN,lBZCO)= +(-1.000)*rk( 90)    *y(lNO2)
          JAC(lPBZN,lPBZN)= +( 1.000)*rk( 91)*flg
          JAC(lBZO ,lNO2 )= +( 1.000)*rk(117)    *y(lBZO)
          JAC(lBZO ,lNO  )= +(-1.000)*rk( 92)    *y(lBZCO)
          JAC(lBZO ,lNO3 )= +(-1.000)*rk( 94)    *y(lBZCO)
     &                      +(-1.000)*rk(154)    *y(lPHEN)
     &                      +(-1.000)*rk(156)    *y(lCRES)
          JAC(lBZO ,lOH  )= +(-0.240)*rk(153)    *y(lPHEN)
     &                      +(-0.240)*rk(155)    *y(lCRES)
          JAC(lBZO ,lHO2 )= +( 1.000)*rk(118)    *y(lBZO)
          JAC(lBZO ,lCCO3)= +(-1.000)*rk( 99)    *y(lBZCO)
          JAC(lBZO ,lRCO3)= +(-1.000)*rk(100)    *y(lBZCO)
          JAC(lBZO ,lBZCO)= +(-1.000)*rk( 92)    *y(lNO)
     &                      +(-1.000)*rk( 94)    *y(lNO3)
     &                      +(-1.000)*rk( 99)    *y(lCCO3)
     &                      +(-1.000)*rk(100)    *y(lRCO3)
     &                      +(-4.000)*rk(101)    *y(lBZCO)
     &                      +(-1.000)*rk(113)    *y(lMCO3)
          JAC(lBZO ,lBZO )= +( 1.000)*rk(117)    *y(lNO2)
     &                      +( 1.000)*rk(118)    *y(lHO2)
     &                      +( 1.000)*rk(119)*flg
          JAC(lBZO ,lMCO3)= +(-1.000)*rk(113)    *y(lBZCO)
          JAC(lBZO ,lPHEN)= +(-0.240)*rk(153)    *y(lOH)
     &                      +(-1.000)*rk(154)    *y(lNO3)
          JAC(lBZO ,lCRES)= +(-0.240)*rk(155)    *y(lOH)
     &                      +(-1.000)*rk(156)    *y(lNO3)
          JAC(lMCO3,lNO2 )= +( 1.000)*rk(102)    *y(lMCO3)
          JAC(lMCO3,lNO  )= +( 1.000)*rk(104)    *y(lMCO3)
          JAC(lMCO3,lO   )= +(-0.240)*rk(192)    *y(lISOP)
          JAC(lMCO3,lO3  )= +(-0.192)*rk(190)    *y(lISOP)
          JAC(lMCO3,lNO3 )= +( 1.000)*rk(106)    *y(lMCO3)
     &                      +(-0.500)*rk(163)    *y(lMETH)
     &                      +(-0.150)*rk(172)    *y(lISPD)
          JAC(lMCO3,lOH  )= +(-0.500)*rk(161)    *y(lMETH)
     &                      +(-0.289)*rk(170)    *y(lISPD)
          JAC(lMCO3,lHO2 )= +( 1.000)*rk(105)    *y(lMCO3)
          JAC(lMCO3,lCXO2)= +( 1.000)*rk(107)    *y(lMCO3)
          JAC(lMCO3,lRO2R)= +( 1.000)*rk(108)    *y(lMCO3)
          JAC(lMCO3,lR2O2)= +( 1.000)*rk(109)    *y(lMCO3)
     &                      +(-1.000)*rk(109)    *y(lMCO3)
          JAC(lMCO3,lRO2N)= +( 1.000)*rk(110)    *y(lMCO3)
          JAC(lMCO3,lCCO3)= +( 1.000)*rk(111)    *y(lMCO3)
          JAC(lMCO3,lRCO3)= +( 1.000)*rk(112)    *y(lMCO3)
          JAC(lMCO3,lBZCO)= +( 1.000)*rk(113)    *y(lMCO3)
          JAC(lMCO3,lMCO3)= +( 1.000)*rk(102)    *y(lNO2)
     &                      +( 1.000)*rk(104)    *y(lNO)
     &                      +( 1.000)*rk(105)    *y(lHO2)
     &                      +( 1.000)*rk(106)    *y(lNO3)
     &                      +( 1.000)*rk(107)    *y(lCXO2)
     &                      +( 1.000)*rk(108)    *y(lRO2R)
     &                      +( 1.000)*rk(109)    *y(lR2O2)
     &                      +(-1.000)*rk(109)    *y(lR2O2)
     &                      +( 1.000)*rk(110)    *y(lRO2N)
          JAC(lMCO3,lMCO3)=JAC(lMCO3,lMCO3)
     &                      +( 1.000)*rk(111)    *y(lCCO3)
     &                      +( 1.000)*rk(112)    *y(lRCO3)
     &                      +( 1.000)*rk(113)    *y(lBZCO)
     &                      +( 4.000)*rk(114)    *y(lMCO3)
          JAC(lMCO3,lMPAN)= +(-1.000)*rk(103)*flg
          JAC(lMCO3,lMETH)= +(-0.500)*rk(161)    *y(lOH)
     &                      +(-0.500)*rk(163)    *y(lNO3)
     &                      +(-0.330)*rk(165)*flg
          JAC(lMCO3,lMVK )= +(-0.300)*rk(169)*flg
          JAC(lMCO3,lISPD)= +(-0.289)*rk(170)    *y(lOH)
     &                      +(-0.150)*rk(172)    *y(lNO3)
          JAC(lMCO3,lISOP)= +(-0.192)*rk(190)    *y(lO3)
     &                      +(-0.240)*rk(192)    *y(lO)
          JAC(lMPAN,lNO2 )= +(-1.000)*rk(102)    *y(lMCO3)
          JAC(lMPAN,lMCO3)= +(-1.000)*rk(102)    *y(lNO2)
          JAC(lMPAN,lMPAN)= +( 1.000)*rk(103)*flg
          JAC(lTBUO,lNO2 )= +( 1.000)*rk(115)    *y(lTBUO)
          JAC(lTBUO,lOH  )= +(-0.236)*rk(199)    *y(lALK3)
     &                      +(-0.016)*rk(213)    *y(lMTBE)
          JAC(lTBUO,lTBUO)= +( 1.000)*rk(115)    *y(lNO2)
     &                      +( 1.000)*rk(116)*flg
          JAC(lTBUO,lALK3)= +(-0.236)*rk(199)    *y(lOH)
          JAC(lTBUO,lMTBE)= +(-0.016)*rk(213)    *y(lOH)
          JAC(lACET,lO3  )= +(-0.130)*rk(194)    *y(lTERP)
     &                      +(-0.001)*rk(205)    *y(lOLE1)
     &                      +(-0.045)*rk(209)    *y(lOLE2)
     &                      +(-0.015)*rk(215)    *y(lMBUT)
          JAC(lACET,lNO3 )= +(-0.024)*rk(206)    *y(lOLE1)
     &                      +(-0.102)*rk(210)    *y(lOLE2)
     &                      +(-0.934)*rk(216)    *y(lMBUT)
          JAC(lACET,lOH  )= +( 1.000)*rk(136)    *y(lACET)
     &                      +(-0.006)*rk(176)    *y(lRNO3)
     &                      +(-0.417)*rk(198)    *y(lALK2)
     &                      +(-0.024)*rk(199)    *y(lALK3)
     &                      +(-0.452)*rk(200)    *y(lALK4)
     &                      +(-0.072)*rk(201)    *y(lALK5)
     &                      +(-0.005)*rk(204)    *y(lOLE1)
     &                      +(-0.127)*rk(208)    *y(lOLE2)
     &                      +(-0.024)*rk(213)    *y(lMTBE)
          JAC(lACET,lOH  )=JAC(lACET,lOH  )
     &                      +(-0.624)*rk(214)    *y(lMBUT)
          JAC(lACET,lRNO3)= +(-0.006)*rk(176)    *y(lOH)
     &                      +(-0.020)*rk(177)*flg
          JAC(lACET,lTBUO)= +(-1.000)*rk(116)*flg
          JAC(lACET,lACET)= +( 1.000)*rk(136)    *y(lOH)
     &                      +( 1.000)*rk(137)*flg
          JAC(lACET,lTERP)= +(-0.130)*rk(194)    *y(lO3)
          JAC(lACET,lALK2)= +(-0.417)*rk(198)    *y(lOH)
          JAC(lACET,lALK3)= +(-0.024)*rk(199)    *y(lOH)
          JAC(lACET,lALK4)= +(-0.452)*rk(200)    *y(lOH)
          JAC(lACET,lALK5)= +(-0.072)*rk(201)    *y(lOH)
          JAC(lACET,lOLE1)= +(-0.005)*rk(204)    *y(lOH)
     &                      +(-0.001)*rk(205)    *y(lO3)
     &                      +(-0.024)*rk(206)    *y(lNO3)
          JAC(lACET,lOLE2)= +(-0.127)*rk(208)    *y(lOH)
     &                      +(-0.045)*rk(209)    *y(lO3)
     &                      +(-0.102)*rk(210)    *y(lNO3)
          JAC(lACET,lMTBE)= +(-0.024)*rk(213)    *y(lOH)
          JAC(lACET,lMBUT)= +(-0.624)*rk(214)    *y(lOH)
     &                      +(-0.015)*rk(215)    *y(lO3)
     &                      +(-0.934)*rk(216)    *y(lNO3)
          JAC(lNPHE,lNO2 )= +(-1.000)*rk(117)    *y(lBZO)
          JAC(lNPHE,lNO3 )= +( 1.000)*rk(157)    *y(lNPHE)
          JAC(lNPHE,lHO2 )= +(-1.000)*rk(121)    *y(lBZNO)
          JAC(lNPHE,lBZO )= +(-1.000)*rk(117)    *y(lNO2)
          JAC(lNPHE,lNPHE)= +( 1.000)*rk(157)    *y(lNO3)
          JAC(lNPHE,lBZNO)= +(-1.000)*rk(121)    *y(lHO2)
     &                      +(-1.000)*rk(122)*flg
          JAC(lPHEN,lNO3 )= +( 1.000)*rk(154)    *y(lPHEN)
          JAC(lPHEN,lOH  )= +( 1.000)*rk(153)    *y(lPHEN)
     &                      +(-0.017)*rk(202)    *y(lARO1)
          JAC(lPHEN,lHO2 )= +(-1.000)*rk(118)    *y(lBZO)
          JAC(lPHEN,lBZO )= +(-1.000)*rk(118)    *y(lHO2)
     &                      +(-1.000)*rk(119)*flg
          JAC(lPHEN,lPHEN)= +( 1.000)*rk(153)    *y(lOH)
     &                      +( 1.000)*rk(154)    *y(lNO3)
          JAC(lPHEN,lARO1)= +(-0.017)*rk(202)    *y(lOH)
          JAC(lBZNO,lNO2 )= +( 1.000)*rk(120)    *y(lBZNO)
          JAC(lBZNO,lNO3 )= +(-1.000)*rk(157)    *y(lNPHE)
          JAC(lBZNO,lHO2 )= +( 1.000)*rk(121)    *y(lBZNO)
          JAC(lBZNO,lNPHE)= +(-1.000)*rk(157)    *y(lNO3)
          JAC(lBZNO,lBZNO)= +( 1.000)*rk(120)    *y(lNO2)
     &                      +( 1.000)*rk(121)    *y(lHO2)
     &                      +( 1.000)*rk(122)*flg
          JAC(lXN  ,lNO2 )= +(-2.000)*rk(120)    *y(lBZNO)
          JAC(lXN  ,lNO3 )= +(-0.500)*rk(163)    *y(lMETH)
     &                      +(-0.278)*rk(172)    *y(lISPD)
     &                      +(-1.000)*rk(187)    *y(lETHE)
     &                      +(-0.250)*rk(195)    *y(lTERP)
     &                      +(-0.489)*rk(206)    *y(lOLE1)
     &                      +(-0.288)*rk(210)    *y(lOLE2)
          JAC(lXN  ,lOH  )= +(-0.352)*rk(176)    *y(lRNO3)
          JAC(lXN  ,lRNO3)= +(-0.352)*rk(176)    *y(lOH)
          JAC(lXN  ,lBZNO)= +(-2.000)*rk(120)    *y(lNO2)
          JAC(lXN  ,lMETH)= +(-0.500)*rk(163)    *y(lNO3)
          JAC(lXN  ,lISPD)= +(-0.278)*rk(172)    *y(lNO3)
          JAC(lXN  ,lETHE)= +(-1.000)*rk(187)    *y(lNO3)
          JAC(lXN  ,lTERP)= +(-0.250)*rk(195)    *y(lNO3)
          JAC(lXN  ,lOLE1)= +(-0.489)*rk(206)    *y(lNO3)
          JAC(lXN  ,lOLE2)= +(-0.288)*rk(210)    *y(lNO3)
          JAC(lHCO3,lNO  )= +( 1.000)*rk(128)    *y(lHCO3)
          JAC(lHCO3,lHO2 )= +(-1.000)*rk(126)    *y(lHCHO)
          JAC(lHCO3,lHCHO)= +(-1.000)*rk(126)    *y(lHO2)
          JAC(lHCO3,lHCO3)= +( 1.000)*rk(127)*flg
     &                      +( 1.000)*rk(128)    *y(lNO)
          JAC(lHC2H,lNO  )= +(-1.000)*rk(128)    *y(lHCO3)
          JAC(lHC2H,lO3  )= +(-0.333)*rk(162)    *y(lMETH)
     &                      +(-0.351)*rk(167)    *y(lMVK)
     &                      +(-0.100)*rk(171)    *y(lISPD)
     &                      +(-0.370)*rk(186)    *y(lETHE)
     &                      +(-0.204)*rk(190)    *y(lISOP)
     &                      +(-0.103)*rk(194)    *y(lTERP)
     &                      +(-0.185)*rk(205)    *y(lOLE1)
     &                      +(-0.073)*rk(209)    *y(lOLE2)
     &                      +(-0.259)*rk(215)    *y(lMBUT)
          JAC(lHC2H,lOH  )= +(-0.121)*rk(198)    *y(lALK2)
          JAC(lHC2H,lHCO3)= +(-1.000)*rk(128)    *y(lNO)
          JAC(lHC2H,lMETH)= +(-0.333)*rk(162)    *y(lO3)
          JAC(lHC2H,lMVK )= +(-0.351)*rk(167)    *y(lO3)
          JAC(lHC2H,lISPD)= +(-0.100)*rk(171)    *y(lO3)
          JAC(lHC2H,lETHE)= +(-0.370)*rk(186)    *y(lO3)
          JAC(lHC2H,lISOP)= +(-0.204)*rk(190)    *y(lO3)
          JAC(lHC2H,lTERP)= +(-0.103)*rk(194)    *y(lO3)
          JAC(lHC2H,lALK2)= +(-0.121)*rk(198)    *y(lOH)
          JAC(lHC2H,lOLE1)= +(-0.185)*rk(205)    *y(lO3)
          JAC(lHC2H,lOLE2)= +(-0.073)*rk(209)    *y(lO3)
          JAC(lHC2H,lMBUT)= +(-0.259)*rk(215)    *y(lO3)
          JAC(lRCHO,lO   )= +(-1.000)*rk(164)    *y(lMETH)
     &                      +(-0.450)*rk(168)    *y(lMVK)
     &                      +(-0.147)*rk(196)    *y(lTERP)
     &                      +(-0.450)*rk(207)    *y(lOLE1)
     &                      +(-0.069)*rk(211)    *y(lOLE2)
     &                      +(-0.450)*rk(217)    *y(lMBUT)
          JAC(lRCHO,lO3  )= +(-0.205)*rk(194)    *y(lTERP)
     &                      +(-0.363)*rk(205)    *y(lOLE1)
     &                      +(-0.305)*rk(209)    *y(lOLE2)
     &                      +(-0.700)*rk(215)    *y(lMBUT)
          JAC(lRCHO,lNO3 )= +( 1.000)*rk(135)    *y(lRCHO)
     &                      +(-0.218)*rk(172)    *y(lISPD)
     &                      +(-1.000)*rk(187)    *y(lETHE)
     &                      +(-0.474)*rk(195)    *y(lTERP)
     &                      +(-0.037)*rk(206)    *y(lOLE1)
     &                      +(-0.151)*rk(210)    *y(lOLE2)
     &                      +(-0.935)*rk(216)    *y(lMBUT)
          JAC(lRCHO,lOH  )= +( 1.000)*rk(133)    *y(lRCHO)
     &                      +(-0.370)*rk(138)    *y(lMEK)
     &                      +(-1.000)*rk(143)    *y(lROOH)
     &                      +(-0.675)*rk(166)    *y(lMVK)
     &                      +(-0.013)*rk(170)    *y(lISPD)
     &                      +(-0.558)*rk(174)    *y(lPROD)
     &                      +(-0.213)*rk(176)    *y(lRNO3)
     &                      +(-1.000)*rk(178)    *y(lDCB1)
     &                      +(-1.000)*rk(180)    *y(lDCB2)
          JAC(lRCHO,lOH  )=JAC(lRCHO,lOH  )
     &                      +(-1.000)*rk(182)    *y(lDCB3)
     &                      +(-0.474)*rk(193)    *y(lTERP)
     &                      +(-0.155)*rk(198)    *y(lALK2)
     &                      +(-0.122)*rk(199)    *y(lALK3)
     &                      +(-0.244)*rk(200)    *y(lALK4)
     &                      +(-0.204)*rk(201)    *y(lALK5)
     &                      +(-0.497)*rk(204)    *y(lOLE1)
     &                      +(-0.511)*rk(208)    *y(lOLE2)
          JAC(lRCHO,lOH  )=JAC(lRCHO,lOH  )
     &                      +(-0.311)*rk(214)    *y(lMBUT)
          JAC(lRCHO,lROOH)= +(-1.000)*rk(143)    *y(lOH)
     &                      +(-1.000)*rk(144)*flg
          JAC(lRCHO,lRNO3)= +(-0.213)*rk(176)    *y(lOH)
     &                      +(-0.147)*rk(177)*flg
          JAC(lRCHO,lMEK )= +(-0.370)*rk(138)    *y(lOH)
          JAC(lRCHO,lPROD)= +(-0.558)*rk(174)    *y(lOH)
     &                      +(-0.710)*rk(175)*flg
          JAC(lRCHO,lRCHO)= +( 1.000)*rk(133)    *y(lOH)
     &                      +( 1.000)*rk(134)*flg
     &                      +( 1.000)*rk(135)    *y(lNO3)
          JAC(lRCHO,lMETH)= +(-1.000)*rk(164)    *y(lO)
          JAC(lRCHO,lMVK )= +(-0.675)*rk(166)    *y(lOH)
     &                      +(-0.450)*rk(168)    *y(lO)
          JAC(lRCHO,lISPD)= +(-0.013)*rk(170)    *y(lOH)
     &                      +(-0.218)*rk(172)    *y(lNO3)
          JAC(lRCHO,lDCB1)= +(-1.000)*rk(178)    *y(lOH)
          JAC(lRCHO,lDCB2)= +(-1.000)*rk(180)    *y(lOH)
          JAC(lRCHO,lDCB3)= +(-1.000)*rk(182)    *y(lOH)
          JAC(lRCHO,lETHE)= +(-1.000)*rk(187)    *y(lNO3)
          JAC(lRCHO,lTERP)= +(-0.474)*rk(193)    *y(lOH)
     &                      +(-0.205)*rk(194)    *y(lO3)
     &                      +(-0.474)*rk(195)    *y(lNO3)
     &                      +(-0.147)*rk(196)    *y(lO)
          JAC(lRCHO,lALK2)= +(-0.155)*rk(198)    *y(lOH)
          JAC(lRCHO,lALK3)= +(-0.122)*rk(199)    *y(lOH)
          JAC(lRCHO,lALK4)= +(-0.244)*rk(200)    *y(lOH)
          JAC(lRCHO,lALK5)= +(-0.204)*rk(201)    *y(lOH)
          JAC(lRCHO,lOLE1)= +(-0.497)*rk(204)    *y(lOH)
     &                      +(-0.363)*rk(205)    *y(lO3)
     &                      +(-0.037)*rk(206)    *y(lNO3)
     &                      +(-0.450)*rk(207)    *y(lO)
          JAC(lRCHO,lOLE2)= +(-0.511)*rk(208)    *y(lOH)
     &                      +(-0.305)*rk(209)    *y(lO3)
     &                      +(-0.151)*rk(210)    *y(lNO3)
     &                      +(-0.069)*rk(211)    *y(lO)
          JAC(lRCHO,lMBUT)= +(-0.311)*rk(214)    *y(lOH)
     &                      +(-0.700)*rk(215)    *y(lO3)
     &                      +(-0.935)*rk(216)    *y(lNO3)
     &                      +(-0.450)*rk(217)    *y(lO)
          JAC(lGLY ,lO   )= +(-0.009)*rk(188)    *y(lETHE)
          JAC(lGLY ,lO3  )= +(-0.023)*rk(171)    *y(lISPD)
     &                      +(-1.000)*rk(179)    *y(lDCB1)
     &                      +(-0.001)*rk(194)    *y(lTERP)
          JAC(lGLY ,lNO3 )= +( 1.000)*rk(148)    *y(lGLY)
          JAC(lGLY ,lOH  )= +( 1.000)*rk(147)    *y(lGLY)
     &                      +(-0.230)*rk(153)    *y(lPHEN)
     &                      +(-0.150)*rk(170)    *y(lISPD)
     &                      +(-0.248)*rk(198)    *y(lALK2)
     &                      +(-0.118)*rk(202)    *y(lARO1)
     &                      +(-0.097)*rk(203)    *y(lARO2)
          JAC(lGLY ,lPHEN)= +(-0.230)*rk(153)    *y(lOH)
          JAC(lGLY ,lGLY )= +( 1.000)*rk(145)*flg
     &                      +( 1.000)*rk(146)*flg
     &                      +( 1.000)*rk(147)    *y(lOH)
     &                      +( 1.000)*rk(148)    *y(lNO3)
          JAC(lGLY ,lISPD)= +(-0.150)*rk(170)    *y(lOH)
     &                      +(-0.023)*rk(171)    *y(lO3)
          JAC(lGLY ,lDCB1)= +(-1.000)*rk(179)    *y(lO3)
          JAC(lGLY ,lDCB2)= +(-0.500)*rk(181)*flg
          JAC(lGLY ,lDCB3)= +(-0.500)*rk(183)*flg
          JAC(lGLY ,lETHE)= +(-0.009)*rk(188)    *y(lO)
          JAC(lGLY ,lTERP)= +(-0.001)*rk(194)    *y(lO3)
          JAC(lGLY ,lALK2)= +(-0.248)*rk(198)    *y(lOH)
          JAC(lGLY ,lARO1)= +(-0.118)*rk(202)    *y(lOH)
          JAC(lGLY ,lARO2)= +(-0.097)*rk(203)    *y(lOH)
          JAC(lMGLY,lO3  )= +(-0.900)*rk(162)    *y(lMETH)
     &                      +(-0.950)*rk(167)    *y(lMVK)
     &                      +(-0.742)*rk(171)    *y(lISPD)
          JAC(lMGLY,lNO3 )= +( 1.000)*rk(151)    *y(lMGLY)
     &                      +(-0.008)*rk(172)    *y(lISPD)
          JAC(lMGLY,lOH  )= +( 1.000)*rk(150)    *y(lMGLY)
     &                      +(-0.230)*rk(155)    *y(lCRES)
     &                      +(-0.084)*rk(161)    *y(lMETH)
     &                      +(-0.300)*rk(166)    *y(lMVK)
     &                      +(-0.174)*rk(170)    *y(lISPD)
     &                      +(-0.119)*rk(202)    *y(lARO1)
     &                      +(-0.287)*rk(203)    *y(lARO2)
          JAC(lMGLY,lMGLY)= +( 1.000)*rk(149)*flg
     &                      +( 1.000)*rk(150)    *y(lOH)
     &                      +( 1.000)*rk(151)    *y(lNO3)
          JAC(lMGLY,lCRES)= +(-0.230)*rk(155)    *y(lOH)
          JAC(lMGLY,lMETH)= +(-0.084)*rk(161)    *y(lOH)
     &                      +(-0.900)*rk(162)    *y(lO3)
          JAC(lMGLY,lMVK )= +(-0.300)*rk(166)    *y(lOH)
     &                      +(-0.950)*rk(167)    *y(lO3)
          JAC(lMGLY,lISPD)= +(-0.174)*rk(170)    *y(lOH)
     &                      +(-0.742)*rk(171)    *y(lO3)
     &                      +(-0.008)*rk(172)    *y(lNO3)
          JAC(lMGLY,lDCB2)= +(-0.500)*rk(181)*flg
          JAC(lMGLY,lDCB3)= +(-0.500)*rk(183)*flg
          JAC(lMGLY,lARO1)= +(-0.119)*rk(202)    *y(lOH)
          JAC(lMGLY,lARO2)= +(-0.287)*rk(203)    *y(lOH)
          JAC(lBACL,lO3  )= +(-0.031)*rk(194)    *y(lTERP)
          JAC(lBACL,lOH  )= +(-0.087)*rk(203)    *y(lARO2)
          JAC(lBACL,lBACL)= +( 1.000)*rk(152)*flg
          JAC(lBACL,lTERP)= +(-0.031)*rk(194)    *y(lO3)
          JAC(lBACL,lARO2)= +(-0.087)*rk(203)    *y(lOH)
          JAC(lCRES,lNO3 )= +( 1.000)*rk(156)    *y(lCRES)
          JAC(lCRES,lOH  )= +( 1.000)*rk(155)    *y(lCRES)
     &                      +(-0.207)*rk(202)    *y(lARO1)
     &                      +(-0.187)*rk(203)    *y(lARO2)
          JAC(lCRES,lCRES)= +( 1.000)*rk(155)    *y(lOH)
     &                      +( 1.000)*rk(156)    *y(lNO3)
          JAC(lCRES,lARO1)= +(-0.207)*rk(202)    *y(lOH)
          JAC(lCRES,lARO2)= +(-0.187)*rk(203)    *y(lOH)
          JAC(lBALD,lO3  )= +(-0.042)*rk(209)    *y(lOLE2)
          JAC(lBALD,lNO3 )= +( 1.000)*rk(160)    *y(lBALD)
     &                      +(-0.015)*rk(210)    *y(lOLE2)
          JAC(lBALD,lOH  )= +( 1.000)*rk(158)    *y(lBALD)
     &                      +(-0.059)*rk(202)    *y(lARO1)
     &                      +(-0.050)*rk(203)    *y(lARO2)
     &                      +(-0.061)*rk(208)    *y(lOLE2)
          JAC(lBALD,lBALD)= +( 1.000)*rk(158)    *y(lOH)
     &                      +( 1.000)*rk(159)*flg
     &                      +( 1.000)*rk(160)    *y(lNO3)
          JAC(lBALD,lARO1)= +(-0.059)*rk(202)    *y(lOH)
          JAC(lBALD,lARO2)= +(-0.050)*rk(203)    *y(lOH)
          JAC(lBALD,lOLE2)= +(-0.061)*rk(208)    *y(lOH)
     &                      +(-0.042)*rk(209)    *y(lO3)
     &                      +(-0.015)*rk(210)    *y(lNO3)
          JAC(lMETH,lO   )= +( 1.000)*rk(164)    *y(lMETH)
     &                      +(-0.012)*rk(211)    *y(lOLE2)
          JAC(lMETH,lO3  )= +( 1.000)*rk(162)    *y(lMETH)
     &                      +(-0.390)*rk(190)    *y(lISOP)
     &                      +(-0.026)*rk(209)    *y(lOLE2)
          JAC(lMETH,lNO3 )= +( 1.000)*rk(163)    *y(lMETH)
          JAC(lMETH,lOH  )= +( 1.000)*rk(161)    *y(lMETH)
     &                      +(-0.230)*rk(189)    *y(lISOP)
     &                      +(-0.025)*rk(208)    *y(lOLE2)
          JAC(lMETH,lMETH)= +( 1.000)*rk(161)    *y(lOH)
     &                      +( 1.000)*rk(162)    *y(lO3)
     &                      +( 1.000)*rk(163)    *y(lNO3)
     &                      +( 1.000)*rk(164)    *y(lO)
     &                      +( 1.000)*rk(165)*flg
          JAC(lMETH,lISOP)= +(-0.230)*rk(189)    *y(lOH)
     &                      +(-0.390)*rk(190)    *y(lO3)
          JAC(lMETH,lOLE2)= +(-0.025)*rk(208)    *y(lOH)
     &                      +(-0.026)*rk(209)    *y(lO3)
     &                      +(-0.012)*rk(211)    *y(lO)
          JAC(lMVK ,lO   )= +( 1.000)*rk(168)    *y(lMVK)
          JAC(lMVK ,lO3  )= +( 1.000)*rk(167)    *y(lMVK)
     &                      +(-0.160)*rk(190)    *y(lISOP)
          JAC(lMVK ,lNO3 )= +(-0.048)*rk(210)    *y(lOLE2)
          JAC(lMVK ,lOH  )= +( 1.000)*rk(166)    *y(lMVK)
     &                      +(-0.320)*rk(189)    *y(lISOP)
          JAC(lMVK ,lMVK )= +( 1.000)*rk(166)    *y(lOH)
     &                      +( 1.000)*rk(167)    *y(lO3)
     &                      +( 1.000)*rk(168)    *y(lO)
     &                      +( 1.000)*rk(169)*flg
          JAC(lMVK ,lISOP)= +(-0.320)*rk(189)    *y(lOH)
     &                      +(-0.160)*rk(190)    *y(lO3)
          JAC(lMVK ,lOLE2)= +(-0.048)*rk(210)    *y(lNO3)
          JAC(lISPD,lO3  )= +( 1.000)*rk(171)    *y(lISPD)
          JAC(lISPD,lNO3 )= +( 1.000)*rk(172)    *y(lISPD)
     &                      +(-0.936)*rk(191)    *y(lISOP)
          JAC(lISPD,lOH  )= +( 1.000)*rk(170)    *y(lISPD)
     &                      +(-0.357)*rk(189)    *y(lISOP)
     &                      +(-0.025)*rk(208)    *y(lOLE2)
          JAC(lISPD,lISPD)= +( 1.000)*rk(170)    *y(lOH)
     &                      +( 1.000)*rk(171)    *y(lO3)
     &                      +( 1.000)*rk(172)    *y(lNO3)
     &                      +( 1.000)*rk(173)*flg
          JAC(lISPD,lISOP)= +(-0.357)*rk(189)    *y(lOH)
     &                      +(-0.936)*rk(191)    *y(lNO3)
          JAC(lISPD,lOLE2)= +(-0.025)*rk(208)    *y(lOH)
          JAC(lDCB1,lO3  )= +( 1.000)*rk(179)    *y(lDCB1)
          JAC(lDCB1,lOH  )= +( 1.000)*rk(178)    *y(lDCB1)
     &                      +(-0.491)*rk(202)    *y(lARO1)
     &                      +(-0.561)*rk(203)    *y(lARO2)
          JAC(lDCB1,lDCB1)= +( 1.000)*rk(178)    *y(lOH)
     &                      +( 1.000)*rk(179)    *y(lO3)
          JAC(lDCB1,lARO1)= +(-0.491)*rk(202)    *y(lOH)
          JAC(lDCB1,lARO2)= +(-0.561)*rk(203)    *y(lOH)
          JAC(lDCB2,lOH  )= +( 1.000)*rk(180)    *y(lDCB2)
     &                      +(-0.108)*rk(202)    *y(lARO1)
     &                      +(-0.099)*rk(203)    *y(lARO2)
          JAC(lDCB2,lDCB2)= +( 1.000)*rk(180)    *y(lOH)
     &                      +( 1.000)*rk(181)*flg
          JAC(lDCB2,lARO1)= +(-0.108)*rk(202)    *y(lOH)
          JAC(lDCB2,lARO2)= +(-0.099)*rk(203)    *y(lOH)
          JAC(lDCB3,lOH  )= +( 1.000)*rk(182)    *y(lDCB3)
     &                      +(-0.051)*rk(202)    *y(lARO1)
     &                      +(-0.093)*rk(203)    *y(lARO2)
          JAC(lDCB3,lDCB3)= +( 1.000)*rk(182)    *y(lOH)
     &                      +( 1.000)*rk(183)*flg
          JAC(lDCB3,lARO1)= +(-0.051)*rk(202)    *y(lOH)
          JAC(lDCB3,lARO2)= +(-0.093)*rk(203)    *y(lOH)
          JAC(lETHE,lO   )= +( 1.000)*rk(188)    *y(lETHE)
          JAC(lETHE,lO3  )= +( 1.000)*rk(186)    *y(lETHE)
          JAC(lETHE,lNO3 )= +( 1.000)*rk(187)    *y(lETHE)
          JAC(lETHE,lOH  )= +( 1.000)*rk(185)    *y(lETHE)
          JAC(lETHE,lETHE)= +( 1.000)*rk(185)    *y(lOH)
     &                      +( 1.000)*rk(186)    *y(lO3)
     &                      +( 1.000)*rk(187)    *y(lNO3)
     &                      +( 1.000)*rk(188)    *y(lO)
          JAC(lISOP,lO   )= +( 1.000)*rk(192)    *y(lISOP)
          JAC(lISOP,lO3  )= +( 1.000)*rk(190)    *y(lISOP)
          JAC(lISOP,lNO3 )= +( 1.000)*rk(191)    *y(lISOP)
          JAC(lISOP,lOH  )= +( 1.000)*rk(189)    *y(lISOP)
          JAC(lISOP,lISOP)= +( 1.000)*rk(189)    *y(lOH)
     &                      +( 1.000)*rk(190)    *y(lO3)
     &                      +( 1.000)*rk(191)    *y(lNO3)
     &                      +( 1.000)*rk(192)    *y(lO)
          JAC(lTERP,lO   )= +( 1.000)*rk(196)    *y(lTERP)
          JAC(lTERP,lO3  )= +( 1.000)*rk(194)    *y(lTERP)
          JAC(lTERP,lNO3 )= +( 1.000)*rk(195)    *y(lTERP)
          JAC(lTERP,lOH  )= +( 1.000)*rk(193)    *y(lTERP)
          JAC(lTERP,lTERP)= +( 1.000)*rk(193)    *y(lOH)
     &                      +( 1.000)*rk(194)    *y(lO3)
     &                      +( 1.000)*rk(195)    *y(lNO3)
     &                      +( 1.000)*rk(196)    *y(lO)
          JAC(lALK1,lOH  )= +( 1.000)*rk(197)    *y(lALK1)
          JAC(lALK1,lALK1)= +( 1.000)*rk(197)    *y(lOH)
          JAC(lALK2,lOH  )= +( 1.000)*rk(198)    *y(lALK2)
          JAC(lALK2,lALK2)= +( 1.000)*rk(198)    *y(lOH)
          JAC(lALK3,lOH  )= +( 1.000)*rk(199)    *y(lALK3)
          JAC(lALK3,lALK3)= +( 1.000)*rk(199)    *y(lOH)
          JAC(lALK4,lOH  )= +( 1.000)*rk(200)    *y(lALK4)
          JAC(lALK4,lALK4)= +( 1.000)*rk(200)    *y(lOH)
          JAC(lALK5,lOH  )= +( 1.000)*rk(201)    *y(lALK5)
          JAC(lALK5,lALK5)= +( 1.000)*rk(201)    *y(lOH)
          JAC(lARO1,lOH  )= +( 1.000)*rk(202)    *y(lARO1)
          JAC(lARO1,lARO1)= +( 1.000)*rk(202)    *y(lOH)
          JAC(lARO2,lOH  )= +( 1.000)*rk(203)    *y(lARO2)
          JAC(lARO2,lARO2)= +( 1.000)*rk(203)    *y(lOH)
          JAC(lOLE1,lO   )= +( 1.000)*rk(207)    *y(lOLE1)
          JAC(lOLE1,lO3  )= +( 1.000)*rk(205)    *y(lOLE1)
          JAC(lOLE1,lNO3 )= +( 1.000)*rk(206)    *y(lOLE1)
          JAC(lOLE1,lOH  )= +( 1.000)*rk(204)    *y(lOLE1)
          JAC(lOLE1,lOLE1)= +( 1.000)*rk(204)    *y(lOH)
     &                      +( 1.000)*rk(205)    *y(lO3)
     &                      +( 1.000)*rk(206)    *y(lNO3)
     &                      +( 1.000)*rk(207)    *y(lO)
          JAC(lOLE2,lO   )= +( 1.000)*rk(211)    *y(lOLE2)
          JAC(lOLE2,lO3  )= +( 1.000)*rk(209)    *y(lOLE2)
          JAC(lOLE2,lNO3 )= +( 1.000)*rk(210)    *y(lOLE2)
          JAC(lOLE2,lOH  )= +( 1.000)*rk(208)    *y(lOLE2)
          JAC(lOLE2,lOLE2)= +( 1.000)*rk(208)    *y(lOH)
     &                      +( 1.000)*rk(209)    *y(lO3)
     &                      +( 1.000)*rk(210)    *y(lNO3)
     &                      +( 1.000)*rk(211)    *y(lO)
          JAC(lETOH,lOH  )= +( 1.000)*rk(212)    *y(lETOH)
          JAC(lETOH,lETOH)= +( 1.000)*rk(212)    *y(lOH)
          JAC(lMTBE,lOH  )= +( 1.000)*rk(213)    *y(lMTBE)
          JAC(lMTBE,lMTBE)= +( 1.000)*rk(213)    *y(lOH)
          JAC(lMBUT,lO   )= +( 1.000)*rk(217)    *y(lMBUT)
          JAC(lMBUT,lO3  )= +( 1.000)*rk(215)    *y(lMBUT)
          JAC(lMBUT,lNO3 )= +( 1.000)*rk(216)    *y(lMBUT)
          JAC(lMBUT,lOH  )= +( 1.000)*rk(214)    *y(lMBUT)
          JAC(lMBUT,lMBUT)= +( 1.000)*rk(214)    *y(lOH)
     &                      +( 1.000)*rk(215)    *y(lO3)
     &                      +( 1.000)*rk(216)    *y(lNO3)
     &                      +( 1.000)*rk(217)    *y(lO)
c
      do j=1,njac
        do i=1,njac
          jac(i,j) = -jac(i,j)
        enddo
      enddo
c
      return
c
      end
