c----CAMx v5.20.1 1007014
c
c     IEHCHEM.COM sets species pointers for the IEH chemistry solver
c     These equivalences must be consistent with the internal   
c     species lists defined in data statements in READCHM
c
c     Copyright 1996 - 2010
c     ENVIRON International Corporation
c 
      integer imap(NSPNAM)
      integer irad(NRADNM)
      common /iname/ imap, irad
c
      integer        ino,    ino2,     io3
      integer       ipan,   ipanx,   icres
      integer      ipan2,   impan,   ipbzn
      integer      inphe,   irno3,   idcb2
      integer      idcb3,   ihno4,   iaacd
      integer      iacet,   iald2,   ialdx
      integer      ialk1,   ialk2,   ialk3
      integer      ialk4,   ialk5,   iaro1
      integer      iaro2,   ibacl,   ibald
      integer      ibcl1,   ibcl2,   ibuta
      integer      iccho,   iccrs,    icg1
      integer       icg2,    icg3,    icg4
      integer       icg5,    icg6,    icg7
      integer       icl2,     ico,   ico2h
      integer      ico3h,   icooh,   icprm
      integer      idcb1,    ieth,   ietha
      integer      iethe,   ietoh,   ifacd
      integer      ifcrs,   ifmcl,   iform
      integer      ifprm,    igly,   ih2o2
      integer      ihc2h,   ihcho,    ihcl
      integer       ihg0,    ihg2,    ihgp
      integer      ihno3,   iho2h,   ihocl
      integer      ihono,   iicl1,   iicl2
      integer      iiole,   iisop,    iisp
      integer      iispd,   imbut,    imek
      integer      imeoh,   imepx,   imeth
      integer      imgly,   imtbe,    imvk
      integer      in2o5,     ina,    inh3
      integer       ino3,    intr,    iole
      integer      iole1,   iole2,   iopen
      integer      ipacd,    ipar,    ipcl
      integer       ipec,   iph2o,   iphen
      integer       ipna,   ipnh4,   ipno3
      integer       ipoa,   iprod,   ipso4
      integer      irc2h,   irc3h,   ircho
      integer      irooh,    iso2,   isoa1
      integer      isoa2,   isoa3,   isoa4
      integer      isoa5,   isoa6,   isoa7
      integer      isopa,   isopb,    isqt
      integer      isulf,   iterp,    itol
      integer      itola,    itrp,     ixn
      integer       ixyl,   ixyla, isoa1_1
      integer    isoa1_2, isoa1_3, isoa1_4
      integer    isoa1_5, isoa1_6, isoa1_7
      integer    isoa1_8, isoa1_9,isoa1_10
      integer    isoa2_1, isoa2_2, isoa2_3
      integer    isoa2_4, isoa2_5, isoa2_6
      integer    isoa2_7, isoa2_8, isoa2_9
      integer   isoa2_10, isoa3_1, isoa3_2
      integer    isoa3_3, isoa3_4, isoa3_5
      integer    isoa3_6, isoa3_7, isoa3_8
      integer    isoa3_9,isoa3_10, isoa4_1
      integer    isoa4_2, isoa4_3, isoa4_4
      integer    isoa4_5, isoa4_6, isoa4_7
      integer    isoa4_8, isoa4_9,isoa4_10
      integer    isoa5_1, isoa5_2, isoa5_3
      integer    isoa5_4, isoa5_5, isoa5_6
      integer    isoa5_7, isoa5_8, isoa5_9
      integer   isoa5_10, isoa6_1, isoa6_2
      integer    isoa6_3, isoa6_4, isoa6_5
      integer    isoa6_6, isoa6_7, isoa6_8
      integer    isoa6_9,isoa6_10, isoa7_1
      integer    isoa7_2, isoa7_3, isoa7_4
      integer    isoa7_5, isoa7_6, isoa7_7
      integer    isoa7_8, isoa7_9,isoa7_10
      integer    isopa_1, isopa_2, isopa_3
      integer    isopa_4, isopa_5, isopa_6
      integer    isopa_7, isopa_8, isopa_9
      integer   isopa_10, isopb_1, isopb_2
      integer    isopb_3, isopb_4, isopb_5
      integer    isopb_6, isopb_7, isopb_8
      integer    isopb_9,isopb_10,  ipoa_1
      integer     ipoa_2,  ipoa_3,  ipoa_4
      integer     ipoa_5,  ipoa_6,  ipoa_7
      integer     ipoa_8,  ipoa_9, ipoa_10
      integer     ipec_1,  ipec_2,  ipec_3
      integer     ipec_4,  ipec_5,  ipec_6
      integer     ipec_7,  ipec_8,  ipec_9
      integer    ipec_10, icrst_1, icrst_2
      integer    icrst_3, icrst_4, icrst_5
      integer    icrst_6, icrst_7, icrst_8
      integer    icrst_9,icrst_10, iph2o_1
      integer    iph2o_2, iph2o_3, iph2o_4
      integer    iph2o_5, iph2o_6, iph2o_7
      integer    iph2o_8, iph2o_9,iph2o_10
      integer     ipcl_1,  ipcl_2,  ipcl_3
      integer     ipcl_4,  ipcl_5,  ipcl_6
      integer     ipcl_7,  ipcl_8,  ipcl_9
      integer    ipcl_10,   ina_1,   ina_2
      integer      ina_3,   ina_4,   ina_5
      integer      ina_6,   ina_7,   ina_8
      integer      ina_9,  ina_10, ipnh4_1
      integer    ipnh4_2, ipnh4_3, ipnh4_4
      integer    ipnh4_5, ipnh4_6, ipnh4_7
      integer    ipnh4_8, ipnh4_9,ipnh4_10
      integer    ipno3_1, ipno3_2, ipno3_3
      integer    ipno3_4, ipno3_5, ipno3_6
      integer    ipno3_7, ipno3_8, ipno3_9
      integer   ipno3_10, ipso4_1, ipso4_2
      integer    ipso4_3, ipso4_4, ipso4_5
      integer    ipso4_6, ipso4_7, ipso4_8
      integer    ipso4_9,ipso4_10
c
      equivalence
     &   (imap(  1),     ino),(imap(  2),    ino2),(imap(  3),     io3),
     &   (imap(  4),    ipan),(imap(  5),   ipanx),(imap(  6),   icres),
     &   (imap(  7),   ipan2),(imap(  8),   impan),(imap(  9),   ipbzn),
     &   (imap( 10),   inphe),(imap( 11),   irno3),(imap( 12),   idcb2),
     &   (imap( 13),   idcb3),(imap( 14),   ihno4),(imap( 15),   iaacd),
     &   (imap( 16),   iacet),(imap( 17),   iald2),(imap( 18),   ialdx),
     &   (imap( 19),   ialk1),(imap( 20),   ialk2),(imap( 21),   ialk3),
     &   (imap( 22),   ialk4),(imap( 23),   ialk5),(imap( 24),   iaro1),
     &   (imap( 25),   iaro2),(imap( 26),   ibacl),(imap( 27),   ibald),
     &   (imap( 28),   ibcl1),(imap( 29),   ibcl2),(imap( 30),   ibuta),
     &   (imap( 31),   iccho),(imap( 32),   iccrs),(imap( 33),    icg1),
     &   (imap( 34),    icg2),(imap( 35),    icg3),(imap( 36),    icg4),
     &   (imap( 37),    icg5),(imap( 38),    icg6),(imap( 39),    icg7),
     &   (imap( 40),    icl2),(imap( 41),     ico),(imap( 42),   ico2h),
     &   (imap( 43),   ico3h),(imap( 44),   icooh),(imap( 45),   icprm),
     &   (imap( 46),   idcb1),(imap( 47),    ieth),(imap( 48),   ietha),
     &   (imap( 49),   iethe),(imap( 50),   ietoh),(imap( 51),   ifacd),
     &   (imap( 52),   ifcrs),(imap( 53),   ifmcl),(imap( 54),   iform),
     &   (imap( 55),   ifprm),(imap( 56),    igly),(imap( 57),   ih2o2),
     &   (imap( 58),   ihc2h),(imap( 59),   ihcho),(imap( 60),    ihcl),
     &   (imap( 61),    ihg0),(imap( 62),    ihg2),(imap( 63),    ihgp),
     &   (imap( 64),   ihno3),(imap( 65),   iho2h),(imap( 66),   ihocl),
     &   (imap( 67),   ihono),(imap( 68),   iicl1),(imap( 69),   iicl2),
     &   (imap( 70),   iiole),(imap( 71),   iisop),(imap( 72),    iisp),
     &   (imap( 73),   iispd),(imap( 74),   imbut),(imap( 75),    imek),
     &   (imap( 76),   imeoh),(imap( 77),   imepx),(imap( 78),   imeth),
     &   (imap( 79),   imgly),(imap( 80),   imtbe),(imap( 81),    imvk),
     &   (imap( 82),   in2o5),(imap( 83),     ina),(imap( 84),    inh3),
     &   (imap( 85),    ino3),(imap( 86),    intr),(imap( 87),    iole),
     &   (imap( 88),   iole1),(imap( 89),   iole2),(imap( 90),   iopen),
     &   (imap( 91),   ipacd),(imap( 92),    ipar),(imap( 93),    ipcl),
     &   (imap( 94),    ipec),(imap( 95),   iph2o),(imap( 96),   iphen),
     &   (imap( 97),    ipna),(imap( 98),   ipnh4),(imap( 99),   ipno3),
     &   (imap(100),    ipoa),(imap(101),   iprod),(imap(102),   ipso4),
     &   (imap(103),   irc2h),(imap(104),   irc3h),(imap(105),   ircho),
     &   (imap(106),   irooh),(imap(107),    iso2),(imap(108),   isoa1),
     &   (imap(109),   isoa2),(imap(110),   isoa3),(imap(111),   isoa4),
     &   (imap(112),   isoa5),(imap(113),   isoa6),(imap(114),   isoa7),
     &   (imap(115),   isopa),(imap(116),   isopb),(imap(117),    isqt),
     &   (imap(118),   isulf),(imap(119),   iterp),(imap(120),    itol),
     &   (imap(121),   itola),(imap(122),    itrp),(imap(123),     ixn),
     &   (imap(124),    ixyl),(imap(125),   ixyla),(imap(126), isoa1_1),
     &   (imap(127), isoa1_2),(imap(128), isoa1_3),(imap(129), isoa1_4),
     &   (imap(130), isoa1_5),(imap(131), isoa1_6),(imap(132), isoa1_7),
     &   (imap(133), isoa1_8),(imap(134), isoa1_9),(imap(135),isoa1_10),
     &   (imap(136), isoa2_1),(imap(137), isoa2_2),(imap(138), isoa2_3),
     &   (imap(139), isoa2_4),(imap(140), isoa2_5),(imap(141), isoa2_6),
     &   (imap(142), isoa2_7),(imap(143), isoa2_8),(imap(144), isoa2_9),
     &   (imap(145),isoa2_10),(imap(146), isoa3_1),(imap(147), isoa3_2),
     &   (imap(148), isoa3_3),(imap(149), isoa3_4),(imap(150), isoa3_5),
     &   (imap(151), isoa3_6),(imap(152), isoa3_7),(imap(153), isoa3_8),
     &   (imap(154), isoa3_9),(imap(155),isoa3_10),(imap(156), isoa4_1),
     &   (imap(157), isoa4_2),(imap(158), isoa4_3),(imap(159), isoa4_4),
     &   (imap(160), isoa4_5),(imap(161), isoa4_6),(imap(162), isoa4_7),
     &   (imap(163), isoa4_8),(imap(164), isoa4_9),(imap(165),isoa4_10),
     &   (imap(166), isoa5_1),(imap(167), isoa5_2),(imap(168), isoa5_3),
     &   (imap(169), isoa5_4),(imap(170), isoa5_5),(imap(171), isoa5_6),
     &   (imap(172), isoa5_7),(imap(173), isoa5_8),(imap(174), isoa5_9),
     &   (imap(175),isoa5_10),(imap(176), isoa6_1),(imap(177), isoa6_2),
     &   (imap(178), isoa6_3),(imap(179), isoa6_4),(imap(180), isoa6_5),
     &   (imap(181), isoa6_6),(imap(182), isoa6_7),(imap(183), isoa6_8),
     &   (imap(184), isoa6_9),(imap(185),isoa6_10),(imap(186), isoa7_1),
     &   (imap(187), isoa7_2),(imap(188), isoa7_3),(imap(189), isoa7_4),
     &   (imap(190), isoa7_5),(imap(191), isoa7_6),(imap(192), isoa7_7),
     &   (imap(193), isoa7_8),(imap(194), isoa7_9),(imap(195),isoa7_10),
     &   (imap(196), isopa_1),(imap(197), isopa_2),(imap(198), isopa_3),
     &   (imap(199), isopa_4),(imap(200), isopa_5),(imap(201), isopa_6),
     &   (imap(202), isopa_7),(imap(203), isopa_8),(imap(204), isopa_9),
     &   (imap(205),isopa_10),(imap(206), isopb_1),(imap(207), isopb_2),
     &   (imap(208), isopb_3),(imap(209), isopb_4),(imap(210), isopb_5),
     &   (imap(211), isopb_6),(imap(212), isopb_7),(imap(213), isopb_8),
     &   (imap(214), isopb_9),(imap(215),isopb_10),(imap(216),  ipoa_1),
     &   (imap(217),  ipoa_2),(imap(218),  ipoa_3),(imap(219),  ipoa_4),
     &   (imap(220),  ipoa_5),(imap(221),  ipoa_6),(imap(222),  ipoa_7),
     &   (imap(223),  ipoa_8),(imap(224),  ipoa_9),(imap(225), ipoa_10),
     &   (imap(226),  ipec_1),(imap(227),  ipec_2),(imap(228),  ipec_3),
     &   (imap(229),  ipec_4),(imap(230),  ipec_5),(imap(231),  ipec_6),
     &   (imap(232),  ipec_7),(imap(233),  ipec_8),(imap(234),  ipec_9),
     &   (imap(235), ipec_10),(imap(236), icrst_1),(imap(237), icrst_2),
     &   (imap(238), icrst_3),(imap(239), icrst_4),(imap(240), icrst_5),
     &   (imap(241), icrst_6),(imap(242), icrst_7),(imap(243), icrst_8),
     &   (imap(244), icrst_9),(imap(245),icrst_10),(imap(246), iph2o_1),
     &   (imap(247), iph2o_2),(imap(248), iph2o_3),(imap(249), iph2o_4),
     &   (imap(250), iph2o_5),(imap(251), iph2o_6),(imap(252), iph2o_7),
     &   (imap(253), iph2o_8),(imap(254), iph2o_9),(imap(255),iph2o_10),
     &   (imap(256),  ipcl_1),(imap(257),  ipcl_2),(imap(258),  ipcl_3),
     &   (imap(259),  ipcl_4),(imap(260),  ipcl_5),(imap(261),  ipcl_6),
     &   (imap(262),  ipcl_7),(imap(263),  ipcl_8),(imap(264),  ipcl_9),
     &   (imap(265), ipcl_10),(imap(266),   ina_1),(imap(267),   ina_2),
     &   (imap(268),   ina_3),(imap(269),   ina_4),(imap(270),   ina_5),
     &   (imap(271),   ina_6),(imap(272),   ina_7),(imap(273),   ina_8),
     &   (imap(274),   ina_9),(imap(275),  ina_10),(imap(276), ipnh4_1),
     &   (imap(277), ipnh4_2),(imap(278), ipnh4_3),(imap(279), ipnh4_4),
     &   (imap(280), ipnh4_5),(imap(281), ipnh4_6),(imap(282), ipnh4_7),
     &   (imap(283), ipnh4_8),(imap(284), ipnh4_9),(imap(285),ipnh4_10),
     &   (imap(286), ipno3_1),(imap(287), ipno3_2),(imap(288), ipno3_3),
     &   (imap(289), ipno3_4),(imap(290), ipno3_5),(imap(291), ipno3_6),
     &   (imap(292), ipno3_7),(imap(293), ipno3_8),(imap(294), ipno3_9),
     &   (imap(295),ipno3_10),(imap(296), ipso4_1),(imap(297), ipso4_2),
     &   (imap(298), ipso4_3),(imap(299), ipso4_4),(imap(300), ipso4_5),
     &   (imap(301), ipso4_6),(imap(302), ipso4_7),(imap(303), ipso4_8),
     &   (imap(304), ipso4_9),(imap(305),ipso4_10)
c
      integer       io1d,      io,    iclo
      integer        icl,     ioh,    iho2
      integer      ic2o3,    ixo2,   ixo2n
      integer      icxo3,   imeo2,    ito2
      integer       iror,    icro,   iro2r
      integer      ir2o2,   iro2n,   icco3
      integer      irco3,   imco3,   ibzco
      integer      icxo2,   ihco3,   itbuo
      integer       ibzo,   ibzno
c
      equivalence
     &   (irad(  1),    io1d),(irad(  2),      io),(irad(  3),    iclo),
     &   (irad(  4),     icl),(irad(  5),     ioh),(irad(  6),    iho2),
     &   (irad(  7),   ic2o3),(irad(  8),    ixo2),(irad(  9),   ixo2n),
     &   (irad( 10),   icxo3),(irad( 11),   imeo2),(irad( 12),    ito2),
     &   (irad( 13),    iror),(irad( 14),    icro),(irad( 15),   iro2r),
     &   (irad( 16),   ir2o2),(irad( 17),   iro2n),(irad( 18),   icco3),
     &   (irad( 19),   irco3),(irad( 20),   imco3),(irad( 21),   ibzco),
     &   (irad( 22),   icxo2),(irad( 23),   ihco3),(irad( 24),   itbuo),
     &   (irad( 25),    ibzo),(irad( 26),   ibzno)
