      subroutine ddmjac3(njac,nrxn,y,jac,r)
      use filunit
      implicit none
c
c----CAMx v5.20.1 1007014
c
c     DDMJAC3 computes a full Jacobian
c
c     Copyright 1996 - 2010
c     ENVIRON International Corporation
c     Created by the CMC version 5.2
c
c     Routines Called:
c        none
c
c     Called by:
c        DDMCHEM
c
      include "camx.prm"
      include "chmdat.com"
      include "ddmchm.com"
c
      integer njac, nrxn
      real jac(njac+1,njac+1), y(njac+1), r(nrxn)
c
      integer i, j
c

          jac(lNO2 ,lNO2 )= +( 1.000)*r(  1)+( 1.000)*r(  4)
     &                      +( 1.000)*r(  5)+( 1.000)*r(  7)
     &                      +( 1.000)*r( 16)+(-1.000)*r( 16)
     &                      +( 1.000)*r( 17)+( 1.000)*r( 21)
     &                      +( 1.000)*r( 26)+( 1.000)*r( 29)
     &                      +( 1.000)*r( 47)+( 1.000)*r( 55)
     &                      +( 1.000)*r( 68)+( 1.000)*r( 96)
          jac(lNO2 ,lNO  )= +(-1.000)*r(  3)+(-1.000)*r(  6)
     &                      +(-2.000)*r( 15)+(-4.000)*r( 20)
     &                      +( 1.000)*r( 21)+(-1.000)*r( 28)
     &                      +(-1.000)*r( 46)+(-0.900)*r( 64)
     &                      +(-1.000)*r( 79)
          jac(lNO2 ,lO   )= +( 1.000)*r(  4)+( 1.000)*r(  5)
     &                      +(-1.000)*r(  6)
          jac(lNO2 ,lO3  )= +(-1.000)*r(  3)+( 1.000)*r(  7)
          jac(lNO2 ,lNO3 )= +(-0.890)*r( 14)+(-2.000)*r( 15)
     &                      +( 1.000)*r( 16)+(-1.000)*r( 16)
     &                      +( 1.000)*r( 17)+(-1.000)*r( 59)
     &                      +(-0.200)*r( 78)
          jac(lNO2 ,lOH  )= +(-1.000)*r( 24)+( 1.000)*r( 26)
     &                      +(-1.000)*r( 31)
          jac(lNO2 ,lHO2 )= +(-1.000)*r( 28)+( 1.000)*r( 29)
          jac(lNO2 ,lN2O5)= +(-1.000)*r( 19)
          jac(lNO2 ,lHONO)= +(-1.000)*r( 24)+(-2.000)*r( 25)
          jac(lNO2 ,lPNA )= +(-1.000)*r( 30)+(-1.000)*r( 31)
          jac(lNO2 ,lC2O3)= +(-1.000)*r( 46)+( 1.000)*r( 47)
          jac(lNO2 ,lXO2 )= +(-1.000)*r( 79)
          jac(lNO2 ,lPAN )= +(-1.000)*r( 48)
          jac(lNO2 ,lROR )= +( 1.000)*r( 55)
          jac(lNO2 ,lOLE )= +(-1.000)*r( 59)
          jac(lNO2 ,lTO2 )= +(-0.900)*r( 64)
          jac(lNO2 ,lCRO )= +( 1.000)*r( 68)
          jac(lNO2 ,lISOP)= +(-0.200)*r( 78)+( 1.000)*r( 96)
          jac(lNO  ,lNO2 )= +(-1.000)*r(  1)+(-1.000)*r(  4)
     &                      +(-1.000)*r( 16)+( 1.000)*r( 21)
     &                      +(-0.200)*r( 96)
          jac(lNO  ,lNO  )= +( 1.000)*r(  3)+( 1.000)*r(  6)
     &                      +( 1.000)*r( 15)+( 4.000)*r( 20)
     &                      +( 1.000)*r( 21)+( 1.000)*r( 22)
     &                      +( 1.000)*r( 28)+( 1.000)*r( 46)
     &                      +( 1.000)*r( 64)+( 1.000)*r( 79)
     &                      +( 1.000)*r( 81)
          jac(lNO  ,lO   )= +(-1.000)*r(  4)+( 1.000)*r(  6)
          jac(lNO  ,lO3  )= +( 1.000)*r(  3)
          jac(lNO  ,lNO3 )= +(-0.110)*r( 14)+( 1.000)*r( 15)
     &                      +(-1.000)*r( 16)
          jac(lNO  ,lOH  )= +( 1.000)*r( 22)
          jac(lNO  ,lHO2 )= +( 1.000)*r( 28)
          jac(lNO  ,lHONO)= +(-1.000)*r( 23)+(-2.000)*r( 25)
          jac(lNO  ,lC2O3)= +( 1.000)*r( 46)
          jac(lNO  ,lXO2 )= +( 1.000)*r( 79)
          jac(lNO  ,lXO2N)= +( 1.000)*r( 81)
          jac(lNO  ,lTO2 )= +( 1.000)*r( 64)
          jac(lNO  ,lISOP)= +(-0.200)*r( 96)
          jac(lO   ,lNO2 )= +(-1.000)*r(  1)+( 1.000)*r(  4)
     &                      +( 1.000)*r(  5)
          jac(lO   ,lNO  )= +( 1.000)*r(  6)
          jac(lO   ,lO   )= +( 1.000)*r(  2)+( 1.000)*r(  4)
     &                      +( 1.000)*r(  5)+( 1.000)*r(  6)
     &                      +( 1.000)*r( 40)+( 1.000)*r( 42)
     &                      +( 1.000)*r( 56)+( 1.000)*r( 60)
     &                      +( 1.000)*r( 75)
          jac(lO   ,lO3  )= +(-1.000)*r(  8)
          jac(lO   ,lNO3 )= +(-0.890)*r( 14)
          jac(lO   ,lO1D )= +(-1.000)*r( 10)
          jac(lO   ,lFORM)= +( 1.000)*r( 40)
          jac(lO   ,lALD2)= +( 1.000)*r( 42)
          jac(lO   ,lOLE )= +( 1.000)*r( 56)
          jac(lO   ,lETH )= +( 1.000)*r( 60)
          jac(lO   ,lISOP)= +( 1.000)*r( 75)
          jac(lO3  ,lNO2 )= +( 1.000)*r(  7)
          jac(lO3  ,lNO  )= +( 1.000)*r(  3)
          jac(lO3  ,lO   )= +(-1.000)*r(  2)
          jac(lO3  ,lO3  )= +( 1.000)*r(  3)+( 1.000)*r(  7)
     &                      +( 1.000)*r(  8)+( 1.000)*r(  9)
     &                      +( 1.000)*r( 12)+( 1.000)*r( 13)
     &                      +( 1.000)*r( 58)+( 1.000)*r( 62)
     &                      +( 1.000)*r( 71)+( 1.000)*r( 77)
     &                      +( 1.000)*r( 93)
          jac(lO3  ,lOH  )= +( 1.000)*r( 12)
          jac(lO3  ,lHO2 )= +( 1.000)*r( 13)
          jac(lO3  ,lOLE )= +( 1.000)*r( 58)
          jac(lO3  ,lETH )= +( 1.000)*r( 62)
          jac(lO3  ,lOPEN)= +( 1.000)*r( 71)
          jac(lO3  ,lISOP)= +( 1.000)*r( 77)
          jac(lO3  ,lISPD)= +( 1.000)*r( 93)
          jac(lNO3 ,lNO2 )= +(-1.000)*r(  5)+(-1.000)*r(  7)
     &                      +( 1.000)*r( 16)+( 1.000)*r( 17)
          jac(lNO3 ,lNO  )= +( 1.000)*r( 15)
          jac(lNO3 ,lO   )= +(-1.000)*r(  5)
          jac(lNO3 ,lO3  )= +(-1.000)*r(  7)
          jac(lNO3 ,lNO3 )= +( 1.000)*r( 14)+( 1.000)*r( 15)
     &                      +( 1.000)*r( 16)+( 1.000)*r( 17)
     &                      +( 1.000)*r( 41)+( 1.000)*r( 44)
     &                      +( 1.000)*r( 59)+( 1.000)*r( 67)
     &                      +( 1.000)*r( 78)+( 1.000)*r( 94)
          jac(lNO3 ,lOH  )= +(-1.000)*r( 27)
          jac(lNO3 ,lN2O5)= +(-1.000)*r( 19)
          jac(lNO3 ,lHNO3)= +(-1.000)*r( 27)
          jac(lNO3 ,lFORM)= +( 1.000)*r( 41)
          jac(lNO3 ,lALD2)= +( 1.000)*r( 44)
          jac(lNO3 ,lOLE )= +( 1.000)*r( 59)
          jac(lNO3 ,lCRES)= +( 1.000)*r( 67)
          jac(lNO3 ,lISOP)= +( 1.000)*r( 78)
          jac(lNO3 ,lISPD)= +( 1.000)*r( 94)
          jac(lO1D ,lO3  )= +(-1.000)*r(  9)
          jac(lO1D ,lO1D )= +( 1.000)*r( 10)+( 1.000)*r( 11)
          jac(lOH  ,lNO2 )= +( 1.000)*r( 26)
          jac(lOH  ,lNO  )= +( 1.000)*r( 22)+(-1.000)*r( 28)
          jac(lOH  ,lO   )= +(-1.000)*r( 40)+(-1.000)*r( 42)
     &                      +(-0.200)*r( 56)+(-0.300)*r( 60)
          jac(lOH  ,lO3  )= +( 1.000)*r( 12)+(-1.000)*r( 13)
     &                      +(-0.100)*r( 58)+(-0.080)*r( 71)
     &                      +(-0.266)*r( 77)+(-0.268)*r( 93)
          jac(lOH  ,lO1D )= +(-2.000)*r( 11)
          jac(lOH  ,lOH  )= +( 1.000)*r( 12)+( 1.000)*r( 22)
     &                      +( 1.000)*r( 24)+( 1.000)*r( 26)
     &                      +( 1.000)*r( 27)+( 1.000)*r( 31)
     &                      +( 1.000)*r( 35)+( 1.000)*r( 36)
     &                      +( 1.000)*r( 37)+( 1.000)*r( 43)
     &                      +( 1.000)*r( 51)+( 1.000)*r( 52)
     &                      +( 1.000)*r( 57)+( 1.000)*r( 61)
     &                      +( 1.000)*r( 63)+( 1.000)*r( 66)
     &                      +( 1.000)*r( 70)+( 1.000)*r( 72)
          jac(lOH  ,lOH  )=jac(lOH  ,lOH  )
     &                      +( 1.000)*r( 73)+( 1.000)*r( 76)
     &                      +( 1.000)*r( 82)+( 1.000)*r( 84)
     &                      +( 1.000)*r( 85)+( 1.000)*r( 90)
     &                      +( 1.000)*r( 92)
          jac(lOH  ,lHO2 )= +(-1.000)*r( 13)+(-1.000)*r( 28)
     &                      +(-0.790)*r( 50)+( 1.000)*r( 90)
          jac(lOH  ,lHNO3)= +( 1.000)*r( 27)
          jac(lOH  ,lHONO)= +(-1.000)*r( 23)+( 1.000)*r( 24)
          jac(lOH  ,lPNA )= +( 1.000)*r( 31)
          jac(lOH  ,lH2O2)= +(-2.000)*r( 34)+( 1.000)*r( 35)
          jac(lOH  ,lCO  )= +( 1.000)*r( 36)
          jac(lOH  ,lFORM)= +( 1.000)*r( 37)+(-1.000)*r( 40)
          jac(lOH  ,lALD2)= +(-1.000)*r( 42)+( 1.000)*r( 43)
          jac(lOH  ,lC2O3)= +(-0.790)*r( 50)
          jac(lOH  ,lPAR )= +( 1.000)*r( 52)
          jac(lOH  ,lOLE )= +(-0.200)*r( 56)+( 1.000)*r( 57)
     &                      +(-0.100)*r( 58)
          jac(lOH  ,lETH )= +(-0.300)*r( 60)+( 1.000)*r( 61)
          jac(lOH  ,lTOL )= +( 1.000)*r( 63)
          jac(lOH  ,lCRES)= +( 1.000)*r( 66)
          jac(lOH  ,lOPEN)= +( 1.000)*r( 70)+(-0.080)*r( 71)
          jac(lOH  ,lMGLY)= +( 1.000)*r( 73)
          jac(lOH  ,lXYL )= +( 1.000)*r( 72)
          jac(lOH  ,lISOP)= +( 1.000)*r( 76)+(-0.266)*r( 77)
          jac(lOH  ,lISPD)= +( 1.000)*r( 92)+(-0.268)*r( 93)
          jac(lOH  ,lSO2 )= +( 1.000)*r( 82)
          jac(lOH  ,lMEOH)= +( 1.000)*r( 84)
          jac(lOH  ,lETOH)= +( 1.000)*r( 85)
          jac(lHO2 ,lNO2 )= +( 1.000)*r( 29)+(-0.800)*r( 96)
          jac(lHO2 ,lNO  )= +( 1.000)*r( 28)+(-1.000)*r( 46)
     &                      +(-0.900)*r( 64)
          jac(lHO2 ,lO   )= +(-1.000)*r( 40)+(-0.380)*r( 56)
     &                      +(-1.700)*r( 60)+(-0.250)*r( 75)
          jac(lHO2 ,lO3  )= +(-1.000)*r( 12)+( 1.000)*r( 13)
     &                      +(-0.440)*r( 58)+(-0.120)*r( 62)
     &                      +(-0.760)*r( 71)+(-0.066)*r( 77)
     &                      +(-0.154)*r( 93)
          jac(lHO2 ,lNO3 )= +(-1.000)*r( 41)+(-0.800)*r( 78)
     &                      +(-0.925)*r( 94)
          jac(lHO2 ,lOH  )= +(-1.000)*r( 12)+(-1.000)*r( 35)
     &                      +(-1.000)*r( 36)+(-1.000)*r( 37)
     &                      +(-1.000)*r( 51)+(-0.110)*r( 52)
     &                      +(-1.000)*r( 57)+(-1.000)*r( 61)
     &                      +(-0.440)*r( 63)+(-0.600)*r( 66)
     &                      +(-2.000)*r( 70)+(-0.700)*r( 72)
     &                      +(-0.912)*r( 76)+(-1.000)*r( 82)
     &                      +(-1.000)*r( 84)+(-1.000)*r( 85)
     &                      +( 1.000)*r( 90)+(-0.503)*r( 92)
          jac(lHO2 ,lHO2 )= +( 1.000)*r( 13)+( 1.000)*r( 28)
     &                      +( 1.000)*r( 29)+( 4.000)*r( 32)
     &                      +( 4.000)*r( 33)+( 1.000)*r( 50)
     &                      +(-0.790)*r( 50)+( 1.000)*r( 86)
     &                      +( 1.000)*r( 87)+( 1.000)*r( 90)
          jac(lHO2 ,lPNA )= +(-1.000)*r( 30)
          jac(lHO2 ,lH2O2)= +(-1.000)*r( 35)
          jac(lHO2 ,lCO  )= +(-1.000)*r( 36)
          jac(lHO2 ,lFORM)= +(-1.000)*r( 37)+(-2.000)*r( 38)
     &                      +(-1.000)*r( 40)+(-1.000)*r( 41)
          jac(lHO2 ,lALD2)= +(-2.000)*r( 45)
          jac(lHO2 ,lC2O3)= +(-1.000)*r( 46)+(-4.000)*r( 49)
     &                      +( 1.000)*r( 50)+(-0.790)*r( 50)
          jac(lHO2 ,lXO2 )= +( 1.000)*r( 86)
          jac(lHO2 ,lPAR )= +(-0.110)*r( 52)
          jac(lHO2 ,lXO2N)= +( 1.000)*r( 87)
          jac(lHO2 ,lROR )= +(-0.940)*r( 53)+(-1.000)*r( 54)
          jac(lHO2 ,lOLE )= +(-0.380)*r( 56)+(-1.000)*r( 57)
     &                      +(-0.440)*r( 58)
          jac(lHO2 ,lETH )= +(-1.700)*r( 60)+(-1.000)*r( 61)
     &                      +(-0.120)*r( 62)
          jac(lHO2 ,lTOL )= +(-0.440)*r( 63)
          jac(lHO2 ,lCRES)= +(-0.600)*r( 66)
          jac(lHO2 ,lTO2 )= +(-0.900)*r( 64)+(-1.000)*r( 65)
          jac(lHO2 ,lOPEN)= +(-1.000)*r( 69)+(-2.000)*r( 70)
     &                      +(-0.760)*r( 71)
          jac(lHO2 ,lMGLY)= +(-1.000)*r( 74)
          jac(lHO2 ,lXYL )= +(-0.700)*r( 72)
          jac(lHO2 ,lISOP)= +(-0.250)*r( 75)+(-0.912)*r( 76)
     &                      +(-0.066)*r( 77)+(-0.800)*r( 78)
     &                      +(-0.800)*r( 96)
          jac(lHO2 ,lISPD)= +(-0.503)*r( 92)+(-0.154)*r( 93)
     &                      +(-0.925)*r( 94)+(-1.033)*r( 95)
          jac(lHO2 ,lSO2 )= +(-1.000)*r( 82)
          jac(lHO2 ,lMEOH)= +(-1.000)*r( 84)
          jac(lHO2 ,lETOH)= +(-1.000)*r( 85)
          jac(lN2O5,lNO2 )= +(-1.000)*r( 17)
          jac(lN2O5,lNO3 )= +(-1.000)*r( 17)
          jac(lN2O5,lN2O5)= +( 1.000)*r( 18)+( 1.000)*r( 19)
          jac(lHNO3,lNO2 )= +(-1.000)*r( 26)
          jac(lHNO3,lNO3 )= +(-1.000)*r( 41)+(-1.000)*r( 44)
     &                      +(-1.000)*r( 67)+(-0.150)*r( 94)
          jac(lHNO3,lOH  )= +(-1.000)*r( 26)+( 1.000)*r( 27)
          jac(lHNO3,lN2O5)= +(-2.000)*r( 18)
          jac(lHNO3,lHNO3)= +( 1.000)*r( 27)
          jac(lHNO3,lFORM)= +(-1.000)*r( 41)
          jac(lHNO3,lALD2)= +(-1.000)*r( 44)
          jac(lHNO3,lCRES)= +(-1.000)*r( 67)
          jac(lHNO3,lISPD)= +(-0.150)*r( 94)
          jac(lHONO,lNO2 )= +(-2.000)*r( 21)
          jac(lHONO,lNO  )= +(-2.000)*r( 21)+(-1.000)*r( 22)
          jac(lHONO,lOH  )= +(-1.000)*r( 22)+( 1.000)*r( 24)
          jac(lHONO,lHONO)= +( 1.000)*r( 23)+( 1.000)*r( 24)
     &                      +( 4.000)*r( 25)
          jac(lPNA ,lNO2 )= +(-1.000)*r( 29)
          jac(lPNA ,lOH  )= +( 1.000)*r( 31)
          jac(lPNA ,lHO2 )= +(-1.000)*r( 29)
          jac(lPNA ,lPNA )= +( 1.000)*r( 30)+( 1.000)*r( 31)
          jac(lH2O2,lOH  )= +( 1.000)*r( 35)
          jac(lH2O2,lHO2 )= +(-2.000)*r( 32)+(-2.000)*r( 33)
          jac(lH2O2,lH2O2)= +( 1.000)*r( 34)+( 1.000)*r( 35)
          jac(lCO  ,lO   )= +(-1.000)*r( 40)+(-0.300)*r( 56)
     &                      +(-1.000)*r( 60)
          jac(lCO  ,lO3  )= +(-0.330)*r( 58)+(-0.420)*r( 62)
     &                      +(-0.690)*r( 71)+(-0.066)*r( 77)
     &                      +(-0.225)*r( 93)
          jac(lCO  ,lNO3 )= +(-1.000)*r( 41)+(-0.643)*r( 94)
          jac(lCO  ,lOH  )= +( 1.000)*r( 36)+(-1.000)*r( 37)
     &                      +(-2.000)*r( 70)+(-0.334)*r( 92)
          jac(lCO  ,lCO  )= +( 1.000)*r( 36)
          jac(lCO  ,lFORM)= +(-1.000)*r( 37)+(-1.000)*r( 38)
     &                      +(-1.000)*r( 39)+(-1.000)*r( 40)
     &                      +(-1.000)*r( 41)
          jac(lCO  ,lALD2)= +(-1.000)*r( 45)
          jac(lCO  ,lOLE )= +(-0.300)*r( 56)+(-0.330)*r( 58)
          jac(lCO  ,lETH )= +(-1.000)*r( 60)+(-0.420)*r( 62)
          jac(lCO  ,lOPEN)= +(-1.000)*r( 69)+(-2.000)*r( 70)
     &                      +(-0.690)*r( 71)
          jac(lCO  ,lMGLY)= +(-1.000)*r( 74)
          jac(lCO  ,lISOP)= +(-0.066)*r( 77)
          jac(lCO  ,lISPD)= +(-0.334)*r( 92)+(-0.225)*r( 93)
     &                      +(-0.643)*r( 94)+(-0.333)*r( 95)
          jac(lFORM,lNO  )= +(-1.000)*r( 46)
          jac(lFORM,lO   )= +( 1.000)*r( 40)+(-0.200)*r( 56)
     &                      +(-1.000)*r( 60)+(-0.500)*r( 75)
          jac(lFORM,lO3  )= +(-0.740)*r( 58)+(-1.000)*r( 62)
     &                      +(-0.700)*r( 71)+(-0.600)*r( 77)
     &                      +(-0.150)*r( 93)
          jac(lFORM,lNO3 )= +( 1.000)*r( 41)+(-1.000)*r( 59)
     &                      +(-0.282)*r( 94)
          jac(lFORM,lOH  )= +( 1.000)*r( 37)+(-1.000)*r( 51)
     &                      +(-1.000)*r( 57)+(-1.560)*r( 61)
     &                      +(-1.000)*r( 70)+(-0.629)*r( 76)
     &                      +(-1.000)*r( 84)+(-0.167)*r( 92)
          jac(lFORM,lHO2 )= +(-0.790)*r( 50)
          jac(lFORM,lFORM)= +( 1.000)*r( 37)+( 1.000)*r( 38)
     &                      +( 1.000)*r( 39)+( 1.000)*r( 40)
     &                      +( 1.000)*r( 41)
          jac(lFORM,lALD2)= +(-1.000)*r( 45)
          jac(lFORM,lC2O3)= +(-1.000)*r( 46)+(-4.000)*r( 49)
     &                      +(-0.790)*r( 50)
          jac(lFORM,lOLE )= +(-0.200)*r( 56)+(-1.000)*r( 57)
     &                      +(-0.740)*r( 58)+(-1.000)*r( 59)
          jac(lFORM,lETH )= +(-1.000)*r( 60)+(-1.560)*r( 61)
     &                      +(-1.000)*r( 62)
          jac(lFORM,lOPEN)= +(-1.000)*r( 70)+(-0.700)*r( 71)
          jac(lFORM,lISOP)= +(-0.500)*r( 75)+(-0.629)*r( 76)
     &                      +(-0.600)*r( 77)
          jac(lFORM,lISPD)= +(-0.167)*r( 92)+(-0.150)*r( 93)
     &                      +(-0.282)*r( 94)+(-0.900)*r( 95)
          jac(lFORM,lMEOH)= +(-1.000)*r( 84)
          jac(lALD2,lNO2 )= +(-0.800)*r( 96)
          jac(lALD2,lO   )= +( 1.000)*r( 42)+(-0.630)*r( 56)
          jac(lALD2,lO3  )= +(-0.500)*r( 58)+(-0.030)*r( 71)
     &                      +(-0.150)*r( 77)+(-0.020)*r( 93)
          jac(lALD2,lNO3 )= +( 1.000)*r( 44)+(-1.000)*r( 59)
     &                      +(-0.800)*r( 78)+(-0.357)*r( 94)
          jac(lALD2,lOH  )= +( 1.000)*r( 43)+(-0.110)*r( 52)
     &                      +(-1.000)*r( 57)+(-0.220)*r( 61)
     &                      +(-1.000)*r( 85)+(-0.273)*r( 92)
          jac(lALD2,lALD2)= +( 1.000)*r( 42)+( 1.000)*r( 43)
     &                      +( 1.000)*r( 44)+( 1.000)*r( 45)
          jac(lALD2,lPAR )= +(-0.110)*r( 52)
          jac(lALD2,lROR )= +(-1.100)*r( 53)
          jac(lALD2,lOLE )= +(-0.630)*r( 56)+(-1.000)*r( 57)
     &                      +(-0.500)*r( 58)+(-1.000)*r( 59)
          jac(lALD2,lETH )= +(-0.220)*r( 61)
          jac(lALD2,lOPEN)= +(-0.030)*r( 71)
          jac(lALD2,lISOP)= +(-0.150)*r( 77)+(-0.800)*r( 78)
     &                      +(-0.800)*r( 96)
          jac(lALD2,lISPD)= +(-0.273)*r( 92)+(-0.020)*r( 93)
     &                      +(-0.357)*r( 94)+(-0.067)*r( 95)
          jac(lALD2,lETOH)= +(-1.000)*r( 85)
          jac(lC2O3,lNO2 )= +( 1.000)*r( 47)
          jac(lC2O3,lNO  )= +( 1.000)*r( 46)
          jac(lC2O3,lO   )= +(-1.000)*r( 42)+(-0.250)*r( 75)
          jac(lC2O3,lO3  )= +(-0.620)*r( 71)+(-0.200)*r( 77)
     &                      +(-0.114)*r( 93)
          jac(lC2O3,lNO3 )= +(-1.000)*r( 44)+(-0.075)*r( 94)
          jac(lC2O3,lOH  )= +(-1.000)*r( 43)+(-1.000)*r( 70)
     &                      +(-1.000)*r( 73)+(-0.498)*r( 92)
          jac(lC2O3,lHO2 )= +( 1.000)*r( 50)
          jac(lC2O3,lALD2)= +(-1.000)*r( 42)+(-1.000)*r( 43)
     &                      +(-1.000)*r( 44)
          jac(lC2O3,lC2O3)= +( 1.000)*r( 46)+( 1.000)*r( 47)
     &                      +( 4.000)*r( 49)+( 1.000)*r( 50)
          jac(lC2O3,lPAN )= +(-1.000)*r( 48)
          jac(lC2O3,lOPEN)= +(-1.000)*r( 69)+(-1.000)*r( 70)
     &                      +(-0.620)*r( 71)
          jac(lC2O3,lMGLY)= +(-1.000)*r( 73)+(-1.000)*r( 74)
          jac(lC2O3,lISOP)= +(-0.250)*r( 75)+(-0.200)*r( 77)
          jac(lC2O3,lISPD)= +(-0.498)*r( 92)+(-0.114)*r( 93)
     &                      +(-0.075)*r( 94)+(-0.967)*r( 95)
          jac(lXO2 ,lNO2 )= +(-1.000)*r( 96)
          jac(lXO2 ,lNO  )= +(-1.000)*r( 46)+( 1.000)*r( 79)
          jac(lXO2 ,lO   )= +(-0.280)*r( 56)+(-0.700)*r( 60)
     &                      +(-0.250)*r( 75)
          jac(lXO2 ,lO3  )= +(-0.220)*r( 58)+(-0.030)*r( 71)
     &                      +(-0.200)*r( 77)+(-0.064)*r( 93)
          jac(lXO2 ,lNO3 )= +(-0.910)*r( 59)+(-1.000)*r( 78)
     &                      +(-0.075)*r( 94)
          jac(lXO2 ,lOH  )= +(-1.000)*r( 51)+(-0.870)*r( 52)
     &                      +(-1.000)*r( 57)+(-1.000)*r( 61)
     &                      +(-0.080)*r( 63)+(-0.600)*r( 66)
     &                      +(-1.000)*r( 70)+(-0.500)*r( 72)
     &                      +(-1.000)*r( 73)+(-0.991)*r( 76)
     &                      +(-0.713)*r( 92)
          jac(lXO2 ,lHO2 )= +(-0.790)*r( 50)+( 1.000)*r( 86)
          jac(lXO2 ,lALD2)= +(-1.000)*r( 45)
          jac(lXO2 ,lC2O3)= +(-1.000)*r( 46)+(-4.000)*r( 49)
     &                      +(-0.790)*r( 50)
          jac(lXO2 ,lXO2 )= +( 1.000)*r( 79)+( 4.000)*r( 80)
     &                      +( 1.000)*r( 86)+( 1.000)*r( 89)
          jac(lXO2 ,lPAR )= +(-0.870)*r( 52)
          jac(lXO2 ,lXO2N)= +( 1.000)*r( 89)
          jac(lXO2 ,lROR )= +(-0.960)*r( 53)
          jac(lXO2 ,lOLE )= +(-0.280)*r( 56)+(-1.000)*r( 57)
     &                      +(-0.220)*r( 58)+(-0.910)*r( 59)
          jac(lXO2 ,lETH )= +(-0.700)*r( 60)+(-1.000)*r( 61)
          jac(lXO2 ,lTOL )= +(-0.080)*r( 63)
          jac(lXO2 ,lCRES)= +(-0.600)*r( 66)
          jac(lXO2 ,lOPEN)= +(-1.000)*r( 70)+(-0.030)*r( 71)
          jac(lXO2 ,lMGLY)= +(-1.000)*r( 73)
          jac(lXO2 ,lXYL )= +(-0.500)*r( 72)
          jac(lXO2 ,lISOP)= +(-0.250)*r( 75)+(-0.991)*r( 76)
     &                      +(-0.200)*r( 77)+(-1.000)*r( 78)
     &                      +(-1.000)*r( 96)
          jac(lXO2 ,lISPD)= +(-0.713)*r( 92)+(-0.064)*r( 93)
     &                      +(-0.075)*r( 94)+(-0.700)*r( 95)
          jac(lPAN ,lNO2 )= +(-1.000)*r( 47)
          jac(lPAN ,lC2O3)= +(-1.000)*r( 47)
          jac(lPAN ,lPAN )= +( 1.000)*r( 48)
          jac(lPAR ,lNO2 )= +(-2.400)*r( 96)
          jac(lPAR ,lO   )= +(-0.220)*r( 56)+(-0.250)*r( 75)
          jac(lPAR ,lO3  )= +( 1.000)*r( 58)+(-0.350)*r( 77)
     &                      +(-0.360)*r( 93)
          jac(lPAR ,lNO3 )= +( 1.000)*r( 59)+(-2.400)*r( 78)
     &                      +(-1.282)*r( 94)
          jac(lPAR ,lOH  )= +( 1.000)*r( 52)+( 0.110)*r( 52)
     &                      +( 1.000)*r( 57)+(-1.100)*r( 72)
     &                      +(-1.565)*r( 92)
          jac(lPAR ,lPAR )= +( 1.000)*r( 52)+( 0.110)*r( 52)
          jac(lPAR ,lROR )= +( 2.100)*r( 53)
          jac(lPAR ,lOLE )= +(-0.220)*r( 56)+( 1.000)*r( 57)
     &                      +( 1.000)*r( 58)+( 1.000)*r( 59)
          jac(lPAR ,lXYL )= +(-1.100)*r( 72)
          jac(lPAR ,lISOP)= +(-0.250)*r( 75)+(-0.350)*r( 77)
     &                      +(-2.400)*r( 78)+(-2.400)*r( 96)
          jac(lPAR ,lISPD)= +(-1.565)*r( 92)+(-0.360)*r( 93)
     &                      +(-1.282)*r( 94)+(-0.832)*r( 95)
          jac(lXO2N,lNO  )= +( 1.000)*r( 81)
          jac(lXO2N,lO   )= +(-0.020)*r( 56)
          jac(lXO2N,lNO3 )= +(-0.090)*r( 59)
          jac(lXO2N,lOH  )= +(-0.130)*r( 52)+(-0.088)*r( 76)
          jac(lXO2N,lHO2 )= +( 1.000)*r( 87)
          jac(lXO2N,lXO2 )= +( 1.000)*r( 89)
          jac(lXO2N,lPAR )= +(-0.130)*r( 52)
          jac(lXO2N,lXO2N)= +( 1.000)*r( 81)+( 1.000)*r( 87)
     &                      +( 4.000)*r( 88)+( 1.000)*r( 89)
          jac(lXO2N,lROR )= +(-0.040)*r( 53)
          jac(lXO2N,lOLE )= +(-0.020)*r( 56)+(-0.090)*r( 59)
          jac(lXO2N,lISOP)= +(-0.088)*r( 76)
          jac(lROR ,lNO2 )= +( 1.000)*r( 55)
          jac(lROR ,lOH  )= +(-0.760)*r( 52)
          jac(lROR ,lPAR )= +(-0.760)*r( 52)
          jac(lROR ,lROR )= +( 1.000)*r( 53)+( 1.000)*r( 54)
     &                      +( 1.000)*r( 55)
          jac(lNTR ,lNO2 )= +(-1.000)*r( 55)+(-1.000)*r( 68)
     &                      +(-0.800)*r( 96)
          jac(lNTR ,lNO  )= +(-0.100)*r( 64)+(-1.000)*r( 81)
          jac(lNTR ,lNO3 )= +(-0.800)*r( 78)+(-0.850)*r( 94)
          jac(lNTR ,lXO2N)= +(-1.000)*r( 81)
          jac(lNTR ,lROR )= +(-1.000)*r( 55)
          jac(lNTR ,lTO2 )= +(-0.100)*r( 64)
          jac(lNTR ,lCRO )= +(-1.000)*r( 68)
          jac(lNTR ,lISOP)= +(-0.800)*r( 78)+(-0.800)*r( 96)
          jac(lNTR ,lISPD)= +(-0.850)*r( 94)
          jac(lOLE ,lO   )= +( 1.000)*r( 56)
          jac(lOLE ,lO3  )= +( 1.000)*r( 58)
          jac(lOLE ,lNO3 )= +( 1.000)*r( 59)
          jac(lOLE ,lOH  )= +( 1.000)*r( 57)
          jac(lOLE ,lOLE )= +( 1.000)*r( 56)+( 1.000)*r( 57)
     &                      +( 1.000)*r( 58)+( 1.000)*r( 59)
          jac(lETH ,lO   )= +( 1.000)*r( 60)
          jac(lETH ,lO3  )= +( 1.000)*r( 62)
          jac(lETH ,lOH  )= +( 1.000)*r( 61)
          jac(lETH ,lETH )= +( 1.000)*r( 60)+( 1.000)*r( 61)
     &                      +( 1.000)*r( 62)
          jac(lTOL ,lOH  )= +( 1.000)*r( 63)
          jac(lTOL ,lTOL )= +( 1.000)*r( 63)
          jac(lCRES,lNO3 )= +( 1.000)*r( 67)
          jac(lCRES,lOH  )= +(-0.360)*r( 63)+( 1.000)*r( 66)
     &                      +(-0.200)*r( 72)
          jac(lCRES,lTOL )= +(-0.360)*r( 63)
          jac(lCRES,lCRES)= +( 1.000)*r( 66)+( 1.000)*r( 67)
          jac(lCRES,lTO2 )= +(-1.000)*r( 65)
          jac(lCRES,lXYL )= +(-0.200)*r( 72)
          jac(lTO2 ,lNO  )= +( 1.000)*r( 64)
          jac(lTO2 ,lOH  )= +(-0.560)*r( 63)+(-0.300)*r( 72)
          jac(lTO2 ,lTOL )= +(-0.560)*r( 63)
          jac(lTO2 ,lTO2 )= +( 1.000)*r( 64)+( 1.000)*r( 65)
          jac(lTO2 ,lXYL )= +(-0.300)*r( 72)
          jac(lOPEN,lNO  )= +(-0.900)*r( 64)
          jac(lOPEN,lO3  )= +( 1.000)*r( 71)
          jac(lOPEN,lOH  )= +(-0.300)*r( 66)+( 1.000)*r( 70)
          jac(lOPEN,lCRES)= +(-0.300)*r( 66)
          jac(lOPEN,lTO2 )= +(-0.900)*r( 64)
          jac(lOPEN,lOPEN)= +( 1.000)*r( 69)+( 1.000)*r( 70)
     &                      +( 1.000)*r( 71)
          jac(lCRO ,lNO2 )= +( 1.000)*r( 68)
          jac(lCRO ,lNO3 )= +(-1.000)*r( 67)
          jac(lCRO ,lOH  )= +(-0.400)*r( 66)
          jac(lCRO ,lCRES)= +(-0.400)*r( 66)+(-1.000)*r( 67)
          jac(lCRO ,lCRO )= +( 1.000)*r( 68)+( 1.000)*r( 91)
          jac(lMGLY,lO3  )= +(-0.200)*r( 71)+(-0.850)*r( 93)
          jac(lMGLY,lOH  )= +(-0.800)*r( 72)+( 1.000)*r( 73)
     &                      +(-0.168)*r( 92)
          jac(lMGLY,lOPEN)= +(-0.200)*r( 71)
          jac(lMGLY,lMGLY)= +( 1.000)*r( 73)+( 1.000)*r( 74)
          jac(lMGLY,lXYL )= +(-0.800)*r( 72)
          jac(lMGLY,lISPD)= +(-0.168)*r( 92)+(-0.850)*r( 93)
          jac(lXYL ,lOH  )= +( 1.000)*r( 72)
          jac(lXYL ,lXYL )= +( 1.000)*r( 72)
          jac(lISOP,lNO2 )= +( 1.000)*r( 96)
          jac(lISOP,lO   )= +( 1.000)*r( 75)
          jac(lISOP,lO3  )= +( 1.000)*r( 77)
          jac(lISOP,lNO3 )= +( 1.000)*r( 78)
          jac(lISOP,lOH  )= +( 1.000)*r( 76)
          jac(lISOP,lISOP)= +( 1.000)*r( 75)+( 1.000)*r( 76)
     &                      +( 1.000)*r( 77)+( 1.000)*r( 78)
     &                      +( 1.000)*r( 96)
          jac(lISPD,lNO2 )= +(-0.200)*r( 96)
          jac(lISPD,lO   )= +(-0.750)*r( 75)
          jac(lISPD,lO3  )= +(-0.650)*r( 77)+( 1.000)*r( 93)
          jac(lISPD,lNO3 )= +(-0.200)*r( 78)+( 1.000)*r( 94)
          jac(lISPD,lOH  )= +(-0.912)*r( 76)+( 1.000)*r( 92)
          jac(lISPD,lISOP)= +(-0.750)*r( 75)+(-0.912)*r( 76)
     &                      +(-0.650)*r( 77)+(-0.200)*r( 78)
     &                      +(-0.200)*r( 96)
          jac(lISPD,lISPD)= +( 1.000)*r( 92)+( 1.000)*r( 93)
     &                      +( 1.000)*r( 94)+( 1.000)*r( 95)
          jac(lSO2 ,lOH  )= +( 1.000)*r( 82)
          jac(lSO2 ,lSO2 )= +( 1.000)*r( 82)+( 1.000)*r( 83)
          jac(lSULF,lOH  )= +(-1.000)*r( 82)
          jac(lSULF,lSO2 )= +(-1.000)*r( 82)+(-1.000)*r( 83)
          jac(lMEOH,lOH  )= +( 1.000)*r( 84)
          jac(lMEOH,lMEOH)= +( 1.000)*r( 84)
          jac(lETOH,lOH  )= +( 1.000)*r( 85)
          jac(lETOH,lETOH)= +( 1.000)*r( 85)
c
      do j=1,njac
        if(y(j).le.0.0) then
          write(iout,'(//,A,//)') 'ERROR in DDMJAC3:'
          write(iout,*) ' Zero concentration in DDMJAC3 for spec', j
          do i=1,njac
            write(iout,'(i3,1pe10.3)') i,y(i)
          enddo
          call camxerr()
        endif
        do i=1,njac
          jac(i,j)=jac(i,j)/y(j)
        enddo
      enddo
c
      return
c
      end
