      subroutine ddmjac5(njac,nrxn,y,jac,r)
      use filunit
      implicit none
c
c----CAMx v5.20.1 1007014
c
c     DDMJAC5 computes a full Jacobian
c
c     Copyright 1996 - 2010
c     ENVIRON International Corporation
c     Created by the CMC version 5.2
c
c     Routines Called:
c        none
c
c     Called by:
c        DDMCHEM
c
      include "camx.prm"
      include "chmdat.com"
      include "ddmchm.com"
c
      integer njac, nrxn
      real jac(njac+1,njac+1), y(njac+1), r(nrxn)
c
      integer i, j
c

          jac(lNO2 ,lNO2 )= +( 1.000)*r(  1)+( 1.000)*r(  5)
     &                      +( 1.000)*r(  6)+( 1.000)*r(  8)
     &                      +( 1.000)*r( 11)+( 1.000)*r( 14)
     &                      +(-1.000)*r( 14)+( 1.000)*r( 25)
     &                      +( 1.000)*r( 32)+( 1.000)*r( 69)
     &                      +( 1.000)*r( 79)+( 1.000)*r( 90)
     &                      +( 1.000)*r(102)+( 1.000)*r(115)
     &                      +( 1.000)*r(117)+( 1.000)*r(120)
          jac(lNO2 ,lNO  )= +(-1.000)*r(  4)+(-1.000)*r(  7)
     &                      +(-2.000)*r(  9)+(-4.000)*r( 10)
     &                      +(-1.000)*r( 31)+(-1.000)*r( 46)
     &                      +(-1.000)*r( 51)+(-1.000)*r( 56)
     &                      +(-1.000)*r( 71)+(-1.000)*r( 81)
     &                      +(-1.000)*r( 92)+(-1.000)*r(104)
     &                      +(-1.000)*r(128)
          jac(lNO2 ,lO   )= +(-1.000)*r(  4)+( 1.000)*r(  5)
     &                      +( 1.000)*r(  6)
          jac(lNO2 ,lO3  )= +(-1.000)*r(  7)+( 1.000)*r(  8)
          jac(lNO2 ,lNO3 )= +(-2.000)*r(  9)+( 1.000)*r( 11)
     &                      +( 1.000)*r( 14)+(-1.000)*r( 14)
     &                      +(-1.000)*r( 16)+(-1.000)*r( 26)
     &                      +(-0.800)*r( 39)+(-4.000)*r( 40)
     &                      +(-1.000)*r( 48)+(-1.000)*r( 53)
     &                      +(-1.000)*r( 58)+(-1.000)*r( 65)
     &                      +(-1.000)*r( 73)+(-1.000)*r( 83)
     &                      +(-1.000)*r( 94)+(-1.000)*r(106)
     &                      +(-0.187)*r(191)+(-0.474)*r(195)
          jac(lNO2 ,lNO3 )=jac(lNO2 ,lNO3 )
     &                      +(-0.391)*r(210)
          jac(lNO2 ,lN2O5)= +(-1.000)*r( 12)
          jac(lNO2 ,lHNO3)= +(-1.000)*r( 28)
          jac(lNO2 ,lOH  )= +(-1.000)*r( 24)+( 1.000)*r( 25)
     &                      +(-1.000)*r( 26)+(-1.000)*r( 35)
     &                      +(-0.338)*r(176)
          jac(lNO2 ,lHONO)= +(-1.000)*r( 23)+(-1.000)*r( 24)
          jac(lNO2 ,lHO2 )= +(-1.000)*r( 31)+( 1.000)*r( 32)
     &                      +(-0.800)*r( 39)
          jac(lNO2 ,lHNO4)= +(-1.000)*r( 33)+(-0.610)*r( 34)
     &                      +(-1.000)*r( 35)
          jac(lNO2 ,lCXO2)= +(-1.000)*r( 46)+(-1.000)*r( 48)
          jac(lNO2 ,lRO2R)= +(-1.000)*r( 51)+(-1.000)*r( 53)
          jac(lNO2 ,lR2O2)= +(-1.000)*r( 56)+(-1.000)*r( 58)
          jac(lNO2 ,lRO2N)= +(-1.000)*r( 65)
          jac(lNO2 ,lRNO3)= +(-0.338)*r(176)+(-1.000)*r(177)
          jac(lNO2 ,lCCO3)= +( 1.000)*r( 69)+(-1.000)*r( 71)
     &                      +(-1.000)*r( 73)
          jac(lNO2 ,lPAN )= +(-1.000)*r( 70)
          jac(lNO2 ,lRCO3)= +( 1.000)*r( 79)+(-1.000)*r( 81)
     &                      +(-1.000)*r( 83)
          jac(lNO2 ,lPAN2)= +(-1.000)*r( 80)
          jac(lNO2 ,lBZCO)= +( 1.000)*r( 90)+(-1.000)*r( 92)
     &                      +(-1.000)*r( 94)
          jac(lNO2 ,lPBZN)= +(-1.000)*r( 91)
          jac(lNO2 ,lBZO )= +( 1.000)*r(117)
          jac(lNO2 ,lMCO3)= +( 1.000)*r(102)+(-1.000)*r(104)
     &                      +(-1.000)*r(106)
          jac(lNO2 ,lMPAN)= +(-1.000)*r(103)
          jac(lNO2 ,lTBUO)= +( 1.000)*r(115)
          jac(lNO2 ,lBZNO)= +( 1.000)*r(120)
          jac(lNO2 ,lHCO3)= +(-1.000)*r(128)
          jac(lNO2 ,lISOP)= +(-0.187)*r(191)
          jac(lNO2 ,lTERP)= +(-0.474)*r(195)
          jac(lNO2 ,lOLE2)= +(-0.391)*r(210)
          jac(lNO  ,lNO2 )= +(-1.000)*r(  1)+(-1.000)*r(  5)
     &                      +(-1.000)*r( 14)
          jac(lNO  ,lNO  )= +( 1.000)*r(  4)+( 1.000)*r(  7)
     &                      +( 1.000)*r(  9)+( 4.000)*r( 10)
     &                      +( 1.000)*r( 21)+( 1.000)*r( 31)
     &                      +( 1.000)*r( 46)+( 1.000)*r( 51)
     &                      +( 1.000)*r( 56)+( 1.000)*r( 62)
     &                      +( 1.000)*r( 71)+( 1.000)*r( 81)
     &                      +( 1.000)*r( 92)+( 1.000)*r(104)
     &                      +( 1.000)*r(128)
          jac(lNO  ,lO   )= +( 1.000)*r(  4)+(-1.000)*r(  5)
          jac(lNO  ,lO3  )= +( 1.000)*r(  7)
          jac(lNO  ,lNO3 )= +( 1.000)*r(  9)+(-1.000)*r( 14)
     &                      +(-1.000)*r( 15)
          jac(lNO  ,lOH  )= +( 1.000)*r( 21)
          jac(lNO  ,lHONO)= +(-1.000)*r( 22)
          jac(lNO  ,lHO2 )= +( 1.000)*r( 31)
          jac(lNO  ,lCXO2)= +( 1.000)*r( 46)
          jac(lNO  ,lRO2R)= +( 1.000)*r( 51)
          jac(lNO  ,lR2O2)= +( 1.000)*r( 56)
          jac(lNO  ,lRO2N)= +( 1.000)*r( 62)
          jac(lNO  ,lCCO3)= +( 1.000)*r( 71)
          jac(lNO  ,lRCO3)= +( 1.000)*r( 81)
          jac(lNO  ,lBZCO)= +( 1.000)*r( 92)
          jac(lNO  ,lMCO3)= +( 1.000)*r(104)
          jac(lNO  ,lHCO3)= +( 1.000)*r(128)
          jac(lO   ,lNO2 )= +(-1.000)*r(  1)+( 1.000)*r(  5)
     &                      +( 1.000)*r(  6)
          jac(lO   ,lNO  )= +( 1.000)*r(  4)
          jac(lO   ,lO   )= +( 1.000)*r(  2)+( 1.000)*r(  3)
     &                      +( 1.000)*r(  4)+( 1.000)*r(  5)
     &                      +( 1.000)*r(  6)+( 1.000)*r(164)
     &                      +( 1.000)*r(168)+( 1.000)*r(188)
     &                      +( 1.000)*r(192)+( 1.000)*r(196)
     &                      +( 1.000)*r(207)+( 1.000)*r(211)
     &                      +( 1.000)*r(217)
          jac(lO   ,lO3  )= +( 1.000)*r(  3)+(-1.000)*r( 17)
          jac(lO   ,lNO3 )= +(-1.000)*r( 16)
          jac(lO   ,lO1D )= +(-1.000)*r( 20)
          jac(lO   ,lMETH)= +( 1.000)*r(164)
          jac(lO   ,lMVK )= +( 1.000)*r(168)
          jac(lO   ,lETHE)= +( 1.000)*r(188)
          jac(lO   ,lISOP)= +( 1.000)*r(192)
          jac(lO   ,lTERP)= +( 1.000)*r(196)
          jac(lO   ,lOLE1)= +( 1.000)*r(207)
          jac(lO   ,lOLE2)= +( 1.000)*r(211)
          jac(lO   ,lMBUT)= +( 1.000)*r(217)
          jac(lO3  ,lNO2 )= +( 1.000)*r(  8)
          jac(lO3  ,lNO  )= +( 1.000)*r(  7)
          jac(lO3  ,lO   )= +(-1.000)*r(  2)+( 1.000)*r(  3)
          jac(lO3  ,lO3  )= +( 1.000)*r(  3)+( 1.000)*r(  7)
     &                      +( 1.000)*r(  8)+( 1.000)*r( 17)
     &                      +( 1.000)*r( 18)+( 1.000)*r( 30)
     &                      +( 1.000)*r( 36)+( 1.000)*r(162)
     &                      +( 1.000)*r(167)+( 1.000)*r(171)
     &                      +( 1.000)*r(179)+( 1.000)*r(186)
     &                      +( 1.000)*r(190)+( 1.000)*r(194)
     &                      +( 1.000)*r(205)+( 1.000)*r(209)
     &                      +( 1.000)*r(215)
          jac(lO3  ,lOH  )= +( 1.000)*r( 30)
          jac(lO3  ,lHO2 )= +( 1.000)*r( 36)+(-0.250)*r( 72)
     &                      +(-0.250)*r( 82)+(-0.250)*r( 93)
     &                      +(-0.250)*r(105)
          jac(lO3  ,lCCO3)= +(-0.250)*r( 72)
          jac(lO3  ,lRCO3)= +(-0.250)*r( 82)
          jac(lO3  ,lBZCO)= +(-0.250)*r( 93)
          jac(lO3  ,lMCO3)= +(-0.250)*r(105)
          jac(lO3  ,lMETH)= +( 1.000)*r(162)
          jac(lO3  ,lMVK )= +( 1.000)*r(167)
          jac(lO3  ,lISPD)= +( 1.000)*r(171)
          jac(lO3  ,lDCB1)= +( 1.000)*r(179)
          jac(lO3  ,lETHE)= +( 1.000)*r(186)
          jac(lO3  ,lISOP)= +( 1.000)*r(190)
          jac(lO3  ,lTERP)= +( 1.000)*r(194)
          jac(lO3  ,lOLE1)= +( 1.000)*r(205)
          jac(lO3  ,lOLE2)= +( 1.000)*r(209)
          jac(lO3  ,lMBUT)= +( 1.000)*r(215)
          jac(lNO3 ,lNO2 )= +(-1.000)*r(  6)+(-1.000)*r(  8)
     &                      +( 1.000)*r( 11)+( 1.000)*r( 14)
          jac(lNO3 ,lNO  )= +( 1.000)*r(  9)
          jac(lNO3 ,lO   )= +(-1.000)*r(  6)
          jac(lNO3 ,lO3  )= +(-1.000)*r(  8)
          jac(lNO3 ,lNO3 )= +( 1.000)*r(  9)+( 1.000)*r( 11)
     &                      +( 1.000)*r( 14)+( 1.000)*r( 15)
     &                      +( 1.000)*r( 16)+( 1.000)*r( 26)
     &                      +( 1.000)*r( 39)+( 4.000)*r( 40)
     &                      +( 1.000)*r( 48)+( 1.000)*r( 53)
     &                      +( 1.000)*r( 58)+( 1.000)*r( 65)
     &                      +( 1.000)*r( 73)+( 1.000)*r( 83)
     &                      +( 1.000)*r( 94)+( 1.000)*r(106)
     &                      +( 1.000)*r(129)+( 1.000)*r(132)
          jac(lNO3 ,lNO3 )=jac(lNO3 ,lNO3 )
     &                      +( 1.000)*r(135)+( 1.000)*r(148)
     &                      +( 1.000)*r(151)+( 1.000)*r(154)
     &                      +( 1.000)*r(156)+( 1.000)*r(157)
     &                      +( 1.000)*r(160)+( 1.000)*r(163)
     &                      +( 1.000)*r(172)+( 1.000)*r(187)
     &                      +( 1.000)*r(191)+( 1.000)*r(195)
     &                      +( 1.000)*r(206)+( 1.000)*r(210)
     &                      +( 1.000)*r(216)
          jac(lNO3 ,lN2O5)= +(-1.000)*r( 12)
          jac(lNO3 ,lHNO3)= +(-1.000)*r( 27)
          jac(lNO3 ,lOH  )= +( 1.000)*r( 26)+(-1.000)*r( 27)
          jac(lNO3 ,lHO2 )= +( 1.000)*r( 39)
          jac(lNO3 ,lHNO4)= +(-0.390)*r( 34)
          jac(lNO3 ,lCXO2)= +( 1.000)*r( 48)
          jac(lNO3 ,lHCHO)= +( 1.000)*r(129)
          jac(lNO3 ,lRO2R)= +( 1.000)*r( 53)
          jac(lNO3 ,lR2O2)= +( 1.000)*r( 58)
          jac(lNO3 ,lRO2N)= +( 1.000)*r( 65)
          jac(lNO3 ,lCCO3)= +( 1.000)*r( 73)
          jac(lNO3 ,lRCO3)= +( 1.000)*r( 83)
          jac(lNO3 ,lCCHO)= +( 1.000)*r(132)
          jac(lNO3 ,lBZCO)= +( 1.000)*r( 94)
          jac(lNO3 ,lMCO3)= +( 1.000)*r(106)
          jac(lNO3 ,lNPHE)= +( 1.000)*r(157)
          jac(lNO3 ,lPHEN)= +( 1.000)*r(154)
          jac(lNO3 ,lRCHO)= +( 1.000)*r(135)
          jac(lNO3 ,lGLY )= +( 1.000)*r(148)
          jac(lNO3 ,lMGLY)= +( 1.000)*r(151)
          jac(lNO3 ,lCRES)= +( 1.000)*r(156)
          jac(lNO3 ,lBALD)= +( 1.000)*r(160)
          jac(lNO3 ,lMETH)= +( 1.000)*r(163)
          jac(lNO3 ,lISPD)= +( 1.000)*r(172)
          jac(lNO3 ,lETHE)= +( 1.000)*r(187)
          jac(lNO3 ,lISOP)= +( 1.000)*r(191)
          jac(lNO3 ,lTERP)= +( 1.000)*r(195)
          jac(lNO3 ,lOLE1)= +( 1.000)*r(206)
          jac(lNO3 ,lOLE2)= +( 1.000)*r(210)
          jac(lNO3 ,lMBUT)= +( 1.000)*r(216)
          jac(lN2O5,lNO2 )= +(-1.000)*r( 11)
          jac(lN2O5,lNO3 )= +(-1.000)*r( 11)
          jac(lN2O5,lN2O5)= +( 1.000)*r( 12)+( 1.000)*r( 13)
          jac(lHNO3,lNO2 )= +(-1.000)*r( 25)
          jac(lHNO3,lNO3 )= +(-0.200)*r( 39)+(-1.000)*r(129)
     &                      +(-1.000)*r(132)+(-1.000)*r(135)
     &                      +(-1.000)*r(148)+(-1.000)*r(151)
     &                      +(-1.000)*r(154)+(-1.000)*r(156)
     &                      +(-1.000)*r(157)+(-1.000)*r(160)
     &                      +(-0.500)*r(163)+(-0.150)*r(172)
          jac(lHNO3,lN2O5)= +(-2.000)*r( 13)
          jac(lHNO3,lHNO3)= +( 1.000)*r( 27)+( 1.000)*r( 28)
          jac(lHNO3,lOH  )= +(-1.000)*r( 25)+( 1.000)*r( 27)
          jac(lHNO3,lHO2 )= +(-0.200)*r( 39)
          jac(lHNO3,lHCHO)= +(-1.000)*r(129)
          jac(lHNO3,lCCHO)= +(-1.000)*r(132)
          jac(lHNO3,lNPHE)= +(-1.000)*r(157)
          jac(lHNO3,lPHEN)= +(-1.000)*r(154)
          jac(lHNO3,lRCHO)= +(-1.000)*r(135)
          jac(lHNO3,lGLY )= +(-1.000)*r(148)
          jac(lHNO3,lMGLY)= +(-1.000)*r(151)
          jac(lHNO3,lCRES)= +(-1.000)*r(156)
          jac(lHNO3,lBALD)= +(-1.000)*r(160)
          jac(lHNO3,lMETH)= +(-0.500)*r(163)
          jac(lHNO3,lISPD)= +(-0.150)*r(172)
          jac(lO1D ,lO3  )= +(-1.000)*r( 18)
          jac(lO1D ,lO1D )= +( 1.000)*r( 19)+( 1.000)*r( 20)
          jac(lOH  ,lNO2 )= +( 1.000)*r( 25)
          jac(lOH  ,lNO  )= +( 1.000)*r( 21)+(-1.000)*r( 31)
          jac(lOH  ,lO3  )= +( 1.000)*r( 30)+(-1.000)*r( 36)
     &                      +(-0.208)*r(162)+(-0.164)*r(167)
     &                      +(-0.285)*r(171)+(-0.500)*r(179)
     &                      +(-0.120)*r(186)+(-0.266)*r(190)
     &                      +(-0.567)*r(194)+(-0.155)*r(205)
     &                      +(-0.378)*r(209)+(-0.099)*r(215)
          jac(lOH  ,lNO3 )= +( 1.000)*r( 26)+(-0.800)*r( 39)
          jac(lOH  ,lHNO3)= +( 1.000)*r( 27)+(-1.000)*r( 28)
          jac(lOH  ,lO1D )= +(-2.000)*r( 19)
          jac(lOH  ,lOH  )= +( 1.000)*r( 21)+( 1.000)*r( 24)
     &                      +( 1.000)*r( 25)+( 1.000)*r( 26)
     &                      +( 1.000)*r( 27)+( 1.000)*r( 29)
     &                      +( 1.000)*r( 30)+( 1.000)*r( 35)
     &                      +( 1.000)*r( 42)+( 1.000)*r( 43)
     &                      +( 1.000)*r( 44)+( 1.000)*r( 45)
     &                      +( 1.000)*r(125)+( 1.000)*r(130)
     &                      +( 1.000)*r(133)+( 1.000)*r(136)
     &                      +( 1.000)*r(138)+( 1.000)*r(140)
          jac(lOH  ,lOH  )=jac(lOH  ,lOH  )
     &                      +( 1.000)*r(141)+(-0.350)*r(141)
     &                      +( 1.000)*r(143)+(-0.660)*r(143)
     &                      +( 1.000)*r(147)+( 1.000)*r(150)
     &                      +( 1.000)*r(153)+( 1.000)*r(155)
     &                      +( 1.000)*r(158)+( 1.000)*r(161)
     &                      +( 1.000)*r(166)+( 1.000)*r(170)
     &                      +( 1.000)*r(174)+( 1.000)*r(176)
     &                      +( 1.000)*r(178)+( 1.000)*r(180)
          jac(lOH  ,lOH  )=jac(lOH  ,lOH  )
     &                      +( 1.000)*r(182)+( 1.000)*r(184)
     &                      +( 1.000)*r(185)+( 1.000)*r(189)
     &                      +( 1.000)*r(193)+( 1.000)*r(197)
     &                      +( 1.000)*r(198)+(-0.246)*r(198)
     &                      +( 1.000)*r(199)+( 1.000)*r(200)
     &                      +( 1.000)*r(201)+( 1.000)*r(202)
     &                      +( 1.000)*r(203)+( 1.000)*r(204)
     &                      +( 1.000)*r(208)+( 1.000)*r(212)
          jac(lOH  ,lOH  )=jac(lOH  ,lOH  )
     &                      +( 1.000)*r(213)+( 1.000)*r(214)
          jac(lOH  ,lHONO)= +(-1.000)*r( 22)+( 1.000)*r( 24)
          jac(lOH  ,lHO2 )= +(-1.000)*r( 31)+(-1.000)*r( 36)
     &                      +(-0.800)*r( 39)+( 1.000)*r( 43)
          jac(lOH  ,lCO  )= +( 1.000)*r( 29)
          jac(lOH  ,lHNO4)= +(-0.390)*r( 34)+( 1.000)*r( 35)
          jac(lOH  ,lHO2H)= +(-2.000)*r( 41)+( 1.000)*r( 42)
          jac(lOH  ,lSO2 )= +( 1.000)*r( 44)
          jac(lOH  ,lHCHO)= +( 1.000)*r(125)
          jac(lOH  ,lCOOH)= +( 1.000)*r(141)+(-0.350)*r(141)
     &                      +(-1.000)*r(142)
          jac(lOH  ,lMEOH)= +( 1.000)*r(140)
          jac(lOH  ,lROOH)= +( 1.000)*r(143)+(-0.660)*r(143)
     &                      +(-1.000)*r(144)
          jac(lOH  ,lRNO3)= +( 1.000)*r(176)
          jac(lOH  ,lMEK )= +( 1.000)*r(138)
          jac(lOH  ,lPROD)= +( 1.000)*r(174)
          jac(lOH  ,lCCHO)= +( 1.000)*r(130)
          jac(lOH  ,lACET)= +( 1.000)*r(136)
          jac(lOH  ,lPHEN)= +( 1.000)*r(153)
          jac(lOH  ,lRCHO)= +( 1.000)*r(133)
          jac(lOH  ,lGLY )= +( 1.000)*r(147)
          jac(lOH  ,lMGLY)= +( 1.000)*r(150)
          jac(lOH  ,lCRES)= +( 1.000)*r(155)
          jac(lOH  ,lBALD)= +( 1.000)*r(158)
          jac(lOH  ,lMETH)= +( 1.000)*r(161)+(-0.208)*r(162)
     &                      +(-0.330)*r(165)
          jac(lOH  ,lMVK )= +( 1.000)*r(166)+(-0.164)*r(167)
          jac(lOH  ,lISPD)= +( 1.000)*r(170)+(-0.285)*r(171)
          jac(lOH  ,lDCB1)= +( 1.000)*r(178)+(-0.500)*r(179)
          jac(lOH  ,lDCB2)= +( 1.000)*r(180)
          jac(lOH  ,lDCB3)= +( 1.000)*r(182)
          jac(lOH  ,lETHE)= +( 1.000)*r(185)+(-0.120)*r(186)
          jac(lOH  ,lISOP)= +( 1.000)*r(189)+(-0.266)*r(190)
          jac(lOH  ,lTERP)= +( 1.000)*r(193)+(-0.567)*r(194)
          jac(lOH  ,lALK1)= +( 1.000)*r(197)
          jac(lOH  ,lALK2)= +( 1.000)*r(198)+(-0.246)*r(198)
          jac(lOH  ,lALK3)= +( 1.000)*r(199)
          jac(lOH  ,lALK4)= +( 1.000)*r(200)
          jac(lOH  ,lALK5)= +( 1.000)*r(201)
          jac(lOH  ,lARO1)= +( 1.000)*r(202)
          jac(lOH  ,lARO2)= +( 1.000)*r(203)
          jac(lOH  ,lOLE1)= +( 1.000)*r(204)+(-0.155)*r(205)
          jac(lOH  ,lOLE2)= +( 1.000)*r(208)+(-0.378)*r(209)
          jac(lOH  ,lETOH)= +( 1.000)*r(212)
          jac(lOH  ,lMTBE)= +( 1.000)*r(213)
          jac(lOH  ,lMBUT)= +( 1.000)*r(214)+(-0.099)*r(215)
          jac(lHONO,lNO  )= +(-1.000)*r( 21)
          jac(lHONO,lOH  )= +(-1.000)*r( 21)+( 1.000)*r( 24)
          jac(lHONO,lHONO)= +( 1.000)*r( 22)+( 1.000)*r( 23)
     &                      +( 1.000)*r( 24)
          jac(lHO2 ,lNO2 )= +( 1.000)*r( 32)
          jac(lHO2 ,lNO  )= +( 1.000)*r( 31)+(-1.000)*r( 46)
     &                      +(-1.000)*r( 51)+(-1.000)*r(128)
          jac(lHO2 ,lO   )= +(-0.500)*r(188)+(-0.013)*r(211)
          jac(lHO2 ,lO3  )= +(-1.000)*r( 30)+( 1.000)*r( 36)
     &                      +(-0.008)*r(162)+(-0.064)*r(167)
     &                      +(-0.400)*r(171)+(-1.500)*r(179)
     &                      +(-0.120)*r(186)+(-0.033)*r(194)
     &                      +(-0.056)*r(205)+(-0.003)*r(209)
     &                      +(-0.099)*r(215)
          jac(lHO2 ,lNO3 )= +(-1.000)*r( 26)+( 1.000)*r( 39)
     &                      +(-1.000)*r( 48)+(-1.000)*r( 53)
     &                      +(-1.000)*r( 65)+(-1.000)*r(129)
     &                      +(-0.630)*r(148)
          jac(lHO2 ,lOH  )= +(-1.000)*r( 26)+(-1.000)*r( 29)
     &                      +(-1.000)*r( 30)+(-1.000)*r( 42)
     &                      +( 1.000)*r( 43)+(-1.000)*r( 44)
     &                      +(-1.000)*r( 45)+(-1.000)*r(125)
     &                      +(-1.000)*r(140)+(-0.630)*r(147)
     &                      +(-0.379)*r(174)+(-0.113)*r(176)
     &                      +(-0.121)*r(198)+(-0.224)*r(202)
     &                      +(-0.187)*r(203)+(-0.950)*r(212)
          jac(lHO2 ,lHONO)= +(-1.000)*r( 23)
          jac(lHO2 ,lHO2 )= +( 1.000)*r( 31)+( 1.000)*r( 32)
     &                      +( 1.000)*r( 36)+( 4.000)*r( 37)
     &                      +( 4.000)*r( 38)+( 1.000)*r( 39)
     &                      +( 1.000)*r( 43)+( 1.000)*r( 47)
     &                      +( 1.000)*r( 52)+( 1.000)*r( 57)
     &                      +(-1.000)*r( 57)+( 1.000)*r( 63)
     &                      +( 1.000)*r( 72)+( 1.000)*r( 82)
     &                      +( 1.000)*r( 93)+( 1.000)*r(105)
     &                      +( 1.000)*r(118)+( 1.000)*r(121)
          jac(lHO2 ,lHO2 )=jac(lHO2 ,lHO2 )
     &                      +( 1.000)*r(126)
          jac(lHO2 ,lCO  )= +(-1.000)*r( 29)
          jac(lHO2 ,lHNO4)= +(-1.000)*r( 33)+(-0.610)*r( 34)
          jac(lHO2 ,lHO2H)= +(-1.000)*r( 42)
          jac(lHO2 ,lSO2 )= +(-1.000)*r( 44)
          jac(lHO2 ,lCXO2)= +(-1.000)*r( 46)+( 1.000)*r( 47)
     &                      +(-1.000)*r( 48)+(-4.000)*r( 50)
     &                      +(-1.000)*r( 54)+(-1.000)*r( 64)
          jac(lHO2 ,lHCHO)= +(-2.000)*r(123)+(-1.000)*r(125)
     &                      +( 1.000)*r(126)+(-1.000)*r(129)
          jac(lHO2 ,lCOOH)= +(-1.000)*r(142)
          jac(lHO2 ,lMEOH)= +(-1.000)*r(140)
          jac(lHO2 ,lRO2R)= +(-1.000)*r( 51)+( 1.000)*r( 52)
     &                      +(-1.000)*r( 53)+(-1.000)*r( 54)
     &                      +(-2.000)*r( 55)+(-1.000)*r( 66)
          jac(lHO2 ,lROOH)= +(-1.000)*r(144)
          jac(lHO2 ,lR2O2)= +( 1.000)*r( 57)+(-1.000)*r( 57)
          jac(lHO2 ,lRO2N)= +( 1.000)*r( 63)+(-1.000)*r( 64)
     &                      +(-1.000)*r( 65)+(-1.000)*r( 66)
     &                      +(-2.000)*r( 68)
          jac(lHO2 ,lRNO3)= +(-0.113)*r(176)+(-0.341)*r(177)
          jac(lHO2 ,lPROD)= +(-0.379)*r(174)
          jac(lHO2 ,lCCO3)= +( 1.000)*r( 72)
          jac(lHO2 ,lRCO3)= +( 1.000)*r( 82)
          jac(lHO2 ,lCCHO)= +(-1.000)*r(131)
          jac(lHO2 ,lBZCO)= +( 1.000)*r( 93)
          jac(lHO2 ,lBZO )= +( 1.000)*r(118)
          jac(lHO2 ,lMCO3)= +( 1.000)*r(105)
          jac(lHO2 ,lBZNO)= +( 1.000)*r(121)
          jac(lHO2 ,lHCO3)= +(-1.000)*r(127)+(-1.000)*r(128)
          jac(lHO2 ,lRCHO)= +(-1.000)*r(134)
          jac(lHO2 ,lGLY )= +(-2.000)*r(145)+(-0.630)*r(147)
     &                      +(-0.630)*r(148)
          jac(lHO2 ,lMGLY)= +(-1.000)*r(149)
          jac(lHO2 ,lMETH)= +(-0.008)*r(162)+(-0.340)*r(165)
          jac(lHO2 ,lMVK )= +(-0.064)*r(167)
          jac(lHO2 ,lISPD)= +(-0.400)*r(171)+(-1.233)*r(173)
          jac(lHO2 ,lDCB1)= +(-1.500)*r(179)
          jac(lHO2 ,lDCB2)= +(-0.500)*r(181)
          jac(lHO2 ,lDCB3)= +(-0.500)*r(183)
          jac(lHO2 ,lETHE)= +(-0.120)*r(186)+(-0.500)*r(188)
          jac(lHO2 ,lTERP)= +(-0.033)*r(194)
          jac(lHO2 ,lALK2)= +(-0.121)*r(198)
          jac(lHO2 ,lARO1)= +(-0.224)*r(202)
          jac(lHO2 ,lARO2)= +(-0.187)*r(203)
          jac(lHO2 ,lOLE1)= +(-0.056)*r(205)
          jac(lHO2 ,lOLE2)= +(-0.003)*r(209)+(-0.013)*r(211)
          jac(lHO2 ,lETOH)= +(-0.950)*r(212)
          jac(lHO2 ,lMBUT)= +(-0.099)*r(215)
          jac(lCO  ,lO   )= +(-0.491)*r(188)+(-0.012)*r(211)
          jac(lCO  ,lO3  )= +(-0.450)*r(162)+(-0.475)*r(167)
     &                      +(-0.498)*r(171)+(-1.500)*r(179)
     &                      +(-0.500)*r(186)+(-0.275)*r(190)
     &                      +(-0.157)*r(194)+(-0.345)*r(205)
     &                      +(-0.265)*r(209)+(-0.365)*r(215)
          jac(lCO  ,lNO3 )= +(-1.000)*r(129)+(-1.260)*r(148)
     &                      +(-1.000)*r(151)+(-0.500)*r(163)
     &                      +(-0.572)*r(172)
          jac(lCO  ,lOH  )= +( 1.000)*r( 29)+(-1.000)*r(125)
     &                      +(-0.034)*r(133)+(-1.260)*r(147)
     &                      +(-1.000)*r(150)+(-0.416)*r(161)
     &                      +(-0.336)*r(170)+(-1.000)*r(178)
     &                      +(-0.160)*r(198)+(-0.002)*r(200)
          jac(lCO  ,lCO  )= +( 1.000)*r( 29)
          jac(lCO  ,lHCHO)= +(-1.000)*r(123)+(-1.000)*r(124)
     &                      +(-1.000)*r(125)+(-1.000)*r(129)
          jac(lCO  ,lCCHO)= +(-1.000)*r(131)
          jac(lCO  ,lRCHO)= +(-0.034)*r(133)+(-1.000)*r(134)
          jac(lCO  ,lGLY )= +(-2.000)*r(145)+(-1.000)*r(146)
     &                      +(-1.260)*r(147)+(-1.260)*r(148)
          jac(lCO  ,lMGLY)= +(-1.000)*r(149)+(-1.000)*r(150)
     &                      +(-1.000)*r(151)
          jac(lCO  ,lMETH)= +(-0.416)*r(161)+(-0.450)*r(162)
     &                      +(-0.500)*r(163)+(-0.670)*r(165)
          jac(lCO  ,lMVK )= +(-0.475)*r(167)+(-0.700)*r(169)
          jac(lCO  ,lISPD)= +(-0.336)*r(170)+(-0.498)*r(171)
     &                      +(-0.572)*r(172)+(-1.233)*r(173)
          jac(lCO  ,lDCB1)= +(-1.000)*r(178)+(-1.500)*r(179)
          jac(lCO  ,lDCB2)= +(-1.000)*r(181)
          jac(lCO  ,lDCB3)= +(-1.000)*r(183)
          jac(lCO  ,lETHE)= +(-0.500)*r(186)+(-0.491)*r(188)
          jac(lCO  ,lISOP)= +(-0.275)*r(190)
          jac(lCO  ,lTERP)= +(-0.157)*r(194)
          jac(lCO  ,lALK2)= +(-0.160)*r(198)
          jac(lCO  ,lALK4)= +(-0.002)*r(200)
          jac(lCO  ,lOLE1)= +(-0.345)*r(205)
          jac(lCO  ,lOLE2)= +(-0.265)*r(209)+(-0.012)*r(211)
          jac(lCO  ,lMBUT)= +(-0.365)*r(215)
          jac(lHNO4,lNO2 )= +(-1.000)*r( 32)
          jac(lHNO4,lOH  )= +( 1.000)*r( 35)
          jac(lHNO4,lHO2 )= +(-1.000)*r( 32)
          jac(lHNO4,lHNO4)= +( 1.000)*r( 33)+( 1.000)*r( 34)
     &                      +( 1.000)*r( 35)
          jac(lHO2H,lOH  )= +( 1.000)*r( 42)
          jac(lHO2H,lHO2 )= +(-2.000)*r( 37)+(-2.000)*r( 38)
          jac(lHO2H,lHO2H)= +( 1.000)*r( 41)+( 1.000)*r( 42)
          jac(lSO2 ,lOH  )= +( 1.000)*r( 44)
          jac(lSO2 ,lSO2 )= +( 1.000)*r( 44)
          jac(lSULF,lOH  )= +(-1.000)*r( 44)
          jac(lSULF,lSO2 )= +(-1.000)*r( 44)
          jac(lCXO2,lNO  )= +( 1.000)*r( 46)+(-1.000)*r( 71)
          jac(lCXO2,lO   )= +(-0.300)*r(188)+(-0.250)*r(192)
          jac(lCXO2,lO3  )= +(-0.076)*r(205)+(-0.197)*r(209)
          jac(lCXO2,lNO3 )= +( 1.000)*r( 48)+(-1.000)*r( 73)
     &                      +(-0.030)*r(210)
          jac(lCXO2,lOH  )= +(-0.650)*r(141)+(-1.000)*r(184)
     &                      +(-0.011)*r(200)+(-0.162)*r(213)
          jac(lCXO2,lHO2 )= +( 1.000)*r( 47)
          jac(lCXO2,lCXO2)= +( 1.000)*r( 46)+( 1.000)*r( 47)
     &                      +( 1.000)*r( 48)+( 4.000)*r( 49)
     &                      +( 4.000)*r( 50)+( 1.000)*r( 54)
     &                      +( 1.000)*r( 59)+(-1.000)*r( 59)
     &                      +( 1.000)*r( 64)+( 1.000)*r( 74)
     &                      +( 1.000)*r( 84)+( 1.000)*r( 95)
     &                      +( 1.000)*r(107)
          jac(lCXO2,lCOOH)= +(-0.650)*r(141)
          jac(lCXO2,lRO2R)= +( 1.000)*r( 54)
          jac(lCXO2,lR2O2)= +( 1.000)*r( 59)+(-1.000)*r( 59)
          jac(lCXO2,lRO2N)= +( 1.000)*r( 64)
          jac(lCXO2,lCCO3)= +(-1.000)*r( 71)+(-1.000)*r( 73)
     &                      +( 1.000)*r( 74)+(-4.000)*r( 78)
     &                      +(-1.000)*r( 88)+(-1.000)*r( 99)
     &                      +(-1.000)*r(111)
          jac(lCXO2,lRCO3)= +( 1.000)*r( 84)+(-1.000)*r( 88)
          jac(lCXO2,lCCHO)= +(-1.000)*r(131)
          jac(lCXO2,lBZCO)= +( 1.000)*r( 95)+(-1.000)*r( 99)
          jac(lCXO2,lMCO3)= +( 1.000)*r(107)+(-1.000)*r(111)
          jac(lCXO2,lTBUO)= +(-1.000)*r(116)
          jac(lCXO2,lACET)= +(-1.000)*r(137)
          jac(lCXO2,lMVK )= +(-0.300)*r(169)
          jac(lCXO2,lETHE)= +(-0.300)*r(188)
          jac(lCXO2,lISOP)= +(-0.250)*r(192)
          jac(lCXO2,lALK4)= +(-0.011)*r(200)
          jac(lCXO2,lOLE1)= +(-0.076)*r(205)
          jac(lCXO2,lOLE2)= +(-0.197)*r(209)+(-0.030)*r(210)
          jac(lCXO2,lMTBE)= +(-0.162)*r(213)
          jac(lHCHO,lNO  )= +(-1.000)*r( 46)+(-1.000)*r(104)
          jac(lHCHO,lO   )= +(-0.191)*r(188)+(-0.240)*r(192)
          jac(lHCHO,lO3  )= +(-0.200)*r(162)+(-0.100)*r(167)
     &                      +(-0.125)*r(171)+(-1.000)*r(186)
     &                      +(-0.592)*r(190)+(-0.235)*r(194)
     &                      +(-0.500)*r(205)+(-0.269)*r(209)
     &                      +(-0.300)*r(215)
          jac(lHCHO,lNO3 )= +(-1.000)*r( 48)+(-1.000)*r(106)
     &                      +( 1.000)*r(129)+(-0.227)*r(172)
     &                      +(-0.079)*r(210)
          jac(lHCHO,lOH  )= +( 1.000)*r(125)+(-1.000)*r(136)
     &                      +(-0.115)*r(138)+(-1.000)*r(140)
     &                      +(-0.350)*r(141)+(-0.084)*r(161)
     &                      +(-0.300)*r(166)+(-0.055)*r(170)
     &                      +(-0.213)*r(174)+(-0.010)*r(176)
     &                      +(-1.610)*r(185)+(-0.624)*r(189)
     &                      +(-0.276)*r(193)+(-0.039)*r(198)
     &                      +(-0.026)*r(199)+(-0.024)*r(200)
     &                      +(-0.026)*r(201)+(-0.732)*r(204)
          jac(lHCHO,lOH  )=jac(lHCHO,lOH  )
     &                      +(-0.244)*r(208)+(-0.081)*r(212)
     &                      +(-0.234)*r(213)+(-0.311)*r(214)
          jac(lHCHO,lHO2 )= +( 1.000)*r(126)
          jac(lHCHO,lCXO2)= +(-1.000)*r( 46)+(-1.000)*r( 48)
     &                      +(-2.000)*r( 49)+(-4.000)*r( 50)
     &                      +(-0.750)*r( 54)+(-0.750)*r( 64)
     &                      +(-1.000)*r( 74)+(-1.000)*r( 84)
     &                      +(-1.000)*r( 95)+(-1.000)*r(107)
          jac(lHCHO,lHCHO)= +( 1.000)*r(123)+( 1.000)*r(124)
     &                      +( 1.000)*r(125)+( 1.000)*r(126)
     &                      +( 1.000)*r(129)
          jac(lHCHO,lCOOH)= +(-0.350)*r(141)+(-1.000)*r(142)
          jac(lHCHO,lMEOH)= +(-1.000)*r(140)
          jac(lHCHO,lRO2R)= +(-0.750)*r( 54)
          jac(lHCHO,lRO2N)= +(-0.750)*r( 64)
          jac(lHCHO,lRNO3)= +(-0.010)*r(176)+(-0.134)*r(177)
          jac(lHCHO,lMEK )= +(-0.115)*r(138)
          jac(lHCHO,lPROD)= +(-0.213)*r(174)+(-0.506)*r(175)
          jac(lHCHO,lCCO3)= +(-1.000)*r( 74)+(-1.000)*r(111)
          jac(lHCHO,lRCO3)= +(-1.000)*r( 84)+(-1.000)*r(112)
          jac(lHCHO,lBZCO)= +(-1.000)*r( 95)+(-1.000)*r(113)
          jac(lHCHO,lMCO3)= +(-1.000)*r(104)+(-1.000)*r(106)
     &                      +(-1.000)*r(107)+(-1.000)*r(111)
     &                      +(-1.000)*r(112)+(-1.000)*r(113)
     &                      +(-4.000)*r(114)
          jac(lHCHO,lACET)= +(-1.000)*r(136)
          jac(lHCHO,lHCO3)= +(-1.000)*r(127)
          jac(lHCHO,lGLY )= +(-1.000)*r(146)
          jac(lHCHO,lMETH)= +(-0.084)*r(161)+(-0.200)*r(162)
     &                      +(-0.670)*r(165)
          jac(lHCHO,lMVK )= +(-0.300)*r(166)+(-0.100)*r(167)
          jac(lHCHO,lISPD)= +(-0.055)*r(170)+(-0.125)*r(171)
     &                      +(-0.227)*r(172)+(-0.300)*r(173)
          jac(lHCHO,lETHE)= +(-1.610)*r(185)+(-1.000)*r(186)
     &                      +(-0.191)*r(188)
          jac(lHCHO,lISOP)= +(-0.624)*r(189)+(-0.592)*r(190)
     &                      +(-0.240)*r(192)
          jac(lHCHO,lTERP)= +(-0.276)*r(193)+(-0.235)*r(194)
          jac(lHCHO,lALK2)= +(-0.039)*r(198)
          jac(lHCHO,lALK3)= +(-0.026)*r(199)
          jac(lHCHO,lALK4)= +(-0.024)*r(200)
          jac(lHCHO,lALK5)= +(-0.026)*r(201)
          jac(lHCHO,lOLE1)= +(-0.732)*r(204)+(-0.500)*r(205)
          jac(lHCHO,lOLE2)= +(-0.244)*r(208)+(-0.269)*r(209)
     &                      +(-0.079)*r(210)
          jac(lHCHO,lETOH)= +(-0.081)*r(212)
          jac(lHCHO,lMTBE)= +(-0.234)*r(213)
          jac(lHCHO,lMBUT)= +(-0.311)*r(214)+(-0.300)*r(215)
          jac(lCOOH,lOH  )= +( 1.000)*r(141)
          jac(lCOOH,lHO2 )= +(-1.000)*r( 47)
          jac(lCOOH,lCXO2)= +(-1.000)*r( 47)
          jac(lCOOH,lCOOH)= +( 1.000)*r(141)+( 1.000)*r(142)
          jac(lMEOH,lOH  )= +( 1.000)*r(140)
          jac(lMEOH,lCXO2)= +(-2.000)*r( 49)+(-0.250)*r( 54)
     &                      +(-0.250)*r( 64)
          jac(lMEOH,lMEOH)= +( 1.000)*r(140)
          jac(lMEOH,lRO2R)= +(-0.250)*r( 54)
          jac(lMEOH,lRO2N)= +(-0.250)*r( 64)
          jac(lRO2R,lNO  )= +( 1.000)*r( 51)+(-1.000)*r( 81)
          jac(lRO2R,lO   )= +(-0.200)*r(188)+(-0.012)*r(211)
          jac(lRO2R,lO3  )= +(-0.100)*r(162)+(-0.050)*r(167)
     &                      +(-0.048)*r(171)+(-0.066)*r(190)
     &                      +(-0.031)*r(194)+(-0.022)*r(205)
     &                      +(-0.033)*r(209)
          jac(lRO2R,lNO3 )= +( 1.000)*r( 53)+(-1.000)*r( 83)
     &                      +(-0.500)*r(163)+(-0.799)*r(172)
     &                      +(-1.000)*r(187)+(-0.749)*r(191)
     &                      +(-0.276)*r(195)+(-0.824)*r(206)
     &                      +(-0.442)*r(210)+(-0.935)*r(216)
          jac(lRO2R,lOH  )= +(-0.034)*r(133)+(-0.370)*r(138)
     &                      +(-0.340)*r(143)+(-0.760)*r(153)
     &                      +(-0.760)*r(155)+(-0.500)*r(161)
     &                      +(-0.300)*r(166)+(-0.670)*r(170)
     &                      +(-0.473)*r(174)+(-0.376)*r(176)
     &                      +(-1.000)*r(178)+(-1.000)*r(185)
     &                      +(-0.907)*r(189)+(-0.750)*r(193)
     &                      +(-1.000)*r(197)+(-0.612)*r(198)
     &                      +(-0.695)*r(199)+(-0.835)*r(200)
          jac(lRO2R,lOH  )=jac(lRO2R,lOH  )
     &                      +(-0.653)*r(201)+(-0.765)*r(202)
     &                      +(-0.804)*r(203)+(-0.910)*r(204)
     &                      +(-0.918)*r(208)+(-0.050)*r(212)
     &                      +(-0.743)*r(213)+(-0.935)*r(214)
          jac(lRO2R,lHO2 )= +( 1.000)*r( 52)
          jac(lRO2R,lCXO2)= +( 1.000)*r( 54)
          jac(lRO2R,lRO2R)= +( 1.000)*r( 51)+( 1.000)*r( 52)
     &                      +( 1.000)*r( 53)+( 1.000)*r( 54)
     &                      +( 4.000)*r( 55)+( 1.000)*r( 60)
     &                      +(-1.000)*r( 60)+( 1.000)*r( 66)
     &                      +( 1.000)*r( 75)+( 1.000)*r( 85)
     &                      +( 1.000)*r( 96)+( 1.000)*r(108)
          jac(lRO2R,lROOH)= +(-0.340)*r(143)
          jac(lRO2R,lR2O2)= +( 1.000)*r( 60)+(-1.000)*r( 60)
          jac(lRO2R,lRO2N)= +( 1.000)*r( 66)
          jac(lRO2R,lRNO3)= +(-0.376)*r(176)+(-0.564)*r(177)
          jac(lRO2R,lMEK )= +(-0.370)*r(138)+(-1.000)*r(139)
          jac(lRO2R,lPROD)= +(-0.473)*r(174)+(-0.960)*r(175)
          jac(lRO2R,lCCO3)= +( 1.000)*r( 75)+(-1.000)*r( 88)
          jac(lRO2R,lRCO3)= +(-1.000)*r( 81)+(-1.000)*r( 83)
     &                      +( 1.000)*r( 85)+(-1.000)*r( 88)
     &                      +(-4.000)*r( 89)+(-1.000)*r(100)
     &                      +(-1.000)*r(112)
          jac(lRO2R,lBZCO)= +( 1.000)*r( 96)+(-1.000)*r(100)
          jac(lRO2R,lMCO3)= +( 1.000)*r(108)+(-1.000)*r(112)
          jac(lRO2R,lPHEN)= +(-0.760)*r(153)
          jac(lRO2R,lRCHO)= +(-0.034)*r(133)+(-1.000)*r(134)
          jac(lRO2R,lCRES)= +(-0.760)*r(155)
          jac(lRO2R,lMETH)= +(-0.500)*r(161)+(-0.100)*r(162)
     &                      +(-0.500)*r(163)+(-0.330)*r(165)
          jac(lRO2R,lMVK )= +(-0.300)*r(166)+(-0.050)*r(167)
          jac(lRO2R,lISPD)= +(-0.670)*r(170)+(-0.048)*r(171)
     &                      +(-0.799)*r(172)
          jac(lRO2R,lDCB1)= +(-1.000)*r(178)
          jac(lRO2R,lDCB2)= +(-1.000)*r(181)
          jac(lRO2R,lDCB3)= +(-1.000)*r(183)
          jac(lRO2R,lETHE)= +(-1.000)*r(185)+(-1.000)*r(187)
     &                      +(-0.200)*r(188)
          jac(lRO2R,lISOP)= +(-0.907)*r(189)+(-0.066)*r(190)
     &                      +(-0.749)*r(191)
          jac(lRO2R,lTERP)= +(-0.750)*r(193)+(-0.031)*r(194)
     &                      +(-0.276)*r(195)
          jac(lRO2R,lALK1)= +(-1.000)*r(197)
          jac(lRO2R,lALK2)= +(-0.612)*r(198)
          jac(lRO2R,lALK3)= +(-0.695)*r(199)
          jac(lRO2R,lALK4)= +(-0.835)*r(200)
          jac(lRO2R,lALK5)= +(-0.653)*r(201)
          jac(lRO2R,lARO1)= +(-0.765)*r(202)
          jac(lRO2R,lARO2)= +(-0.804)*r(203)
          jac(lRO2R,lOLE1)= +(-0.910)*r(204)+(-0.022)*r(205)
     &                      +(-0.824)*r(206)
          jac(lRO2R,lOLE2)= +(-0.918)*r(208)+(-0.033)*r(209)
     &                      +(-0.442)*r(210)+(-0.012)*r(211)
          jac(lRO2R,lETOH)= +(-0.050)*r(212)
          jac(lRO2R,lMTBE)= +(-0.743)*r(213)
          jac(lRO2R,lMBUT)= +(-0.935)*r(214)+(-0.935)*r(216)
          jac(lROOH,lOH  )= +( 1.000)*r(143)
          jac(lROOH,lHO2 )= +(-1.000)*r( 52)+(-1.000)*r( 63)
          jac(lROOH,lRO2R)= +(-1.000)*r( 52)
          jac(lROOH,lROOH)= +( 1.000)*r(143)+( 1.000)*r(144)
          jac(lROOH,lRO2N)= +(-1.000)*r( 63)
          jac(lR2O2,lNO  )= +( 1.000)*r( 56)+(-1.000)*r( 92)
          jac(lR2O2,lO   )= +(-0.240)*r(192)
          jac(lR2O2,lO3  )= +(-0.126)*r(190)+(-0.729)*r(194)
     &                      +(-0.137)*r(209)
          jac(lR2O2,lNO3 )= +( 1.000)*r( 58)+(-1.000)*r( 94)
     &                      +(-0.187)*r(191)+(-0.750)*r(195)
     &                      +(-0.488)*r(206)+(-0.711)*r(210)
          jac(lR2O2,lOH  )= +(-1.000)*r(136)+(-0.616)*r(138)
     &                      +(-0.675)*r(166)+(-0.596)*r(176)
     &                      +(-1.000)*r(180)+(-1.000)*r(182)
     &                      +(-0.079)*r(189)+(-0.500)*r(193)
     &                      +(-0.559)*r(199)+(-0.936)*r(200)
     &                      +(-0.948)*r(201)+(-0.205)*r(204)
     &                      +(-0.001)*r(208)+(-0.381)*r(213)
          jac(lR2O2,lHO2 )= +( 1.000)*r( 57)
          jac(lR2O2,lCXO2)= +( 1.000)*r( 59)
          jac(lR2O2,lRO2R)= +( 1.000)*r( 60)
          jac(lR2O2,lR2O2)= +( 1.000)*r( 56)+( 1.000)*r( 57)
     &                      +( 1.000)*r( 58)+( 1.000)*r( 59)
     &                      +( 1.000)*r( 60)+( 4.000)*r( 61)
     &                      +( 1.000)*r( 67)+( 1.000)*r( 76)
     &                      +( 1.000)*r( 86)+( 1.000)*r( 97)
     &                      +( 1.000)*r(109)
          jac(lR2O2,lRO2N)= +( 1.000)*r( 67)
          jac(lR2O2,lRNO3)= +(-0.596)*r(176)+(-0.152)*r(177)
          jac(lR2O2,lMEK )= +(-0.616)*r(138)
          jac(lR2O2,lPROD)= +(-0.515)*r(175)
          jac(lR2O2,lCCO3)= +( 1.000)*r( 76)+(-1.000)*r( 99)
          jac(lR2O2,lRCO3)= +( 1.000)*r( 86)+(-1.000)*r(100)
          jac(lR2O2,lBZCO)= +(-1.000)*r( 92)+(-1.000)*r( 94)
     &                      +( 1.000)*r( 97)+(-1.000)*r( 99)
     &                      +(-1.000)*r(100)+(-4.000)*r(101)
     &                      +(-1.000)*r(113)
          jac(lR2O2,lMCO3)= +( 1.000)*r(109)+(-1.000)*r(113)
          jac(lR2O2,lACET)= +(-1.000)*r(136)
          jac(lR2O2,lMVK )= +(-0.675)*r(166)
          jac(lR2O2,lDCB2)= +(-1.000)*r(180)+(-1.000)*r(181)
          jac(lR2O2,lDCB3)= +(-1.000)*r(182)+(-1.000)*r(183)
          jac(lR2O2,lISOP)= +(-0.079)*r(189)+(-0.126)*r(190)
     &                      +(-0.187)*r(191)+(-0.240)*r(192)
          jac(lR2O2,lTERP)= +(-0.500)*r(193)+(-0.729)*r(194)
     &                      +(-0.750)*r(195)
          jac(lR2O2,lALK3)= +(-0.559)*r(199)
          jac(lR2O2,lALK4)= +(-0.936)*r(200)
          jac(lR2O2,lALK5)= +(-0.948)*r(201)
          jac(lR2O2,lOLE1)= +(-0.205)*r(204)+(-0.488)*r(206)
          jac(lR2O2,lOLE2)= +(-0.001)*r(208)+(-0.137)*r(209)
     &                      +(-0.711)*r(210)
          jac(lR2O2,lMTBE)= +(-0.381)*r(213)
          jac(lRO2N,lNO  )= +( 1.000)*r( 62)
          jac(lRO2N,lO   )= +(-0.010)*r(192)+(-0.001)*r(211)
          jac(lRO2N,lO3  )= +(-0.008)*r(190)+(-0.180)*r(194)
     &                      +(-0.001)*r(205)+(-0.002)*r(209)
          jac(lRO2N,lNO3 )= +( 1.000)*r( 65)+(-0.051)*r(172)
     &                      +(-0.064)*r(191)+(-0.250)*r(195)
     &                      +(-0.176)*r(206)+(-0.136)*r(210)
     &                      +(-0.065)*r(216)
          jac(lRO2N,lOH  )= +(-0.001)*r(133)+(-0.042)*r(138)
     &                      +(-0.025)*r(166)+(-0.041)*r(170)
     &                      +(-0.070)*r(174)+(-0.173)*r(176)
     &                      +(-0.093)*r(189)+(-0.250)*r(193)
     &                      +(-0.021)*r(198)+(-0.070)*r(199)
     &                      +(-0.143)*r(200)+(-0.347)*r(201)
     &                      +(-0.011)*r(202)+(-0.009)*r(203)
     &                      +(-0.090)*r(204)+(-0.082)*r(208)
     &                      +(-0.078)*r(213)+(-0.065)*r(214)
          jac(lRO2N,lHO2 )= +( 1.000)*r( 63)
          jac(lRO2N,lCXO2)= +( 1.000)*r( 64)
          jac(lRO2N,lRO2R)= +( 1.000)*r( 66)
          jac(lRO2N,lR2O2)= +( 1.000)*r( 67)+(-1.000)*r( 67)
          jac(lRO2N,lRO2N)= +( 1.000)*r( 62)+( 1.000)*r( 63)
     &                      +( 1.000)*r( 64)+( 1.000)*r( 65)
     &                      +( 1.000)*r( 66)+( 1.000)*r( 67)
     &                      +(-1.000)*r( 67)+( 4.000)*r( 68)
     &                      +( 1.000)*r( 77)+( 1.000)*r( 87)
     &                      +( 1.000)*r( 98)+( 1.000)*r(110)
          jac(lRO2N,lRNO3)= +(-0.173)*r(176)+(-0.095)*r(177)
          jac(lRO2N,lMEK )= +(-0.042)*r(138)
          jac(lRO2N,lPROD)= +(-0.070)*r(174)+(-0.040)*r(175)
          jac(lRO2N,lCCO3)= +( 1.000)*r( 77)
          jac(lRO2N,lRCO3)= +( 1.000)*r( 87)
          jac(lRO2N,lBZCO)= +( 1.000)*r( 98)
          jac(lRO2N,lMCO3)= +( 1.000)*r(110)
          jac(lRO2N,lRCHO)= +(-0.001)*r(133)
          jac(lRO2N,lMVK )= +(-0.025)*r(166)
          jac(lRO2N,lISPD)= +(-0.041)*r(170)+(-0.051)*r(172)
          jac(lRO2N,lISOP)= +(-0.093)*r(189)+(-0.008)*r(190)
     &                      +(-0.064)*r(191)+(-0.010)*r(192)
          jac(lRO2N,lTERP)= +(-0.250)*r(193)+(-0.180)*r(194)
     &                      +(-0.250)*r(195)
          jac(lRO2N,lALK2)= +(-0.021)*r(198)
          jac(lRO2N,lALK3)= +(-0.070)*r(199)
          jac(lRO2N,lALK4)= +(-0.143)*r(200)
          jac(lRO2N,lALK5)= +(-0.347)*r(201)
          jac(lRO2N,lARO1)= +(-0.011)*r(202)
          jac(lRO2N,lARO2)= +(-0.009)*r(203)
          jac(lRO2N,lOLE1)= +(-0.090)*r(204)+(-0.001)*r(205)
     &                      +(-0.176)*r(206)
          jac(lRO2N,lOLE2)= +(-0.082)*r(208)+(-0.002)*r(209)
     &                      +(-0.136)*r(210)+(-0.001)*r(211)
          jac(lRO2N,lMTBE)= +(-0.078)*r(213)
          jac(lRO2N,lMBUT)= +(-0.065)*r(214)+(-0.065)*r(216)
          jac(lRNO3,lNO2 )= +(-1.000)*r(115)
          jac(lRNO3,lNO  )= +(-1.000)*r( 62)
          jac(lRNO3,lNO3 )= +(-0.572)*r(172)+(-0.813)*r(191)
     &                      +(-0.276)*r(195)+(-0.511)*r(206)
     &                      +(-0.321)*r(210)+(-1.000)*r(216)
          jac(lRNO3,lOH  )= +( 1.000)*r(176)+(-0.310)*r(176)
          jac(lRNO3,lRO2N)= +(-1.000)*r( 62)
          jac(lRNO3,lRNO3)= +( 1.000)*r(176)+(-0.310)*r(176)
     &                      +( 1.000)*r(177)
          jac(lRNO3,lTBUO)= +(-1.000)*r(115)
          jac(lRNO3,lISPD)= +(-0.572)*r(172)
          jac(lRNO3,lISOP)= +(-0.813)*r(191)
          jac(lRNO3,lTERP)= +(-0.276)*r(195)
          jac(lRNO3,lOLE1)= +(-0.511)*r(206)
          jac(lRNO3,lOLE2)= +(-0.321)*r(210)
          jac(lRNO3,lMBUT)= +(-1.000)*r(216)
          jac(lMEK ,lO   )= +(-0.550)*r(168)+(-0.437)*r(207)
     &                      +(-0.659)*r(211)+(-0.550)*r(217)
          jac(lMEK ,lO3  )= +(-0.210)*r(171)+(-0.026)*r(209)
          jac(lMEK ,lNO3 )= +(-1.000)*r( 65)+(-0.001)*r(210)
          jac(lMEK ,lOH  )= +( 1.000)*r(138)+(-0.416)*r(161)
     &                      +(-0.150)*r(170)+(-0.115)*r(174)
     &                      +(-0.177)*r(176)+(-0.332)*r(199)
     &                      +(-0.110)*r(200)+(-0.089)*r(201)
     &                      +(-0.072)*r(208)+(-0.719)*r(213)
          jac(lMEK ,lCXO2)= +(-0.500)*r( 64)
          jac(lMEK ,lRO2R)= +(-0.500)*r( 66)
          jac(lMEK ,lRO2N)= +(-0.500)*r( 64)+(-1.000)*r( 65)
     &                      +(-0.500)*r( 66)+(-2.000)*r( 68)
          jac(lMEK ,lRNO3)= +(-0.177)*r(176)+(-0.243)*r(177)
          jac(lMEK ,lMEK )= +( 1.000)*r(138)+( 1.000)*r(139)
          jac(lMEK ,lPROD)= +(-0.115)*r(174)
          jac(lMEK ,lMETH)= +(-0.416)*r(161)
          jac(lMEK ,lMVK )= +(-0.550)*r(168)
          jac(lMEK ,lISPD)= +(-0.150)*r(170)+(-0.210)*r(171)
     &                      +(-0.233)*r(173)
          jac(lMEK ,lALK3)= +(-0.332)*r(199)
          jac(lMEK ,lALK4)= +(-0.110)*r(200)
          jac(lMEK ,lALK5)= +(-0.089)*r(201)
          jac(lMEK ,lOLE1)= +(-0.437)*r(207)
          jac(lMEK ,lOLE2)= +(-0.072)*r(208)+(-0.026)*r(209)
     &                      +(-0.001)*r(210)+(-0.659)*r(211)
          jac(lMEK ,lMTBE)= +(-0.719)*r(213)
          jac(lMEK ,lMBUT)= +(-0.550)*r(217)
          jac(lPROD,lO   )= +(-0.750)*r(192)+(-0.853)*r(196)
     &                      +(-0.113)*r(207)+(-0.259)*r(211)
          jac(lPROD,lO3  )= +(-0.100)*r(190)+(-0.276)*r(194)
     &                      +(-0.215)*r(205)+(-0.006)*r(209)
          jac(lPROD,lOH  )= +(-0.332)*r(170)+( 1.000)*r(174)
     &                      +(-0.329)*r(174)+(-0.048)*r(176)
     &                      +(-0.276)*r(193)+(-0.125)*r(200)
     &                      +(-0.417)*r(201)+(-0.055)*r(202)
     &                      +(-0.119)*r(204)+(-0.007)*r(213)
          jac(lPROD,lCXO2)= +(-0.500)*r( 64)
          jac(lPROD,lRO2R)= +(-0.500)*r( 66)
          jac(lPROD,lRO2N)= +(-0.500)*r( 64)+(-0.500)*r( 66)
     &                      +(-2.000)*r( 68)+(-1.000)*r( 77)
     &                      +(-1.000)*r( 87)+(-1.000)*r( 98)
          jac(lPROD,lRNO3)= +(-0.048)*r(176)+(-0.435)*r(177)
          jac(lPROD,lPROD)= +( 1.000)*r(174)+(-0.329)*r(174)
     &                      +( 1.000)*r(175)
          jac(lPROD,lCCO3)= +(-1.000)*r( 77)
          jac(lPROD,lRCO3)= +(-1.000)*r( 87)
          jac(lPROD,lBZCO)= +(-1.000)*r( 98)
          jac(lPROD,lMVK )= +(-0.700)*r(169)
          jac(lPROD,lISPD)= +(-0.332)*r(170)
          jac(lPROD,lISOP)= +(-0.100)*r(190)+(-0.750)*r(192)
          jac(lPROD,lTERP)= +(-0.276)*r(193)+(-0.276)*r(194)
     &                      +(-0.853)*r(196)
          jac(lPROD,lALK4)= +(-0.125)*r(200)
          jac(lPROD,lALK5)= +(-0.417)*r(201)
          jac(lPROD,lARO1)= +(-0.055)*r(202)
          jac(lPROD,lOLE1)= +(-0.119)*r(204)+(-0.215)*r(205)
     &                      +(-0.113)*r(207)
          jac(lPROD,lOLE2)= +(-0.006)*r(209)+(-0.259)*r(211)
          jac(lPROD,lMTBE)= +(-0.007)*r(213)
          jac(lCCO3,lNO2 )= +( 1.000)*r( 69)
          jac(lCCO3,lNO  )= +( 1.000)*r( 71)+(-1.000)*r(104)
          jac(lCCO3,lO3  )= +(-0.123)*r(194)+(-0.137)*r(209)
          jac(lCCO3,lNO3 )= +( 1.000)*r( 73)+(-1.000)*r(106)
     &                      +(-1.000)*r(132)+(-1.000)*r(151)
          jac(lCCO3,lOH  )= +(-1.000)*r(130)+(-1.000)*r(136)
     &                      +(-0.492)*r(138)+(-1.000)*r(150)
     &                      +(-0.675)*r(166)+(-0.029)*r(174)
     &                      +(-1.000)*r(180)+(-1.000)*r(182)
     &                      +(-0.011)*r(200)
          jac(lCCO3,lHO2 )= +( 1.000)*r( 72)
          jac(lCCO3,lCXO2)= +( 1.000)*r( 74)
          jac(lCCO3,lRO2R)= +( 1.000)*r( 75)
          jac(lCCO3,lR2O2)= +( 1.000)*r( 76)+(-1.000)*r( 76)
          jac(lCCO3,lRO2N)= +( 1.000)*r( 77)
          jac(lCCO3,lMEK )= +(-0.492)*r(138)+(-1.000)*r(139)
          jac(lCCO3,lPROD)= +(-0.029)*r(174)+(-0.667)*r(175)
          jac(lCCO3,lCCO3)= +( 1.000)*r( 69)+( 1.000)*r( 71)
     &                      +( 1.000)*r( 72)+( 1.000)*r( 73)
     &                      +( 1.000)*r( 74)+( 1.000)*r( 75)
     &                      +( 1.000)*r( 76)+(-1.000)*r( 76)
     &                      +( 1.000)*r( 77)+( 4.000)*r( 78)
     &                      +( 1.000)*r( 88)+( 1.000)*r( 99)
     &                      +( 1.000)*r(111)+(-1.000)*r(111)
          jac(lCCO3,lPAN )= +(-1.000)*r( 70)
          jac(lCCO3,lRCO3)= +( 1.000)*r( 88)+(-1.000)*r(112)
          jac(lCCO3,lCCHO)= +(-1.000)*r(130)+(-1.000)*r(132)
          jac(lCCO3,lBZCO)= +( 1.000)*r( 99)+(-1.000)*r(113)
          jac(lCCO3,lMCO3)= +(-1.000)*r(104)+(-1.000)*r(106)
     &                      +( 1.000)*r(111)+(-1.000)*r(111)
     &                      +(-1.000)*r(112)+(-1.000)*r(113)
     &                      +(-4.000)*r(114)
          jac(lCCO3,lACET)= +(-1.000)*r(136)+(-1.000)*r(137)
          jac(lCCO3,lMGLY)= +(-1.000)*r(149)+(-1.000)*r(150)
     &                      +(-1.000)*r(151)
          jac(lCCO3,lBACL)= +(-2.000)*r(152)
          jac(lCCO3,lMETH)= +(-0.670)*r(165)
          jac(lCCO3,lMVK )= +(-0.675)*r(166)
          jac(lCCO3,lISPD)= +(-0.467)*r(173)
          jac(lCCO3,lDCB2)= +(-1.000)*r(180)+(-0.500)*r(181)
          jac(lCCO3,lDCB3)= +(-1.000)*r(182)+(-0.500)*r(183)
          jac(lCCO3,lTERP)= +(-0.123)*r(194)
          jac(lCCO3,lALK4)= +(-0.011)*r(200)
          jac(lCCO3,lOLE2)= +(-0.137)*r(209)
          jac(lPAN ,lNO2 )= +(-1.000)*r( 69)
          jac(lPAN ,lCCO3)= +(-1.000)*r( 69)
          jac(lPAN ,lPAN )= +( 1.000)*r( 70)
          jac(lCO3H,lHO2 )= +(-0.750)*r( 72)
          jac(lCO3H,lCCO3)= +(-0.750)*r( 72)
          jac(lCO2H,lO3  )= +(-0.050)*r(205)+(-0.129)*r(209)
          jac(lCO2H,lHO2 )= +(-0.250)*r( 72)
          jac(lCO2H,lCXO2)= +(-1.000)*r( 74)
          jac(lCO2H,lRO2R)= +(-1.000)*r( 75)
          jac(lCO2H,lRO2N)= +(-1.000)*r( 77)
          jac(lCO2H,lCCO3)= +(-0.250)*r( 72)+(-1.000)*r( 74)
     &                      +(-1.000)*r( 75)+(-1.000)*r( 77)
          jac(lCO2H,lOLE1)= +(-0.050)*r(205)
          jac(lCO2H,lOLE2)= +(-0.129)*r(209)
          jac(lRCO3,lNO2 )= +( 1.000)*r( 79)
          jac(lRCO3,lNO  )= +( 1.000)*r( 81)
          jac(lRCO3,lO3  )= +(-0.100)*r(162)+(-0.050)*r(167)
     &                      +(-0.048)*r(171)+(-0.201)*r(194)
     &                      +(-0.006)*r(209)
          jac(lRCO3,lNO3 )= +( 1.000)*r( 83)+(-1.000)*r(135)
     &                      +(-0.370)*r(148)
          jac(lRCO3,lOH  )= +(-0.965)*r(133)+(-0.096)*r(138)
     &                      +(-0.370)*r(147)+(-0.049)*r(174)
          jac(lRCO3,lHO2 )= +( 1.000)*r( 82)
          jac(lRCO3,lCXO2)= +( 1.000)*r( 84)
          jac(lRCO3,lRO2R)= +( 1.000)*r( 85)
          jac(lRCO3,lR2O2)= +( 1.000)*r( 86)+(-1.000)*r( 86)
          jac(lRCO3,lRO2N)= +( 1.000)*r( 87)
          jac(lRCO3,lMEK )= +(-0.096)*r(138)
          jac(lRCO3,lPROD)= +(-0.049)*r(174)+(-0.333)*r(175)
          jac(lRCO3,lCCO3)= +( 1.000)*r( 88)
          jac(lRCO3,lRCO3)= +( 1.000)*r( 79)+( 1.000)*r( 81)
     &                      +( 1.000)*r( 82)+( 1.000)*r( 83)
     &                      +( 1.000)*r( 84)+( 1.000)*r( 85)
     &                      +( 1.000)*r( 86)+(-1.000)*r( 86)
     &                      +( 1.000)*r( 87)+( 1.000)*r( 88)
     &                      +( 4.000)*r( 89)+( 1.000)*r(100)
     &                      +( 1.000)*r(112)
          jac(lRCO3,lPAN2)= +(-1.000)*r( 80)
          jac(lRCO3,lBZCO)= +( 1.000)*r(100)
          jac(lRCO3,lMCO3)= +( 1.000)*r(112)
          jac(lRCO3,lRCHO)= +(-0.965)*r(133)+(-1.000)*r(135)
          jac(lRCO3,lGLY )= +(-0.370)*r(147)+(-0.370)*r(148)
          jac(lRCO3,lMETH)= +(-0.100)*r(162)
          jac(lRCO3,lMVK )= +(-0.050)*r(167)
          jac(lRCO3,lISPD)= +(-0.048)*r(171)+(-0.300)*r(173)
          jac(lRCO3,lTERP)= +(-0.201)*r(194)
          jac(lRCO3,lOLE2)= +(-0.006)*r(209)
          jac(lPAN2,lNO2 )= +(-1.000)*r( 79)
          jac(lPAN2,lRCO3)= +(-1.000)*r( 79)
          jac(lPAN2,lPAN2)= +( 1.000)*r( 80)
          jac(lCCHO,lNO  )= +(-1.000)*r( 81)
          jac(lCCHO,lO   )= +(-0.250)*r(188)
          jac(lCCHO,lO3  )= +(-0.047)*r(171)+(-0.154)*r(205)
     &                      +(-0.456)*r(209)
          jac(lCCHO,lNO3 )= +(-1.000)*r( 83)+( 1.000)*r(132)
     &                      +(-0.009)*r(206)+(-0.507)*r(210)
          jac(lCCHO,lOH  )= +( 1.000)*r(130)+(-0.034)*r(133)
     &                      +(-0.482)*r(138)+(-0.129)*r(170)
     &                      +(-0.084)*r(174)+(-0.439)*r(176)
     &                      +(-0.195)*r(185)+(-1.000)*r(197)
     &                      +(-0.445)*r(199)+(-0.455)*r(200)
     &                      +(-0.099)*r(201)+(-0.294)*r(204)
     &                      +(-0.732)*r(208)+(-0.960)*r(212)
     &                      +(-0.624)*r(214)
          jac(lCCHO,lRNO3)= +(-0.439)*r(176)+(-0.431)*r(177)
          jac(lCCHO,lMEK )= +(-0.482)*r(138)+(-1.000)*r(139)
          jac(lCCHO,lPROD)= +(-0.084)*r(174)+(-0.246)*r(175)
          jac(lCCHO,lCCO3)= +(-1.000)*r( 88)
          jac(lCCHO,lRCO3)= +(-1.000)*r( 81)+(-1.000)*r( 83)
     &                      +(-1.000)*r( 88)+(-4.000)*r( 89)
     &                      +(-1.000)*r(100)+(-1.000)*r(112)
          jac(lCCHO,lCCHO)= +( 1.000)*r(130)+( 1.000)*r(131)
     &                      +( 1.000)*r(132)
          jac(lCCHO,lBZCO)= +(-1.000)*r(100)
          jac(lCCHO,lMCO3)= +(-1.000)*r(112)
          jac(lCCHO,lRCHO)= +(-0.034)*r(133)+(-1.000)*r(134)
          jac(lCCHO,lISPD)= +(-0.129)*r(170)+(-0.047)*r(171)
     &                      +(-0.467)*r(173)
          jac(lCCHO,lETHE)= +(-0.195)*r(185)+(-0.250)*r(188)
          jac(lCCHO,lALK1)= +(-1.000)*r(197)
          jac(lCCHO,lALK3)= +(-0.445)*r(199)
          jac(lCCHO,lALK4)= +(-0.455)*r(200)
          jac(lCCHO,lALK5)= +(-0.099)*r(201)
          jac(lCCHO,lOLE1)= +(-0.294)*r(204)+(-0.154)*r(205)
     &                      +(-0.009)*r(206)
          jac(lCCHO,lOLE2)= +(-0.732)*r(208)+(-0.456)*r(209)
     &                      +(-0.507)*r(210)
          jac(lCCHO,lETOH)= +(-0.960)*r(212)
          jac(lCCHO,lMBUT)= +(-0.624)*r(214)
          jac(lRC3H,lHO2 )= +(-0.750)*r( 82)+(-0.750)*r( 93)
     &                      +(-0.750)*r(105)
          jac(lRC3H,lRCO3)= +(-0.750)*r( 82)
          jac(lRC3H,lBZCO)= +(-0.750)*r( 93)
          jac(lRC3H,lMCO3)= +(-0.750)*r(105)
          jac(lRC2H,lO3  )= +(-0.372)*r(171)+(-0.150)*r(190)
     &                      +(-0.189)*r(194)+(-0.119)*r(205)
     &                      +(-0.303)*r(209)+(-0.285)*r(215)
          jac(lRC2H,lHO2 )= +(-0.250)*r( 82)+(-0.250)*r( 93)
     &                      +(-0.250)*r(105)
          jac(lRC2H,lCXO2)= +(-1.000)*r( 84)+(-1.000)*r( 95)
     &                      +(-1.000)*r(107)
          jac(lRC2H,lRO2R)= +(-1.000)*r( 85)+(-1.000)*r( 96)
     &                      +(-1.000)*r(108)
          jac(lRC2H,lRO2N)= +(-1.000)*r( 87)+(-1.000)*r( 98)
     &                      +(-2.000)*r(110)
          jac(lRC2H,lRCO3)= +(-0.250)*r( 82)+(-1.000)*r( 84)
     &                      +(-1.000)*r( 85)+(-1.000)*r( 87)
          jac(lRC2H,lBZCO)= +(-0.250)*r( 93)+(-1.000)*r( 95)
     &                      +(-1.000)*r( 96)+(-1.000)*r( 98)
          jac(lRC2H,lMCO3)= +(-0.250)*r(105)+(-1.000)*r(107)
     &                      +(-1.000)*r(108)+(-2.000)*r(110)
          jac(lRC2H,lISPD)= +(-0.372)*r(171)
          jac(lRC2H,lISOP)= +(-0.150)*r(190)
          jac(lRC2H,lTERP)= +(-0.189)*r(194)
          jac(lRC2H,lOLE1)= +(-0.119)*r(205)
          jac(lRC2H,lOLE2)= +(-0.303)*r(209)
          jac(lRC2H,lMBUT)= +(-0.285)*r(215)
          jac(lBZCO,lNO2 )= +( 1.000)*r( 90)
          jac(lBZCO,lNO  )= +( 1.000)*r( 92)
          jac(lBZCO,lNO3 )= +( 1.000)*r( 94)+(-1.000)*r(160)
          jac(lBZCO,lOH  )= +(-1.000)*r(158)
          jac(lBZCO,lHO2 )= +( 1.000)*r( 93)
          jac(lBZCO,lCXO2)= +( 1.000)*r( 95)
          jac(lBZCO,lRO2R)= +( 1.000)*r( 96)
          jac(lBZCO,lR2O2)= +( 1.000)*r( 97)+(-1.000)*r( 97)
          jac(lBZCO,lRO2N)= +( 1.000)*r( 98)
          jac(lBZCO,lCCO3)= +( 1.000)*r( 99)
          jac(lBZCO,lRCO3)= +( 1.000)*r(100)
          jac(lBZCO,lBZCO)= +( 1.000)*r( 90)+( 1.000)*r( 92)
     &                      +( 1.000)*r( 93)+( 1.000)*r( 94)
     &                      +( 1.000)*r( 95)+( 1.000)*r( 96)
     &                      +( 1.000)*r( 97)+(-1.000)*r( 97)
     &                      +( 1.000)*r( 98)+( 1.000)*r( 99)
     &                      +( 1.000)*r(100)+( 4.000)*r(101)
     &                      +( 1.000)*r(113)
          jac(lBZCO,lPBZN)= +(-1.000)*r( 91)
          jac(lBZCO,lMCO3)= +( 1.000)*r(113)
          jac(lBZCO,lBALD)= +(-1.000)*r(158)+(-1.000)*r(160)
          jac(lPBZN,lNO2 )= +(-1.000)*r( 90)
          jac(lPBZN,lBZCO)= +(-1.000)*r( 90)
          jac(lPBZN,lPBZN)= +( 1.000)*r( 91)
          jac(lBZO ,lNO2 )= +( 1.000)*r(117)
          jac(lBZO ,lNO  )= +(-1.000)*r( 92)
          jac(lBZO ,lNO3 )= +(-1.000)*r( 94)+(-1.000)*r(154)
     &                      +(-1.000)*r(156)
          jac(lBZO ,lOH  )= +(-0.240)*r(153)+(-0.240)*r(155)
          jac(lBZO ,lHO2 )= +( 1.000)*r(118)
          jac(lBZO ,lCCO3)= +(-1.000)*r( 99)
          jac(lBZO ,lRCO3)= +(-1.000)*r(100)
          jac(lBZO ,lBZCO)= +(-1.000)*r( 92)+(-1.000)*r( 94)
     &                      +(-1.000)*r( 99)+(-1.000)*r(100)
     &                      +(-4.000)*r(101)+(-1.000)*r(113)
          jac(lBZO ,lBZO )= +( 1.000)*r(117)+( 1.000)*r(118)
     &                      +( 1.000)*r(119)
          jac(lBZO ,lMCO3)= +(-1.000)*r(113)
          jac(lBZO ,lPHEN)= +(-0.240)*r(153)+(-1.000)*r(154)
          jac(lBZO ,lCRES)= +(-0.240)*r(155)+(-1.000)*r(156)
          jac(lMCO3,lNO2 )= +( 1.000)*r(102)
          jac(lMCO3,lNO  )= +( 1.000)*r(104)
          jac(lMCO3,lO   )= +(-0.240)*r(192)
          jac(lMCO3,lO3  )= +(-0.192)*r(190)
          jac(lMCO3,lNO3 )= +( 1.000)*r(106)+(-0.500)*r(163)
     &                      +(-0.150)*r(172)
          jac(lMCO3,lOH  )= +(-0.500)*r(161)+(-0.289)*r(170)
          jac(lMCO3,lHO2 )= +( 1.000)*r(105)
          jac(lMCO3,lCXO2)= +( 1.000)*r(107)
          jac(lMCO3,lRO2R)= +( 1.000)*r(108)
          jac(lMCO3,lR2O2)= +( 1.000)*r(109)+(-1.000)*r(109)
          jac(lMCO3,lRO2N)= +( 1.000)*r(110)
          jac(lMCO3,lCCO3)= +( 1.000)*r(111)
          jac(lMCO3,lRCO3)= +( 1.000)*r(112)
          jac(lMCO3,lBZCO)= +( 1.000)*r(113)
          jac(lMCO3,lMCO3)= +( 1.000)*r(102)+( 1.000)*r(104)
     &                      +( 1.000)*r(105)+( 1.000)*r(106)
     &                      +( 1.000)*r(107)+( 1.000)*r(108)
     &                      +( 1.000)*r(109)+(-1.000)*r(109)
     &                      +( 1.000)*r(110)+( 1.000)*r(111)
     &                      +( 1.000)*r(112)+( 1.000)*r(113)
     &                      +( 4.000)*r(114)
          jac(lMCO3,lMPAN)= +(-1.000)*r(103)
          jac(lMCO3,lMETH)= +(-0.500)*r(161)+(-0.500)*r(163)
     &                      +(-0.330)*r(165)
          jac(lMCO3,lMVK )= +(-0.300)*r(169)
          jac(lMCO3,lISPD)= +(-0.289)*r(170)+(-0.150)*r(172)
          jac(lMCO3,lISOP)= +(-0.192)*r(190)+(-0.240)*r(192)
          jac(lMPAN,lNO2 )= +(-1.000)*r(102)
          jac(lMPAN,lMCO3)= +(-1.000)*r(102)
          jac(lMPAN,lMPAN)= +( 1.000)*r(103)
          jac(lTBUO,lNO2 )= +( 1.000)*r(115)
          jac(lTBUO,lOH  )= +(-0.236)*r(199)+(-0.016)*r(213)
          jac(lTBUO,lTBUO)= +( 1.000)*r(115)+( 1.000)*r(116)
          jac(lTBUO,lALK3)= +(-0.236)*r(199)
          jac(lTBUO,lMTBE)= +(-0.016)*r(213)
          jac(lACET,lO3  )= +(-0.130)*r(194)+(-0.001)*r(205)
     &                      +(-0.045)*r(209)+(-0.015)*r(215)
          jac(lACET,lNO3 )= +(-0.024)*r(206)+(-0.102)*r(210)
     &                      +(-0.934)*r(216)
          jac(lACET,lOH  )= +( 1.000)*r(136)+(-0.006)*r(176)
     &                      +(-0.417)*r(198)+(-0.024)*r(199)
     &                      +(-0.452)*r(200)+(-0.072)*r(201)
     &                      +(-0.005)*r(204)+(-0.127)*r(208)
     &                      +(-0.024)*r(213)+(-0.624)*r(214)
          jac(lACET,lRNO3)= +(-0.006)*r(176)+(-0.020)*r(177)
          jac(lACET,lTBUO)= +(-1.000)*r(116)
          jac(lACET,lACET)= +( 1.000)*r(136)+( 1.000)*r(137)
          jac(lACET,lTERP)= +(-0.130)*r(194)
          jac(lACET,lALK2)= +(-0.417)*r(198)
          jac(lACET,lALK3)= +(-0.024)*r(199)
          jac(lACET,lALK4)= +(-0.452)*r(200)
          jac(lACET,lALK5)= +(-0.072)*r(201)
          jac(lACET,lOLE1)= +(-0.005)*r(204)+(-0.001)*r(205)
     &                      +(-0.024)*r(206)
          jac(lACET,lOLE2)= +(-0.127)*r(208)+(-0.045)*r(209)
     &                      +(-0.102)*r(210)
          jac(lACET,lMTBE)= +(-0.024)*r(213)
          jac(lACET,lMBUT)= +(-0.624)*r(214)+(-0.015)*r(215)
     &                      +(-0.934)*r(216)
          jac(lNPHE,lNO2 )= +(-1.000)*r(117)
          jac(lNPHE,lNO3 )= +( 1.000)*r(157)
          jac(lNPHE,lHO2 )= +(-1.000)*r(121)
          jac(lNPHE,lBZO )= +(-1.000)*r(117)
          jac(lNPHE,lNPHE)= +( 1.000)*r(157)
          jac(lNPHE,lBZNO)= +(-1.000)*r(121)+(-1.000)*r(122)
          jac(lPHEN,lNO3 )= +( 1.000)*r(154)
          jac(lPHEN,lOH  )= +( 1.000)*r(153)+(-0.017)*r(202)
          jac(lPHEN,lHO2 )= +(-1.000)*r(118)
          jac(lPHEN,lBZO )= +(-1.000)*r(118)+(-1.000)*r(119)
          jac(lPHEN,lPHEN)= +( 1.000)*r(153)+( 1.000)*r(154)
          jac(lPHEN,lARO1)= +(-0.017)*r(202)
          jac(lBZNO,lNO2 )= +( 1.000)*r(120)
          jac(lBZNO,lNO3 )= +(-1.000)*r(157)
          jac(lBZNO,lHO2 )= +( 1.000)*r(121)
          jac(lBZNO,lNPHE)= +(-1.000)*r(157)
          jac(lBZNO,lBZNO)= +( 1.000)*r(120)+( 1.000)*r(121)
     &                      +( 1.000)*r(122)
          jac(lXN  ,lNO2 )= +(-2.000)*r(120)
          jac(lXN  ,lNO3 )= +(-0.500)*r(163)+(-0.278)*r(172)
     &                      +(-1.000)*r(187)+(-0.250)*r(195)
     &                      +(-0.489)*r(206)+(-0.288)*r(210)
          jac(lXN  ,lOH  )= +(-0.352)*r(176)
          jac(lXN  ,lRNO3)= +(-0.352)*r(176)
          jac(lXN  ,lBZNO)= +(-2.000)*r(120)
          jac(lXN  ,lMETH)= +(-0.500)*r(163)
          jac(lXN  ,lISPD)= +(-0.278)*r(172)
          jac(lXN  ,lETHE)= +(-1.000)*r(187)
          jac(lXN  ,lTERP)= +(-0.250)*r(195)
          jac(lXN  ,lOLE1)= +(-0.489)*r(206)
          jac(lXN  ,lOLE2)= +(-0.288)*r(210)
          jac(lHCO3,lNO  )= +( 1.000)*r(128)
          jac(lHCO3,lHO2 )= +(-1.000)*r(126)
          jac(lHCO3,lHCHO)= +(-1.000)*r(126)
          jac(lHCO3,lHCO3)= +( 1.000)*r(127)+( 1.000)*r(128)
          jac(lHC2H,lNO  )= +(-1.000)*r(128)
          jac(lHC2H,lO3  )= +(-0.333)*r(162)+(-0.351)*r(167)
     &                      +(-0.100)*r(171)+(-0.370)*r(186)
     &                      +(-0.204)*r(190)+(-0.103)*r(194)
     &                      +(-0.185)*r(205)+(-0.073)*r(209)
     &                      +(-0.259)*r(215)
          jac(lHC2H,lOH  )= +(-0.121)*r(198)
          jac(lHC2H,lHCO3)= +(-1.000)*r(128)
          jac(lHC2H,lMETH)= +(-0.333)*r(162)
          jac(lHC2H,lMVK )= +(-0.351)*r(167)
          jac(lHC2H,lISPD)= +(-0.100)*r(171)
          jac(lHC2H,lETHE)= +(-0.370)*r(186)
          jac(lHC2H,lISOP)= +(-0.204)*r(190)
          jac(lHC2H,lTERP)= +(-0.103)*r(194)
          jac(lHC2H,lALK2)= +(-0.121)*r(198)
          jac(lHC2H,lOLE1)= +(-0.185)*r(205)
          jac(lHC2H,lOLE2)= +(-0.073)*r(209)
          jac(lHC2H,lMBUT)= +(-0.259)*r(215)
          jac(lRCHO,lO   )= +(-1.000)*r(164)+(-0.450)*r(168)
     &                      +(-0.147)*r(196)+(-0.450)*r(207)
     &                      +(-0.069)*r(211)+(-0.450)*r(217)
          jac(lRCHO,lO3  )= +(-0.205)*r(194)+(-0.363)*r(205)
     &                      +(-0.305)*r(209)+(-0.700)*r(215)
          jac(lRCHO,lNO3 )= +( 1.000)*r(135)+(-0.218)*r(172)
     &                      +(-1.000)*r(187)+(-0.474)*r(195)
     &                      +(-0.037)*r(206)+(-0.151)*r(210)
     &                      +(-0.935)*r(216)
          jac(lRCHO,lOH  )= +( 1.000)*r(133)+(-0.370)*r(138)
     &                      +(-1.000)*r(143)+(-0.675)*r(166)
     &                      +(-0.013)*r(170)+(-0.558)*r(174)
     &                      +(-0.213)*r(176)+(-1.000)*r(178)
     &                      +(-1.000)*r(180)+(-1.000)*r(182)
     &                      +(-0.474)*r(193)+(-0.155)*r(198)
     &                      +(-0.122)*r(199)+(-0.244)*r(200)
     &                      +(-0.204)*r(201)+(-0.497)*r(204)
     &                      +(-0.511)*r(208)+(-0.311)*r(214)
          jac(lRCHO,lROOH)= +(-1.000)*r(143)+(-1.000)*r(144)
          jac(lRCHO,lRNO3)= +(-0.213)*r(176)+(-0.147)*r(177)
          jac(lRCHO,lMEK )= +(-0.370)*r(138)
          jac(lRCHO,lPROD)= +(-0.558)*r(174)+(-0.710)*r(175)
          jac(lRCHO,lRCHO)= +( 1.000)*r(133)+( 1.000)*r(134)
     &                      +( 1.000)*r(135)
          jac(lRCHO,lMETH)= +(-1.000)*r(164)
          jac(lRCHO,lMVK )= +(-0.675)*r(166)+(-0.450)*r(168)
          jac(lRCHO,lISPD)= +(-0.013)*r(170)+(-0.218)*r(172)
          jac(lRCHO,lDCB1)= +(-1.000)*r(178)
          jac(lRCHO,lDCB2)= +(-1.000)*r(180)
          jac(lRCHO,lDCB3)= +(-1.000)*r(182)
          jac(lRCHO,lETHE)= +(-1.000)*r(187)
          jac(lRCHO,lTERP)= +(-0.474)*r(193)+(-0.205)*r(194)
     &                      +(-0.474)*r(195)+(-0.147)*r(196)
          jac(lRCHO,lALK2)= +(-0.155)*r(198)
          jac(lRCHO,lALK3)= +(-0.122)*r(199)
          jac(lRCHO,lALK4)= +(-0.244)*r(200)
          jac(lRCHO,lALK5)= +(-0.204)*r(201)
          jac(lRCHO,lOLE1)= +(-0.497)*r(204)+(-0.363)*r(205)
     &                      +(-0.037)*r(206)+(-0.450)*r(207)
          jac(lRCHO,lOLE2)= +(-0.511)*r(208)+(-0.305)*r(209)
     &                      +(-0.151)*r(210)+(-0.069)*r(211)
          jac(lRCHO,lMBUT)= +(-0.311)*r(214)+(-0.700)*r(215)
     &                      +(-0.935)*r(216)+(-0.450)*r(217)
          jac(lGLY ,lO   )= +(-0.009)*r(188)
          jac(lGLY ,lO3  )= +(-0.023)*r(171)+(-1.000)*r(179)
     &                      +(-0.001)*r(194)
          jac(lGLY ,lNO3 )= +( 1.000)*r(148)
          jac(lGLY ,lOH  )= +( 1.000)*r(147)+(-0.230)*r(153)
     &                      +(-0.150)*r(170)+(-0.248)*r(198)
     &                      +(-0.118)*r(202)+(-0.097)*r(203)
          jac(lGLY ,lPHEN)= +(-0.230)*r(153)
          jac(lGLY ,lGLY )= +( 1.000)*r(145)+( 1.000)*r(146)
     &                      +( 1.000)*r(147)+( 1.000)*r(148)
          jac(lGLY ,lISPD)= +(-0.150)*r(170)+(-0.023)*r(171)
          jac(lGLY ,lDCB1)= +(-1.000)*r(179)
          jac(lGLY ,lDCB2)= +(-0.500)*r(181)
          jac(lGLY ,lDCB3)= +(-0.500)*r(183)
          jac(lGLY ,lETHE)= +(-0.009)*r(188)
          jac(lGLY ,lTERP)= +(-0.001)*r(194)
          jac(lGLY ,lALK2)= +(-0.248)*r(198)
          jac(lGLY ,lARO1)= +(-0.118)*r(202)
          jac(lGLY ,lARO2)= +(-0.097)*r(203)
          jac(lMGLY,lO3  )= +(-0.900)*r(162)+(-0.950)*r(167)
     &                      +(-0.742)*r(171)
          jac(lMGLY,lNO3 )= +( 1.000)*r(151)+(-0.008)*r(172)
          jac(lMGLY,lOH  )= +( 1.000)*r(150)+(-0.230)*r(155)
     &                      +(-0.084)*r(161)+(-0.300)*r(166)
     &                      +(-0.174)*r(170)+(-0.119)*r(202)
     &                      +(-0.287)*r(203)
          jac(lMGLY,lMGLY)= +( 1.000)*r(149)+( 1.000)*r(150)
     &                      +( 1.000)*r(151)
          jac(lMGLY,lCRES)= +(-0.230)*r(155)
          jac(lMGLY,lMETH)= +(-0.084)*r(161)+(-0.900)*r(162)
          jac(lMGLY,lMVK )= +(-0.300)*r(166)+(-0.950)*r(167)
          jac(lMGLY,lISPD)= +(-0.174)*r(170)+(-0.742)*r(171)
     &                      +(-0.008)*r(172)
          jac(lMGLY,lDCB2)= +(-0.500)*r(181)
          jac(lMGLY,lDCB3)= +(-0.500)*r(183)
          jac(lMGLY,lARO1)= +(-0.119)*r(202)
          jac(lMGLY,lARO2)= +(-0.287)*r(203)
          jac(lBACL,lO3  )= +(-0.031)*r(194)
          jac(lBACL,lOH  )= +(-0.087)*r(203)
          jac(lBACL,lBACL)= +( 1.000)*r(152)
          jac(lBACL,lTERP)= +(-0.031)*r(194)
          jac(lBACL,lARO2)= +(-0.087)*r(203)
          jac(lCRES,lNO3 )= +( 1.000)*r(156)
          jac(lCRES,lOH  )= +( 1.000)*r(155)+(-0.207)*r(202)
     &                      +(-0.187)*r(203)
          jac(lCRES,lCRES)= +( 1.000)*r(155)+( 1.000)*r(156)
          jac(lCRES,lARO1)= +(-0.207)*r(202)
          jac(lCRES,lARO2)= +(-0.187)*r(203)
          jac(lBALD,lO3  )= +(-0.042)*r(209)
          jac(lBALD,lNO3 )= +( 1.000)*r(160)+(-0.015)*r(210)
          jac(lBALD,lOH  )= +( 1.000)*r(158)+(-0.059)*r(202)
     &                      +(-0.050)*r(203)+(-0.061)*r(208)
          jac(lBALD,lBALD)= +( 1.000)*r(158)+( 1.000)*r(159)
     &                      +( 1.000)*r(160)
          jac(lBALD,lARO1)= +(-0.059)*r(202)
          jac(lBALD,lARO2)= +(-0.050)*r(203)
          jac(lBALD,lOLE2)= +(-0.061)*r(208)+(-0.042)*r(209)
     &                      +(-0.015)*r(210)
          jac(lMETH,lO   )= +( 1.000)*r(164)+(-0.012)*r(211)
          jac(lMETH,lO3  )= +( 1.000)*r(162)+(-0.390)*r(190)
     &                      +(-0.026)*r(209)
          jac(lMETH,lNO3 )= +( 1.000)*r(163)
          jac(lMETH,lOH  )= +( 1.000)*r(161)+(-0.230)*r(189)
     &                      +(-0.025)*r(208)
          jac(lMETH,lMETH)= +( 1.000)*r(161)+( 1.000)*r(162)
     &                      +( 1.000)*r(163)+( 1.000)*r(164)
     &                      +( 1.000)*r(165)
          jac(lMETH,lISOP)= +(-0.230)*r(189)+(-0.390)*r(190)
          jac(lMETH,lOLE2)= +(-0.025)*r(208)+(-0.026)*r(209)
     &                      +(-0.012)*r(211)
          jac(lMVK ,lO   )= +( 1.000)*r(168)
          jac(lMVK ,lO3  )= +( 1.000)*r(167)+(-0.160)*r(190)
          jac(lMVK ,lNO3 )= +(-0.048)*r(210)
          jac(lMVK ,lOH  )= +( 1.000)*r(166)+(-0.320)*r(189)
          jac(lMVK ,lMVK )= +( 1.000)*r(166)+( 1.000)*r(167)
     &                      +( 1.000)*r(168)+( 1.000)*r(169)
          jac(lMVK ,lISOP)= +(-0.320)*r(189)+(-0.160)*r(190)
          jac(lMVK ,lOLE2)= +(-0.048)*r(210)
          jac(lISPD,lO3  )= +( 1.000)*r(171)
          jac(lISPD,lNO3 )= +( 1.000)*r(172)+(-0.936)*r(191)
          jac(lISPD,lOH  )= +( 1.000)*r(170)+(-0.357)*r(189)
     &                      +(-0.025)*r(208)
          jac(lISPD,lISPD)= +( 1.000)*r(170)+( 1.000)*r(171)
     &                      +( 1.000)*r(172)+( 1.000)*r(173)
          jac(lISPD,lISOP)= +(-0.357)*r(189)+(-0.936)*r(191)
          jac(lISPD,lOLE2)= +(-0.025)*r(208)
          jac(lDCB1,lO3  )= +( 1.000)*r(179)
          jac(lDCB1,lOH  )= +( 1.000)*r(178)+(-0.491)*r(202)
     &                      +(-0.561)*r(203)
          jac(lDCB1,lDCB1)= +( 1.000)*r(178)+( 1.000)*r(179)
          jac(lDCB1,lARO1)= +(-0.491)*r(202)
          jac(lDCB1,lARO2)= +(-0.561)*r(203)
          jac(lDCB2,lOH  )= +( 1.000)*r(180)+(-0.108)*r(202)
     &                      +(-0.099)*r(203)
          jac(lDCB2,lDCB2)= +( 1.000)*r(180)+( 1.000)*r(181)
          jac(lDCB2,lARO1)= +(-0.108)*r(202)
          jac(lDCB2,lARO2)= +(-0.099)*r(203)
          jac(lDCB3,lOH  )= +( 1.000)*r(182)+(-0.051)*r(202)
     &                      +(-0.093)*r(203)
          jac(lDCB3,lDCB3)= +( 1.000)*r(182)+( 1.000)*r(183)
          jac(lDCB3,lARO1)= +(-0.051)*r(202)
          jac(lDCB3,lARO2)= +(-0.093)*r(203)
          jac(lETHE,lO   )= +( 1.000)*r(188)
          jac(lETHE,lO3  )= +( 1.000)*r(186)
          jac(lETHE,lNO3 )= +( 1.000)*r(187)
          jac(lETHE,lOH  )= +( 1.000)*r(185)
          jac(lETHE,lETHE)= +( 1.000)*r(185)+( 1.000)*r(186)
     &                      +( 1.000)*r(187)+( 1.000)*r(188)
          jac(lISOP,lO   )= +( 1.000)*r(192)
          jac(lISOP,lO3  )= +( 1.000)*r(190)
          jac(lISOP,lNO3 )= +( 1.000)*r(191)
          jac(lISOP,lOH  )= +( 1.000)*r(189)
          jac(lISOP,lISOP)= +( 1.000)*r(189)+( 1.000)*r(190)
     &                      +( 1.000)*r(191)+( 1.000)*r(192)
          jac(lTERP,lO   )= +( 1.000)*r(196)
          jac(lTERP,lO3  )= +( 1.000)*r(194)
          jac(lTERP,lNO3 )= +( 1.000)*r(195)
          jac(lTERP,lOH  )= +( 1.000)*r(193)
          jac(lTERP,lTERP)= +( 1.000)*r(193)+( 1.000)*r(194)
     &                      +( 1.000)*r(195)+( 1.000)*r(196)
          jac(lALK1,lOH  )= +( 1.000)*r(197)
          jac(lALK1,lALK1)= +( 1.000)*r(197)
          jac(lALK2,lOH  )= +( 1.000)*r(198)
          jac(lALK2,lALK2)= +( 1.000)*r(198)
          jac(lALK3,lOH  )= +( 1.000)*r(199)
          jac(lALK3,lALK3)= +( 1.000)*r(199)
          jac(lALK4,lOH  )= +( 1.000)*r(200)
          jac(lALK4,lALK4)= +( 1.000)*r(200)
          jac(lALK5,lOH  )= +( 1.000)*r(201)
          jac(lALK5,lALK5)= +( 1.000)*r(201)
          jac(lARO1,lOH  )= +( 1.000)*r(202)
          jac(lARO1,lARO1)= +( 1.000)*r(202)
          jac(lARO2,lOH  )= +( 1.000)*r(203)
          jac(lARO2,lARO2)= +( 1.000)*r(203)
          jac(lOLE1,lO   )= +( 1.000)*r(207)
          jac(lOLE1,lO3  )= +( 1.000)*r(205)
          jac(lOLE1,lNO3 )= +( 1.000)*r(206)
          jac(lOLE1,lOH  )= +( 1.000)*r(204)
          jac(lOLE1,lOLE1)= +( 1.000)*r(204)+( 1.000)*r(205)
     &                      +( 1.000)*r(206)+( 1.000)*r(207)
          jac(lOLE2,lO   )= +( 1.000)*r(211)
          jac(lOLE2,lO3  )= +( 1.000)*r(209)
          jac(lOLE2,lNO3 )= +( 1.000)*r(210)
          jac(lOLE2,lOH  )= +( 1.000)*r(208)
          jac(lOLE2,lOLE2)= +( 1.000)*r(208)+( 1.000)*r(209)
     &                      +( 1.000)*r(210)+( 1.000)*r(211)
          jac(lETOH,lOH  )= +( 1.000)*r(212)
          jac(lETOH,lETOH)= +( 1.000)*r(212)
          jac(lMTBE,lOH  )= +( 1.000)*r(213)
          jac(lMTBE,lMTBE)= +( 1.000)*r(213)
          jac(lMBUT,lO   )= +( 1.000)*r(217)
          jac(lMBUT,lO3  )= +( 1.000)*r(215)
          jac(lMBUT,lNO3 )= +( 1.000)*r(216)
          jac(lMBUT,lOH  )= +( 1.000)*r(214)
          jac(lMBUT,lMBUT)= +( 1.000)*r(214)+( 1.000)*r(215)
     &                      +( 1.000)*r(216)+( 1.000)*r(217)
c
      do j=1,njac
        if(y(j).le.0.0) then
          write(iout,'(//,A,//)') 'ERROR in DDMJAC5:'
          write(iout,*) ' Zero concentration in DDMJAC5 for spec', j
          do i=1,njac
            write(iout,'(i3,1pe10.3)') i,y(i)
          enddo
          call camxerr()
        endif
        do i=1,njac
          jac(i,j)=jac(i,j)/y(j)
        enddo
      enddo
c
      return
c
      end
