      subroutine ddmjac6(njac,nrxn,y,jac,r)
      use filunit
      implicit none
c
c----CAMx v5.20.1 1007014
c
c     DDMJAC6 computes a full Jacobian
c
c     Copyright 1996 - 2010
c     ENVIRON International Corporation
c     Created by the CMC version 5.2
c
c     Routines Called:
c        none
c
c     Called by:
c        DDMCHEM
c
      include "camx.prm"
      include "chmdat.com"
      include "ddmchm.com"
c
      integer njac, nrxn
      real jac(njac+1,njac+1), y(njac+1), r(nrxn)
c
      integer i, j
c

          jac(lNO2 ,lNO2 )= +( 1.000)*r(  1)+( 1.000)*r(  4)
     &                      +( 1.000)*r(  5)+( 1.000)*r(  7)
     &                      +( 1.000)*r( 17)+(-1.000)*r( 17)
     &                      +( 1.000)*r( 18)+( 1.000)*r( 23)
     &                      +( 1.000)*r( 28)+( 1.000)*r( 31)
     &                      +( 1.000)*r( 89)+( 1.000)*r(104)
     &                      +( 1.000)*r(118)+( 1.000)*r(136)
     &                      +( 1.000)*r(148)
          jac(lNO2 ,lNO  )= +(-1.000)*r(  3)+(-1.000)*r(  6)
     &                      +(-2.000)*r( 16)+(-4.000)*r( 22)
     &                      +( 1.000)*r( 23)+(-1.000)*r( 30)
     &                      +(-1.000)*r( 54)+(-1.000)*r( 68)
     &                      +(-1.000)*r( 81)+(-1.000)*r( 88)
     &                      +(-1.000)*r(103)+(-0.900)*r(132)
          jac(lNO2 ,lO   )= +( 1.000)*r(  4)+( 1.000)*r(  5)
     &                      +(-1.000)*r(  6)+(-1.000)*r( 46)
          jac(lNO2 ,lO3  )= +(-1.000)*r(  3)+( 1.000)*r(  7)
     &                      +(-1.000)*r( 49)
          jac(lNO2 ,lNO3 )= +(-1.000)*r( 14)+(-2.000)*r( 16)
     &                      +( 1.000)*r( 17)+(-1.000)*r( 17)
     &                      +( 1.000)*r( 18)+(-1.000)*r( 46)
     &                      +(-1.000)*r( 47)+(-1.000)*r( 49)
     &                      +(-4.000)*r( 50)+(-1.000)*r(122)
     &                      +(-1.000)*r(126)+(-1.000)*r(130)
     &                      +(-0.200)*r(147)+(-0.470)*r(156)
          jac(lNO2 ,lOH  )= +(-1.000)*r( 26)+( 1.000)*r( 28)
     &                      +(-1.000)*r( 33)+(-1.000)*r( 47)
     &                      +(-1.000)*r(107)
          jac(lNO2 ,lHO2 )= +(-1.000)*r( 30)+( 1.000)*r( 31)
          jac(lNO2 ,lN2O5)= +(-1.000)*r( 21)+(-1.000)*r( 53)
          jac(lNO2 ,lHNO3)= +(-1.000)*r( 52)
          jac(lNO2 ,lHONO)= +(-1.000)*r( 26)+(-2.000)*r( 27)
          jac(lNO2 ,lPNA )= +(-1.000)*r( 32)+(-1.000)*r( 33)
     &                      +(-0.610)*r( 51)
          jac(lNO2 ,lXO2 )= +(-1.000)*r( 54)
          jac(lNO2 ,lNTR )= +(-1.000)*r( 62)
          jac(lNO2 ,lMEO2)= +(-1.000)*r( 68)
          jac(lNO2 ,lHCO3)= +(-1.000)*r( 81)
          jac(lNO2 ,lC2O3)= +(-1.000)*r( 88)+( 1.000)*r( 89)
          jac(lNO2 ,lPAN )= +(-1.000)*r( 90)+(-1.000)*r( 91)
          jac(lNO2 ,lCXO3)= +(-1.000)*r(103)+( 1.000)*r(104)
          jac(lNO2 ,lPANX)= +(-1.000)*r(105)+(-1.000)*r(106)
     &                      +(-1.000)*r(107)
          jac(lNO2 ,lROR )= +( 1.000)*r(118)
          jac(lNO2 ,lOLE )= +(-1.000)*r(122)
          jac(lNO2 ,lETH )= +(-1.000)*r(126)
          jac(lNO2 ,lIOLE)= +(-1.000)*r(130)
          jac(lNO2 ,lTO2 )= +(-0.900)*r(132)
          jac(lNO2 ,lCRO )= +( 1.000)*r(136)
          jac(lNO2 ,lISOP)= +(-0.200)*r(147)+( 1.000)*r(148)
          jac(lNO2 ,lTERP)= +(-0.470)*r(156)
          jac(lNO  ,lNO2 )= +(-1.000)*r(  1)+(-1.000)*r(  4)
     &                      +(-1.000)*r( 17)+( 1.000)*r( 23)
     &                      +(-0.200)*r(148)
          jac(lNO  ,lNO  )= +( 1.000)*r(  3)+( 1.000)*r(  6)
     &                      +( 1.000)*r( 16)+( 4.000)*r( 22)
     &                      +( 1.000)*r( 23)+( 1.000)*r( 24)
     &                      +( 1.000)*r( 30)+( 1.000)*r( 54)
     &                      +( 1.000)*r( 55)+( 1.000)*r( 68)
     &                      +( 1.000)*r( 81)+( 1.000)*r( 88)
     &                      +( 1.000)*r(103)+( 1.000)*r(132)
          jac(lNO  ,lO   )= +(-1.000)*r(  4)+( 1.000)*r(  6)
          jac(lNO  ,lO3  )= +( 1.000)*r(  3)
          jac(lNO  ,lNO3 )= +(-1.000)*r( 15)+( 1.000)*r( 16)
     &                      +(-1.000)*r( 17)
          jac(lNO  ,lOH  )= +( 1.000)*r( 24)
          jac(lNO  ,lHO2 )= +( 1.000)*r( 30)
          jac(lNO  ,lHONO)= +(-1.000)*r( 25)+(-2.000)*r( 27)
          jac(lNO  ,lXO2 )= +( 1.000)*r( 54)
          jac(lNO  ,lXO2N)= +( 1.000)*r( 55)
          jac(lNO  ,lMEO2)= +( 1.000)*r( 68)
          jac(lNO  ,lHCO3)= +( 1.000)*r( 81)
          jac(lNO  ,lC2O3)= +( 1.000)*r( 88)
          jac(lNO  ,lCXO3)= +( 1.000)*r(103)
          jac(lNO  ,lTO2 )= +( 1.000)*r(132)
          jac(lNO  ,lISOP)= +(-0.200)*r(148)
          jac(lO   ,lNO2 )= +(-1.000)*r(  1)+( 1.000)*r(  4)
     &                      +( 1.000)*r(  5)
          jac(lO   ,lNO  )= +( 1.000)*r(  6)
          jac(lO   ,lO   )= +( 1.000)*r(  2)+( 1.000)*r(  4)
     &                      +( 1.000)*r(  5)+( 1.000)*r(  6)
     &                      +( 1.000)*r( 40)+( 1.000)*r( 44)
     &                      +( 1.000)*r( 45)+( 1.000)*r( 46)
     &                      +( 1.000)*r( 77)+( 1.000)*r( 84)
     &                      +( 1.000)*r( 99)+( 1.000)*r(119)
     &                      +( 1.000)*r(123)+( 1.000)*r(127)
     &                      +( 1.000)*r(144)+( 1.000)*r(153)
          jac(lO   ,lO3  )= +(-1.000)*r(  8)+(-0.500)*r(129)
          jac(lO   ,lNO3 )= +(-1.000)*r( 14)+( 1.000)*r( 46)
          jac(lO   ,lO1D )= +(-1.000)*r( 10)
          jac(lO   ,lOH  )= +( 1.000)*r( 40)+(-2.000)*r( 41)
          jac(lO   ,lHO2 )= +( 1.000)*r( 44)
          jac(lO   ,lH2O2)= +( 1.000)*r( 45)
          jac(lO   ,lFORM)= +( 1.000)*r( 77)
          jac(lO   ,lALD2)= +( 1.000)*r( 84)
          jac(lO   ,lALDX)= +( 1.000)*r( 99)
          jac(lO   ,lOLE )= +( 1.000)*r(119)
          jac(lO   ,lETH )= +( 1.000)*r(123)
          jac(lO   ,lIOLE)= +( 1.000)*r(127)+(-0.500)*r(129)
          jac(lO   ,lISOP)= +( 1.000)*r(144)
          jac(lO   ,lTERP)= +( 1.000)*r(153)
          jac(lO3  ,lNO2 )= +( 1.000)*r(  7)
          jac(lO3  ,lNO  )= +( 1.000)*r(  3)
          jac(lO3  ,lO   )= +(-1.000)*r(  2)
          jac(lO3  ,lO3  )= +( 1.000)*r(  3)+( 1.000)*r(  7)
     &                      +( 1.000)*r(  8)+( 1.000)*r(  9)
     &                      +( 1.000)*r( 12)+( 1.000)*r( 13)
     &                      +( 1.000)*r( 49)+( 1.000)*r(121)
     &                      +( 1.000)*r(125)+( 1.000)*r(129)
     &                      +( 1.000)*r(140)+( 1.000)*r(146)
     &                      +( 1.000)*r(150)+( 1.000)*r(155)
          jac(lO3  ,lNO3 )= +( 1.000)*r( 49)
          jac(lO3  ,lOH  )= +( 1.000)*r( 12)
          jac(lO3  ,lHO2 )= +( 1.000)*r( 13)+(-0.200)*r( 92)
     &                      +(-0.200)*r(108)
          jac(lO3  ,lC2O3)= +(-0.200)*r( 92)
          jac(lO3  ,lCXO3)= +(-0.200)*r(108)
          jac(lO3  ,lOLE )= +( 1.000)*r(121)
          jac(lO3  ,lETH )= +( 1.000)*r(125)
          jac(lO3  ,lIOLE)= +( 1.000)*r(129)
          jac(lO3  ,lOPEN)= +( 1.000)*r(140)
          jac(lO3  ,lISOP)= +( 1.000)*r(146)
          jac(lO3  ,lISPD)= +( 1.000)*r(150)
          jac(lO3  ,lTERP)= +( 1.000)*r(155)
          jac(lNO3 ,lNO2 )= +(-1.000)*r(  5)+(-1.000)*r(  7)
     &                      +( 1.000)*r( 17)+( 1.000)*r( 18)
          jac(lNO3 ,lNO  )= +( 1.000)*r( 16)
          jac(lNO3 ,lO   )= +(-1.000)*r(  5)+( 1.000)*r( 46)
          jac(lNO3 ,lO3  )= +(-1.000)*r(  7)+( 1.000)*r( 49)
          jac(lNO3 ,lNO3 )= +( 1.000)*r( 14)+( 1.000)*r( 15)
     &                      +( 1.000)*r( 16)+( 1.000)*r( 17)
     &                      +( 1.000)*r( 18)+( 1.000)*r( 46)
     &                      +( 1.000)*r( 47)+( 1.000)*r( 48)
     &                      +( 1.000)*r( 49)+( 4.000)*r( 50)
     &                      +( 1.000)*r( 78)+( 1.000)*r( 86)
     &                      +( 1.000)*r(101)+( 1.000)*r(122)
     &                      +( 1.000)*r(126)+( 1.000)*r(130)
     &                      +( 1.000)*r(135)+( 1.000)*r(147)
          jac(lNO3 ,lNO3 )=jac(lNO3 ,lNO3 )
     &                      +( 1.000)*r(151)+( 1.000)*r(156)
          jac(lNO3 ,lOH  )= +(-1.000)*r( 29)+( 1.000)*r( 47)
          jac(lNO3 ,lHO2 )= +( 1.000)*r( 48)
          jac(lNO3 ,lN2O5)= +(-1.000)*r( 21)+(-1.000)*r( 53)
          jac(lNO3 ,lHNO3)= +(-1.000)*r( 29)
          jac(lNO3 ,lPNA )= +(-0.390)*r( 51)
          jac(lNO3 ,lFORM)= +( 1.000)*r( 78)
          jac(lNO3 ,lALD2)= +( 1.000)*r( 86)
          jac(lNO3 ,lALDX)= +( 1.000)*r(101)
          jac(lNO3 ,lOLE )= +( 1.000)*r(122)
          jac(lNO3 ,lETH )= +( 1.000)*r(126)
          jac(lNO3 ,lIOLE)= +( 1.000)*r(130)
          jac(lNO3 ,lCRES)= +( 1.000)*r(135)
          jac(lNO3 ,lISOP)= +( 1.000)*r(147)
          jac(lNO3 ,lISPD)= +( 1.000)*r(151)
          jac(lNO3 ,lTERP)= +( 1.000)*r(156)
          jac(lO1D ,lO3  )= +(-1.000)*r(  9)
          jac(lO1D ,lO1D )= +( 1.000)*r( 10)+( 1.000)*r( 11)
     &                      +( 1.000)*r( 38)
          jac(lOH  ,lNO2 )= +( 1.000)*r( 28)
          jac(lOH  ,lNO  )= +( 1.000)*r( 24)+(-1.000)*r( 30)
          jac(lOH  ,lO   )= +( 1.000)*r( 40)+(-1.000)*r( 44)
     &                      +(-1.000)*r( 45)+(-1.000)*r( 77)
     &                      +(-1.000)*r( 84)+(-1.000)*r( 99)
     &                      +(-0.100)*r(119)+(-0.300)*r(123)
          jac(lOH  ,lO3  )= +( 1.000)*r( 12)+(-1.000)*r( 13)
     &                      +(-0.100)*r(121)+(-0.130)*r(125)
     &                      +(-0.500)*r(129)+(-0.080)*r(140)
     &                      +(-0.266)*r(146)+(-0.268)*r(150)
     &                      +(-0.570)*r(155)
          jac(lOH  ,lNO3 )= +( 1.000)*r( 47)
          jac(lOH  ,lO1D )= +(-2.000)*r( 11)+(-1.000)*r( 38)
          jac(lOH  ,lOH  )= +( 1.000)*r( 12)+( 1.000)*r( 24)
     &                      +( 1.000)*r( 26)+( 1.000)*r( 28)
     &                      +( 1.000)*r( 29)+( 1.000)*r( 33)
     &                      +( 1.000)*r( 37)+( 1.000)*r( 39)
     &                      +( 1.000)*r( 40)+( 4.000)*r( 41)
     &                      +( 4.000)*r( 42)+( 1.000)*r( 43)
     &                      +( 1.000)*r( 47)+( 1.000)*r( 61)
     &                      +( 1.000)*r( 63)+( 1.000)*r( 64)
     &                      +( 1.000)*r( 66)+( 1.000)*r( 67)
          jac(lOH  ,lOH  )=jac(lOH  ,lOH  )
     &                      +( 1.000)*r( 71)+( 1.000)*r( 73)
     &                      +( 1.000)*r( 74)+( 1.000)*r( 83)
     &                      +( 1.000)*r( 85)+( 1.000)*r( 96)
     &                      +( 1.000)*r( 98)+( 1.000)*r(100)
     &                      +( 1.000)*r(107)+( 1.000)*r(113)
     &                      +( 1.000)*r(114)+( 1.000)*r(115)
     &                      +( 1.000)*r(120)+( 1.000)*r(124)
     &                      +( 1.000)*r(128)+( 1.000)*r(131)
          jac(lOH  ,lOH  )=jac(lOH  ,lOH  )
     &                      +( 1.000)*r(134)+( 1.000)*r(139)
     &                      +( 1.000)*r(141)+( 1.000)*r(142)
     &                      +( 1.000)*r(145)+( 1.000)*r(149)
     &                      +( 1.000)*r(154)
          jac(lOH  ,lHO2 )= +(-1.000)*r( 13)+(-1.000)*r( 30)
     &                      +( 1.000)*r( 43)+(-1.000)*r( 44)
          jac(lOH  ,lHNO3)= +( 1.000)*r( 29)+(-1.000)*r( 52)
          jac(lOH  ,lHONO)= +(-1.000)*r( 25)+( 1.000)*r( 26)
          jac(lOH  ,lPNA )= +( 1.000)*r( 33)+(-0.390)*r( 51)
          jac(lOH  ,lH2O2)= +(-2.000)*r( 36)+( 1.000)*r( 37)
     &                      +(-1.000)*r( 45)
          jac(lOH  ,lNTR )= +( 1.000)*r( 61)
          jac(lOH  ,lROOH)= +( 1.000)*r( 64)+(-1.000)*r( 65)
          jac(lOH  ,lFORM)= +( 1.000)*r( 74)+(-1.000)*r( 77)
          jac(lOH  ,lALD2)= +(-1.000)*r( 84)+( 1.000)*r( 85)
          jac(lOH  ,lALDX)= +(-1.000)*r( 99)+( 1.000)*r(100)
          jac(lOH  ,lPAR )= +( 1.000)*r(115)
          jac(lOH  ,lSO2 )= +( 1.000)*r( 63)
          jac(lOH  ,lCO  )= +( 1.000)*r( 66)
          jac(lOH  ,lMEPX)= +( 1.000)*r( 71)+(-1.000)*r( 72)
          jac(lOH  ,lMEOH)= +( 1.000)*r( 73)
          jac(lOH  ,lFACD)= +( 1.000)*r( 83)
          jac(lOH  ,lPACD)= +( 1.000)*r( 96)+(-1.000)*r( 97)
          jac(lOH  ,lAACD)= +( 1.000)*r( 98)
          jac(lOH  ,lPANX)= +( 1.000)*r(107)
          jac(lOH  ,lETHA)= +( 1.000)*r(113)
          jac(lOH  ,lETOH)= +( 1.000)*r(114)
          jac(lOH  ,lOLE )= +(-0.100)*r(119)+( 1.000)*r(120)
     &                      +(-0.100)*r(121)
          jac(lOH  ,lETH )= +(-0.300)*r(123)+( 1.000)*r(124)
     &                      +(-0.130)*r(125)
          jac(lOH  ,lIOLE)= +( 1.000)*r(128)+(-0.500)*r(129)
          jac(lOH  ,lTOL )= +( 1.000)*r(131)
          jac(lOH  ,lCRES)= +( 1.000)*r(134)
          jac(lOH  ,lOPEN)= +( 1.000)*r(139)+(-0.080)*r(140)
          jac(lOH  ,lMGLY)= +( 1.000)*r(142)
          jac(lOH  ,lXYL )= +( 1.000)*r(141)
          jac(lOH  ,lISOP)= +( 1.000)*r(145)+(-0.266)*r(146)
          jac(lOH  ,lISPD)= +( 1.000)*r(149)+(-0.268)*r(150)
          jac(lOH  ,lTERP)= +( 1.000)*r(154)+(-0.570)*r(155)
          jac(lHO2 ,lNO2 )= +( 1.000)*r( 31)+(-0.800)*r(148)
          jac(lHO2 ,lNO  )= +( 1.000)*r( 30)+(-1.000)*r( 68)
     &                      +(-1.000)*r( 81)+(-1.000)*r(103)
     &                      +(-0.900)*r(132)
          jac(lHO2 ,lO   )= +(-1.000)*r( 40)+( 1.000)*r( 44)
     &                      +(-1.000)*r( 45)+(-1.000)*r( 77)
     &                      +(-0.300)*r(119)+(-1.700)*r(123)
     &                      +(-0.100)*r(127)+(-0.250)*r(144)
          jac(lHO2 ,lO3  )= +(-1.000)*r( 12)+( 1.000)*r( 13)
     &                      +(-0.440)*r(121)+(-0.130)*r(125)
     &                      +(-0.500)*r(129)+(-0.760)*r(140)
     &                      +(-0.066)*r(146)+(-0.154)*r(150)
     &                      +(-0.070)*r(155)
          jac(lHO2 ,lNO3 )= +(-1.000)*r( 47)+( 1.000)*r( 48)
     &                      +(-1.000)*r( 78)+(-1.000)*r(130)
     &                      +(-0.800)*r(147)+(-0.925)*r(151)
     &                      +(-0.280)*r(156)
          jac(lHO2 ,lO1D )= +(-1.000)*r( 38)
          jac(lHO2 ,lOH  )= +(-1.000)*r( 12)+(-1.000)*r( 37)
     &                      +(-1.000)*r( 39)+(-1.000)*r( 40)
     &                      +( 1.000)*r( 43)+(-1.000)*r( 47)
     &                      +(-1.000)*r( 61)+(-1.000)*r( 63)
     &                      +(-1.000)*r( 66)+(-0.300)*r( 71)
     &                      +(-1.000)*r( 73)+(-1.000)*r( 74)
     &                      +(-1.000)*r( 83)+(-1.000)*r(113)
     &                      +(-1.000)*r(114)+(-0.110)*r(115)
     &                      +(-0.950)*r(120)+(-1.000)*r(124)
          jac(lHO2 ,lOH  )=jac(lHO2 ,lOH  )
     &                      +(-1.000)*r(128)+(-0.440)*r(131)
     &                      +(-0.600)*r(134)+(-2.000)*r(139)
     &                      +(-0.700)*r(141)+(-0.912)*r(145)
     &                      +(-0.503)*r(149)+(-0.750)*r(154)
          jac(lHO2 ,lHO2 )= +( 1.000)*r( 13)+( 1.000)*r( 30)
     &                      +( 1.000)*r( 31)+( 4.000)*r( 34)
     &                      +( 4.000)*r( 35)+( 1.000)*r( 43)
     &                      +( 1.000)*r( 44)+( 1.000)*r( 48)
     &                      +( 1.000)*r( 56)+( 1.000)*r( 57)
     &                      +( 1.000)*r( 69)+( 1.000)*r( 79)
     &                      +( 1.000)*r( 82)+( 1.000)*r( 92)
     &                      +( 1.000)*r(108)+( 1.000)*r(137)
          jac(lHO2 ,lPNA )= +(-1.000)*r( 32)+(-0.610)*r( 51)
          jac(lHO2 ,lH2O2)= +(-1.000)*r( 37)+(-1.000)*r( 45)
          jac(lHO2 ,lXO2 )= +( 1.000)*r( 56)
          jac(lHO2 ,lXO2N)= +( 1.000)*r( 57)
          jac(lHO2 ,lNTR )= +(-1.000)*r( 61)+(-1.000)*r( 62)
          jac(lHO2 ,lROOH)= +(-1.000)*r( 65)
          jac(lHO2 ,lFORM)= +(-1.000)*r( 74)+(-2.000)*r( 75)
     &                      +(-1.000)*r( 77)+(-1.000)*r( 78)
     &                      +( 1.000)*r( 79)
          jac(lHO2 ,lALD2)= +(-1.000)*r( 87)
          jac(lHO2 ,lALDX)= +(-1.000)*r(102)
          jac(lHO2 ,lPAR )= +(-0.110)*r(115)
          jac(lHO2 ,lSO2 )= +(-1.000)*r( 63)
          jac(lHO2 ,lCO  )= +(-1.000)*r( 66)
          jac(lHO2 ,lMEO2)= +(-1.000)*r( 68)+( 1.000)*r( 69)
     &                      +(-1.480)*r( 70)+(-0.900)*r( 93)
     &                      +(-1.000)*r(109)
          jac(lHO2 ,lMEPX)= +(-0.300)*r( 71)+(-1.000)*r( 72)
          jac(lHO2 ,lMEOH)= +(-1.000)*r( 73)
          jac(lHO2 ,lHCO3)= +(-1.000)*r( 80)+(-1.000)*r( 81)
     &                      +( 1.000)*r( 82)
          jac(lHO2 ,lFACD)= +(-1.000)*r( 83)
          jac(lHO2 ,lC2O3)= +( 1.000)*r( 92)+(-0.900)*r( 93)
     &                      +(-1.000)*r(112)
          jac(lHO2 ,lCXO3)= +(-1.000)*r(103)+( 1.000)*r(108)
     &                      +(-1.000)*r(109)+(-4.000)*r(111)
     &                      +(-1.000)*r(112)
          jac(lHO2 ,lETHA)= +(-1.000)*r(113)
          jac(lHO2 ,lETOH)= +(-1.000)*r(114)
          jac(lHO2 ,lROR )= +(-0.940)*r(116)+(-1.000)*r(117)
          jac(lHO2 ,lOLE )= +(-0.300)*r(119)+(-0.950)*r(120)
     &                      +(-0.440)*r(121)
          jac(lHO2 ,lETH )= +(-1.700)*r(123)+(-1.000)*r(124)
     &                      +(-0.130)*r(125)
          jac(lHO2 ,lIOLE)= +(-0.100)*r(127)+(-1.000)*r(128)
     &                      +(-0.500)*r(129)+(-1.000)*r(130)
          jac(lHO2 ,lTOL )= +(-0.440)*r(131)
          jac(lHO2 ,lCRES)= +(-0.600)*r(134)
          jac(lHO2 ,lTO2 )= +(-0.900)*r(132)+(-1.000)*r(133)
          jac(lHO2 ,lOPEN)= +(-1.000)*r(138)+(-2.000)*r(139)
     &                      +(-0.760)*r(140)
          jac(lHO2 ,lCRO )= +( 1.000)*r(137)
          jac(lHO2 ,lMGLY)= +(-1.000)*r(143)
          jac(lHO2 ,lXYL )= +(-0.700)*r(141)
          jac(lHO2 ,lISOP)= +(-0.250)*r(144)+(-0.912)*r(145)
     &                      +(-0.066)*r(146)+(-0.800)*r(147)
     &                      +(-0.800)*r(148)
          jac(lHO2 ,lISPD)= +(-0.503)*r(149)+(-0.154)*r(150)
     &                      +(-0.925)*r(151)+(-1.033)*r(152)
          jac(lHO2 ,lTERP)= +(-0.750)*r(154)+(-0.070)*r(155)
     &                      +(-0.280)*r(156)
          jac(lN2O5,lNO2 )= +(-1.000)*r( 18)
          jac(lN2O5,lNO3 )= +(-1.000)*r( 18)
          jac(lN2O5,lN2O5)= +( 1.000)*r( 19)+( 1.000)*r( 20)
     &                      +( 1.000)*r( 21)+( 1.000)*r( 53)
          jac(lHNO3,lNO2 )= +(-1.000)*r( 28)
          jac(lHNO3,lNO3 )= +(-1.000)*r( 48)+(-1.000)*r( 78)
     &                      +(-1.000)*r( 86)+(-1.000)*r(101)
     &                      +(-1.000)*r(135)+(-0.150)*r(151)
          jac(lHNO3,lOH  )= +(-1.000)*r( 28)+( 1.000)*r( 29)
     &                      +(-1.000)*r( 61)
          jac(lHNO3,lHO2 )= +(-1.000)*r( 48)
          jac(lHNO3,lN2O5)= +(-2.000)*r( 19)+(-2.000)*r( 20)
          jac(lHNO3,lHNO3)= +( 1.000)*r( 29)+( 1.000)*r( 52)
          jac(lHNO3,lNTR )= +(-1.000)*r( 61)
          jac(lHNO3,lFORM)= +(-1.000)*r( 78)
          jac(lHNO3,lALD2)= +(-1.000)*r( 86)
          jac(lHNO3,lALDX)= +(-1.000)*r(101)
          jac(lHNO3,lCRES)= +(-1.000)*r(135)
          jac(lHNO3,lISPD)= +(-0.150)*r(151)
          jac(lHONO,lNO2 )= +(-2.000)*r( 23)
          jac(lHONO,lNO  )= +(-2.000)*r( 23)+(-1.000)*r( 24)
          jac(lHONO,lOH  )= +(-1.000)*r( 24)+( 1.000)*r( 26)
          jac(lHONO,lHONO)= +( 1.000)*r( 25)+( 1.000)*r( 26)
     &                      +( 4.000)*r( 27)
          jac(lPNA ,lNO2 )= +(-1.000)*r( 31)
          jac(lPNA ,lOH  )= +( 1.000)*r( 33)
          jac(lPNA ,lHO2 )= +(-1.000)*r( 31)
          jac(lPNA ,lPNA )= +( 1.000)*r( 32)+( 1.000)*r( 33)
     &                      +( 1.000)*r( 51)
          jac(lH2O2,lO   )= +( 1.000)*r( 45)
          jac(lH2O2,lOH  )= +( 1.000)*r( 37)+(-2.000)*r( 42)
          jac(lH2O2,lHO2 )= +(-2.000)*r( 34)+(-2.000)*r( 35)
          jac(lH2O2,lH2O2)= +( 1.000)*r( 36)+( 1.000)*r( 37)
     &                      +( 1.000)*r( 45)
          jac(lXO2 ,lNO2 )= +(-1.000)*r(148)
          jac(lXO2 ,lNO  )= +( 1.000)*r( 54)+(-1.000)*r(103)
          jac(lXO2 ,lO   )= +(-0.200)*r(119)+(-0.700)*r(123)
     &                      +(-0.100)*r(127)+(-0.250)*r(144)
          jac(lXO2 ,lO3  )= +(-0.220)*r(121)+(-0.030)*r(140)
     &                      +(-0.200)*r(146)+(-0.064)*r(150)
     &                      +(-0.760)*r(155)
          jac(lXO2 ,lNO3 )= +(-0.910)*r(122)+(-1.000)*r(126)
     &                      +(-1.000)*r(147)+(-0.075)*r(151)
     &                      +(-1.030)*r(156)
          jac(lXO2 ,lOH  )= +(-1.000)*r( 64)+(-0.300)*r( 71)
     &                      +(-0.991)*r(113)+(-0.100)*r(114)
     &                      +(-0.870)*r(115)+(-0.800)*r(120)
     &                      +(-1.000)*r(124)+(-1.000)*r(128)
     &                      +(-0.080)*r(131)+(-0.600)*r(134)
     &                      +(-1.000)*r(139)+(-0.500)*r(141)
     &                      +(-1.000)*r(142)+(-0.991)*r(145)
     &                      +(-0.713)*r(149)+(-1.250)*r(154)
          jac(lXO2 ,lHO2 )= +( 1.000)*r( 56)
          jac(lXO2 ,lXO2 )= +( 1.000)*r( 54)+( 1.000)*r( 56)
     &                      +( 4.000)*r( 58)+( 1.000)*r( 60)
     &                      +( 1.000)*r( 94)+( 1.000)*r(110)
          jac(lXO2 ,lXO2N)= +( 1.000)*r( 60)
          jac(lXO2 ,lROOH)= +(-1.000)*r( 64)
          jac(lXO2 ,lPAR )= +(-0.870)*r(115)
          jac(lXO2 ,lMEO2)= +(-0.900)*r(109)
          jac(lXO2 ,lMEPX)= +(-0.300)*r( 71)
          jac(lXO2 ,lC2O3)= +( 1.000)*r( 94)+(-1.000)*r(112)
          jac(lXO2 ,lCXO3)= +(-1.000)*r(103)+(-0.900)*r(109)
     &                      +( 1.000)*r(110)+(-4.000)*r(111)
     &                      +(-1.000)*r(112)
          jac(lXO2 ,lETHA)= +(-0.991)*r(113)
          jac(lXO2 ,lETOH)= +(-0.100)*r(114)
          jac(lXO2 ,lROR )= +(-0.960)*r(116)
          jac(lXO2 ,lOLE )= +(-0.200)*r(119)+(-0.800)*r(120)
     &                      +(-0.220)*r(121)+(-0.910)*r(122)
          jac(lXO2 ,lETH )= +(-0.700)*r(123)+(-1.000)*r(124)
     &                      +(-1.000)*r(126)
          jac(lXO2 ,lIOLE)= +(-0.100)*r(127)+(-1.000)*r(128)
          jac(lXO2 ,lTOL )= +(-0.080)*r(131)
          jac(lXO2 ,lCRES)= +(-0.600)*r(134)
          jac(lXO2 ,lOPEN)= +(-1.000)*r(139)+(-0.030)*r(140)
          jac(lXO2 ,lMGLY)= +(-1.000)*r(142)
          jac(lXO2 ,lXYL )= +(-0.500)*r(141)
          jac(lXO2 ,lISOP)= +(-0.250)*r(144)+(-0.991)*r(145)
     &                      +(-0.200)*r(146)+(-1.000)*r(147)
     &                      +(-1.000)*r(148)
          jac(lXO2 ,lISPD)= +(-0.713)*r(149)+(-0.064)*r(150)
     &                      +(-0.075)*r(151)+(-0.700)*r(152)
          jac(lXO2 ,lTERP)= +(-1.250)*r(154)+(-0.760)*r(155)
     &                      +(-1.030)*r(156)
          jac(lXO2N,lNO  )= +( 1.000)*r( 55)
          jac(lXO2N,lO   )= +(-0.010)*r(119)
          jac(lXO2N,lO3  )= +(-0.180)*r(155)
          jac(lXO2N,lNO3 )= +(-0.090)*r(122)+(-0.250)*r(156)
          jac(lXO2N,lOH  )= +(-0.009)*r(113)+(-0.130)*r(115)
     &                      +(-0.088)*r(145)+(-0.250)*r(154)
          jac(lXO2N,lHO2 )= +( 1.000)*r( 57)
          jac(lXO2N,lXO2 )= +( 1.000)*r( 60)
          jac(lXO2N,lXO2N)= +( 1.000)*r( 55)+( 1.000)*r( 57)
     &                      +( 4.000)*r( 59)+( 1.000)*r( 60)
          jac(lXO2N,lPAR )= +(-0.130)*r(115)
          jac(lXO2N,lETHA)= +(-0.009)*r(113)
          jac(lXO2N,lROR )= +(-0.040)*r(116)
          jac(lXO2N,lOLE )= +(-0.010)*r(119)+(-0.090)*r(122)
          jac(lXO2N,lISOP)= +(-0.088)*r(145)
          jac(lXO2N,lTERP)= +(-0.250)*r(154)+(-0.180)*r(155)
     &                      +(-0.250)*r(156)
          jac(lNTR ,lNO2 )= +(-1.000)*r(118)+(-1.000)*r(136)
     &                      +(-0.800)*r(148)
          jac(lNTR ,lNO  )= +(-1.000)*r( 55)+(-0.100)*r(132)
          jac(lNTR ,lNO3 )= +(-0.800)*r(147)+(-0.850)*r(151)
     &                      +(-0.530)*r(156)
          jac(lNTR ,lOH  )= +( 1.000)*r( 61)
          jac(lNTR ,lXO2N)= +(-1.000)*r( 55)
          jac(lNTR ,lNTR )= +( 1.000)*r( 61)+( 1.000)*r( 62)
          jac(lNTR ,lROR )= +(-1.000)*r(118)
          jac(lNTR ,lTO2 )= +(-0.100)*r(132)
          jac(lNTR ,lCRO )= +(-1.000)*r(136)
          jac(lNTR ,lISOP)= +(-0.800)*r(147)+(-0.800)*r(148)
          jac(lNTR ,lISPD)= +(-0.850)*r(151)
          jac(lNTR ,lTERP)= +(-0.530)*r(156)
          jac(lROOH,lOH  )= +( 1.000)*r( 64)
          jac(lROOH,lHO2 )= +(-1.000)*r( 56)+(-1.000)*r( 57)
          jac(lROOH,lXO2 )= +(-1.000)*r( 56)
          jac(lROOH,lXO2N)= +(-1.000)*r( 57)
          jac(lROOH,lROOH)= +( 1.000)*r( 64)+( 1.000)*r( 65)
          jac(lFORM,lNO  )= +(-1.000)*r( 68)
          jac(lFORM,lO   )= +( 1.000)*r( 77)+(-0.200)*r(119)
     &                      +(-1.000)*r(123)+(-0.500)*r(144)
          jac(lFORM,lO3  )= +(-0.740)*r(121)+(-1.000)*r(125)
     &                      +(-0.250)*r(129)+(-0.700)*r(140)
     &                      +(-0.600)*r(146)+(-0.150)*r(150)
     &                      +(-0.240)*r(155)
          jac(lFORM,lNO3 )= +( 1.000)*r( 78)+(-1.000)*r(122)
     &                      +(-2.000)*r(126)+(-0.282)*r(151)
          jac(lFORM,lOH  )= +(-0.330)*r( 61)+(-1.000)*r( 73)
     &                      +( 1.000)*r( 74)+(-0.100)*r(114)
     &                      +(-0.800)*r(120)+(-1.560)*r(124)
     &                      +(-1.000)*r(139)+(-0.629)*r(145)
     &                      +(-0.167)*r(149)+(-0.280)*r(154)
          jac(lFORM,lHO2 )= +( 1.000)*r( 79)
          jac(lFORM,lNTR )= +(-0.330)*r( 61)+(-0.330)*r( 62)
          jac(lFORM,lFORM)= +( 1.000)*r( 74)+( 1.000)*r( 75)
     &                      +( 1.000)*r( 76)+( 1.000)*r( 77)
     &                      +( 1.000)*r( 78)+( 1.000)*r( 79)
          jac(lFORM,lMEO2)= +(-1.000)*r( 68)+(-2.740)*r( 70)
     &                      +(-1.000)*r( 93)+(-0.100)*r(109)
          jac(lFORM,lMEPX)= +(-1.000)*r( 72)
          jac(lFORM,lMEOH)= +(-1.000)*r( 73)
          jac(lFORM,lHCO3)= +(-1.000)*r( 80)
          jac(lFORM,lC2O3)= +(-1.000)*r( 93)
          jac(lFORM,lCXO3)= +(-0.100)*r(109)
          jac(lFORM,lETOH)= +(-0.100)*r(114)
          jac(lFORM,lOLE )= +(-0.200)*r(119)+(-0.800)*r(120)
     &                      +(-0.740)*r(121)+(-1.000)*r(122)
          jac(lFORM,lETH )= +(-1.000)*r(123)+(-1.560)*r(124)
     &                      +(-1.000)*r(125)+(-2.000)*r(126)
          jac(lFORM,lIOLE)= +(-0.250)*r(129)
          jac(lFORM,lOPEN)= +(-1.000)*r(139)+(-0.700)*r(140)
          jac(lFORM,lISOP)= +(-0.500)*r(144)+(-0.629)*r(145)
     &                      +(-0.600)*r(146)
          jac(lFORM,lISPD)= +(-0.167)*r(149)+(-0.150)*r(150)
     &                      +(-0.282)*r(151)+(-0.900)*r(152)
          jac(lFORM,lTERP)= +(-0.280)*r(154)+(-0.240)*r(155)
          jac(lALD2,lNO  )= +(-1.000)*r(103)
          jac(lALD2,lO   )= +( 1.000)*r( 84)+(-0.200)*r(119)
     &                      +(-1.240)*r(127)
          jac(lALD2,lO3  )= +(-0.180)*r(121)+(-0.650)*r(129)
     &                      +(-0.020)*r(150)
          jac(lALD2,lNO3 )= +( 1.000)*r( 86)+(-0.350)*r(122)
     &                      +(-1.180)*r(130)
          jac(lALD2,lOH  )= +(-0.330)*r( 61)+(-0.500)*r( 64)
     &                      +( 1.000)*r( 85)+(-1.000)*r(107)
     &                      +(-0.991)*r(113)+(-0.900)*r(114)
     &                      +(-0.060)*r(115)+(-0.330)*r(120)
     &                      +(-1.300)*r(128)+(-0.252)*r(149)
          jac(lALD2,lXO2 )= +(-0.900)*r(110)
          jac(lALD2,lNTR )= +(-0.330)*r( 61)+(-0.330)*r( 62)
          jac(lALD2,lROOH)= +(-0.500)*r( 64)+(-0.500)*r( 65)
          jac(lALD2,lALD2)= +( 1.000)*r( 84)+( 1.000)*r( 85)
     &                      +( 1.000)*r( 86)+( 1.000)*r( 87)
          jac(lALD2,lPAR )= +(-0.060)*r(115)
          jac(lALD2,lMEO2)= +(-0.900)*r(109)
          jac(lALD2,lC2O3)= +(-1.000)*r(112)
          jac(lALD2,lCXO3)= +(-1.000)*r(103)+(-0.900)*r(109)
     &                      +(-0.900)*r(110)+(-4.000)*r(111)
     &                      +(-1.000)*r(112)
          jac(lALD2,lPANX)= +(-1.000)*r(107)
          jac(lALD2,lETHA)= +(-0.991)*r(113)
          jac(lALD2,lETOH)= +(-0.900)*r(114)
          jac(lALD2,lROR )= +(-0.600)*r(116)
          jac(lALD2,lOLE )= +(-0.200)*r(119)+(-0.330)*r(120)
     &                      +(-0.180)*r(121)+(-0.350)*r(122)
          jac(lALD2,lIOLE)= +(-1.240)*r(127)+(-1.300)*r(128)
     &                      +(-0.650)*r(129)+(-1.180)*r(130)
          jac(lALD2,lISPD)= +(-0.252)*r(149)+(-0.020)*r(150)
     &                      +(-0.067)*r(152)
          jac(lALDX,lNO2 )= +(-0.800)*r(148)
          jac(lALDX,lO   )= +( 1.000)*r( 99)+(-0.300)*r(119)
     &                      +(-0.660)*r(127)+(-0.150)*r(153)
          jac(lALDX,lO3  )= +(-0.320)*r(121)+(-0.350)*r(129)
     &                      +(-0.030)*r(140)+(-0.150)*r(146)
     &                      +(-0.210)*r(155)
          jac(lALDX,lNO3 )= +( 1.000)*r(101)+(-0.560)*r(122)
     &                      +(-0.640)*r(130)+(-0.800)*r(147)
     &                      +(-0.357)*r(151)+(-0.470)*r(156)
          jac(lALDX,lOH  )= +(-0.330)*r( 61)+(-0.500)*r( 64)
     &                      +( 1.000)*r(100)+(-0.050)*r(114)
     &                      +(-0.050)*r(115)+(-0.620)*r(120)
     &                      +(-0.220)*r(124)+(-0.700)*r(128)
     &                      +(-0.120)*r(149)+(-0.470)*r(154)
          jac(lALDX,lNTR )= +(-0.330)*r( 61)+(-0.330)*r( 62)
          jac(lALDX,lROOH)= +(-0.500)*r( 64)+(-0.500)*r( 65)
          jac(lALDX,lALDX)= +( 1.000)*r( 99)+( 1.000)*r(100)
     &                      +( 1.000)*r(101)+( 1.000)*r(102)
          jac(lALDX,lPAR )= +(-0.050)*r(115)
          jac(lALDX,lETOH)= +(-0.050)*r(114)
          jac(lALDX,lROR )= +(-0.500)*r(116)
          jac(lALDX,lOLE )= +(-0.300)*r(119)+(-0.620)*r(120)
     &                      +(-0.320)*r(121)+(-0.560)*r(122)
          jac(lALDX,lETH )= +(-0.220)*r(124)
          jac(lALDX,lIOLE)= +(-0.660)*r(127)+(-0.700)*r(128)
     &                      +(-0.350)*r(129)+(-0.640)*r(130)
          jac(lALDX,lOPEN)= +(-0.030)*r(140)
          jac(lALDX,lISOP)= +(-0.150)*r(146)+(-0.800)*r(147)
     &                      +(-0.800)*r(148)
          jac(lALDX,lISPD)= +(-0.120)*r(149)+(-0.357)*r(151)
          jac(lALDX,lTERP)= +(-0.150)*r(153)+(-0.470)*r(154)
     &                      +(-0.210)*r(155)+(-0.470)*r(156)
          jac(lPAR ,lNO2 )= +(-2.400)*r(148)
          jac(lPAR ,lO   )= +(-0.200)*r(119)+(-0.100)*r(127)
     &                      +(-0.250)*r(144)+(-5.120)*r(153)
          jac(lPAR ,lO3  )= +( 1.000)*r(121)+(-0.350)*r(146)
     &                      +(-0.360)*r(150)+(-7.000)*r(155)
          jac(lPAR ,lNO3 )= +( 1.000)*r(122)+(-2.400)*r(147)
     &                      +(-1.282)*r(151)
          jac(lPAR ,lOH  )= +( 0.660)*r( 61)+( 1.000)*r(115)
     &                      +( 0.110)*r(115)+( 0.700)*r(120)
     &                      +(-1.100)*r(141)+(-1.565)*r(149)
     &                      +(-1.660)*r(154)
          jac(lPAR ,lNTR )= +( 0.660)*r( 61)+( 0.660)*r( 62)
          jac(lPAR ,lPAR )= +( 1.000)*r(115)+( 0.110)*r(115)
          jac(lPAR ,lROR )= +( 2.100)*r(116)
          jac(lPAR ,lOLE )= +(-0.200)*r(119)+( 0.700)*r(120)
     &                      +( 1.000)*r(121)+( 1.000)*r(122)
          jac(lPAR ,lIOLE)= +(-0.100)*r(127)
          jac(lPAR ,lXYL )= +(-1.100)*r(141)
          jac(lPAR ,lISOP)= +(-0.250)*r(144)+(-0.350)*r(146)
     &                      +(-2.400)*r(147)+(-2.400)*r(148)
          jac(lPAR ,lISPD)= +(-1.565)*r(149)+(-0.360)*r(150)
     &                      +(-1.282)*r(151)+(-0.832)*r(152)
          jac(lPAR ,lTERP)= +(-5.120)*r(153)+(-1.660)*r(154)
     &                      +(-7.000)*r(155)
          jac(lSO2 ,lOH  )= +( 1.000)*r( 63)
          jac(lSO2 ,lSO2 )= +( 1.000)*r( 63)
          jac(lSULF,lOH  )= +(-1.000)*r( 63)
          jac(lSULF,lSO2 )= +(-1.000)*r( 63)
          jac(lCO  ,lO   )= +(-1.000)*r( 77)+(-0.200)*r(119)
     &                      +(-1.000)*r(123)+(-0.100)*r(127)
          jac(lCO  ,lO3  )= +(-0.330)*r(121)+(-0.630)*r(125)
     &                      +(-0.250)*r(129)+(-0.690)*r(140)
     &                      +(-0.066)*r(146)+(-0.225)*r(150)
     &                      +(-0.001)*r(155)
          jac(lCO  ,lNO3 )= +(-1.000)*r( 78)+(-0.643)*r(151)
          jac(lCO  ,lOH  )= +( 1.000)*r( 66)+(-1.000)*r( 74)
     &                      +(-2.000)*r(139)+(-0.334)*r(149)
          jac(lCO  ,lFORM)= +(-1.000)*r( 74)+(-1.000)*r( 75)
     &                      +(-1.000)*r( 76)+(-1.000)*r( 77)
     &                      +(-1.000)*r( 78)
          jac(lCO  ,lALD2)= +(-1.000)*r( 87)
          jac(lCO  ,lALDX)= +(-1.000)*r(102)
          jac(lCO  ,lCO  )= +( 1.000)*r( 66)
          jac(lCO  ,lOLE )= +(-0.200)*r(119)+(-0.330)*r(121)
          jac(lCO  ,lETH )= +(-1.000)*r(123)+(-0.630)*r(125)
          jac(lCO  ,lIOLE)= +(-0.100)*r(127)+(-0.250)*r(129)
          jac(lCO  ,lOPEN)= +(-1.000)*r(138)+(-2.000)*r(139)
     &                      +(-0.690)*r(140)
          jac(lCO  ,lMGLY)= +(-1.000)*r(143)
          jac(lCO  ,lISOP)= +(-0.066)*r(146)
          jac(lCO  ,lISPD)= +(-0.334)*r(149)+(-0.225)*r(150)
     &                      +(-0.643)*r(151)+(-0.333)*r(152)
          jac(lCO  ,lTERP)= +(-0.001)*r(155)
          jac(lMEO2,lNO  )= +( 1.000)*r( 68)+(-1.000)*r( 88)
          jac(lMEO2,lOH  )= +(-1.000)*r( 67)+(-0.700)*r( 71)
     &                      +(-1.000)*r( 98)
          jac(lMEO2,lHO2 )= +( 1.000)*r( 69)
          jac(lMEO2,lXO2 )= +(-0.900)*r( 94)
          jac(lMEO2,lALD2)= +(-1.000)*r( 87)
          jac(lMEO2,lALDX)= +(-1.000)*r(102)
          jac(lMEO2,lMEO2)= +( 1.000)*r( 68)+( 1.000)*r( 69)
     &                      +( 4.000)*r( 70)+( 1.000)*r( 93)
     &                      +(-0.900)*r( 93)+( 1.000)*r(109)
          jac(lMEO2,lMEPX)= +(-0.700)*r( 71)
          jac(lMEO2,lC2O3)= +(-1.000)*r( 88)+( 1.000)*r( 93)
     &                      +(-0.900)*r( 93)+(-0.900)*r( 94)
     &                      +(-4.000)*r( 95)+(-1.000)*r(112)
          jac(lMEO2,lPACD)= +(-1.000)*r( 97)
          jac(lMEO2,lAACD)= +(-1.000)*r( 98)
          jac(lMEO2,lCXO3)= +( 1.000)*r(109)+(-1.000)*r(112)
          jac(lMEPX,lOH  )= +( 1.000)*r( 71)
          jac(lMEPX,lHO2 )= +(-1.000)*r( 69)+(-1.000)*r( 82)
          jac(lMEPX,lMEO2)= +(-1.000)*r( 69)
          jac(lMEPX,lMEPX)= +( 1.000)*r( 71)+( 1.000)*r( 72)
          jac(lMEPX,lHCO3)= +(-1.000)*r( 82)
          jac(lMEOH,lOH  )= +( 1.000)*r( 73)
          jac(lMEOH,lMEO2)= +(-1.260)*r( 70)
          jac(lMEOH,lMEOH)= +( 1.000)*r( 73)
          jac(lHCO3,lNO  )= +( 1.000)*r( 81)
          jac(lHCO3,lHO2 )= +(-1.000)*r( 79)+( 1.000)*r( 82)
          jac(lHCO3,lFORM)= +(-1.000)*r( 79)
          jac(lHCO3,lHCO3)= +( 1.000)*r( 80)+( 1.000)*r( 81)
     &                      +( 1.000)*r( 82)
          jac(lFACD,lNO  )= +(-1.000)*r( 81)
          jac(lFACD,lO3  )= +(-0.370)*r(125)
          jac(lFACD,lOH  )= +( 1.000)*r( 83)
          jac(lFACD,lHCO3)= +(-1.000)*r( 81)
          jac(lFACD,lFACD)= +( 1.000)*r( 83)
          jac(lFACD,lETH )= +(-0.370)*r(125)
          jac(lC2O3,lNO2 )= +( 1.000)*r( 89)
          jac(lC2O3,lNO  )= +( 1.000)*r( 88)
          jac(lC2O3,lO   )= +(-1.000)*r( 84)
          jac(lC2O3,lO3  )= +(-0.620)*r(140)+(-0.114)*r(150)
          jac(lC2O3,lNO3 )= +(-1.000)*r( 86)
          jac(lC2O3,lOH  )= +(-1.000)*r( 85)+(-1.000)*r( 96)
     &                      +(-1.000)*r(139)+(-1.000)*r(142)
     &                      +(-0.210)*r(149)
          jac(lC2O3,lHO2 )= +( 1.000)*r( 92)
          jac(lC2O3,lXO2 )= +( 1.000)*r( 94)
          jac(lC2O3,lALD2)= +(-1.000)*r( 84)+(-1.000)*r( 85)
     &                      +(-1.000)*r( 86)
          jac(lC2O3,lMEO2)= +( 1.000)*r( 93)
          jac(lC2O3,lC2O3)= +( 1.000)*r( 88)+( 1.000)*r( 89)
     &                      +( 1.000)*r( 92)+( 1.000)*r( 93)
     &                      +( 1.000)*r( 94)+( 4.000)*r( 95)
     &                      +( 1.000)*r(112)
          jac(lC2O3,lPAN )= +(-1.000)*r( 90)+(-1.000)*r( 91)
          jac(lC2O3,lPACD)= +(-1.000)*r( 96)
          jac(lC2O3,lCXO3)= +( 1.000)*r(112)
          jac(lC2O3,lOPEN)= +(-1.000)*r(138)+(-1.000)*r(139)
     &                      +(-0.620)*r(140)
          jac(lC2O3,lMGLY)= +(-1.000)*r(142)+(-1.000)*r(143)
          jac(lC2O3,lISPD)= +(-0.210)*r(149)+(-0.114)*r(150)
     &                      +(-0.967)*r(152)
          jac(lPAN ,lNO2 )= +(-1.000)*r( 89)
          jac(lPAN ,lC2O3)= +(-1.000)*r( 89)
          jac(lPAN ,lPAN )= +( 1.000)*r( 90)+( 1.000)*r( 91)
          jac(lPACD,lOH  )= +( 1.000)*r( 96)
          jac(lPACD,lHO2 )= +(-0.800)*r( 92)+(-0.800)*r(108)
          jac(lPACD,lC2O3)= +(-0.800)*r( 92)
          jac(lPACD,lPACD)= +( 1.000)*r( 96)+( 1.000)*r( 97)
          jac(lPACD,lCXO3)= +(-0.800)*r(108)
          jac(lAACD,lOH  )= +( 1.000)*r( 98)
          jac(lAACD,lHO2 )= +(-0.200)*r( 92)+(-0.200)*r(108)
          jac(lAACD,lXO2 )= +(-0.100)*r( 94)+(-0.100)*r(110)
          jac(lAACD,lMEO2)= +(-0.100)*r( 93)+(-0.100)*r(109)
          jac(lAACD,lC2O3)= +(-0.200)*r( 92)+(-0.100)*r( 93)
     &                      +(-0.100)*r( 94)
          jac(lAACD,lAACD)= +( 1.000)*r( 98)
          jac(lAACD,lCXO3)= +(-0.200)*r(108)+(-0.100)*r(109)
     &                      +(-0.100)*r(110)
          jac(lCXO3,lNO2 )= +( 1.000)*r(104)
          jac(lCXO3,lNO  )= +( 1.000)*r(103)
          jac(lCXO3,lO   )= +(-1.000)*r( 99)+(-0.250)*r(144)
          jac(lCXO3,lO3  )= +(-0.200)*r(146)+(-0.390)*r(155)
          jac(lCXO3,lNO3 )= +(-1.000)*r(101)+(-0.075)*r(151)
          jac(lCXO3,lOH  )= +(-1.000)*r(100)+(-0.250)*r(149)
          jac(lCXO3,lHO2 )= +( 1.000)*r(108)
          jac(lCXO3,lXO2 )= +( 1.000)*r(110)
          jac(lCXO3,lALDX)= +(-1.000)*r( 99)+(-1.000)*r(100)
     &                      +(-1.000)*r(101)
          jac(lCXO3,lMEO2)= +( 1.000)*r(109)
          jac(lCXO3,lC2O3)= +( 1.000)*r(112)
          jac(lCXO3,lCXO3)= +( 1.000)*r(103)+( 1.000)*r(104)
     &                      +( 1.000)*r(108)+( 1.000)*r(109)
     &                      +( 1.000)*r(110)+( 4.000)*r(111)
     &                      +( 1.000)*r(112)
          jac(lCXO3,lPANX)= +(-1.000)*r(105)+(-1.000)*r(106)
          jac(lCXO3,lISOP)= +(-0.250)*r(144)+(-0.200)*r(146)
          jac(lCXO3,lISPD)= +(-0.250)*r(149)+(-0.075)*r(151)
          jac(lCXO3,lTERP)= +(-0.390)*r(155)
          jac(lPANX,lNO2 )= +(-1.000)*r(104)
          jac(lPANX,lOH  )= +( 1.000)*r(107)
          jac(lPANX,lCXO3)= +(-1.000)*r(104)
          jac(lPANX,lPANX)= +( 1.000)*r(105)+( 1.000)*r(106)
     &                      +( 1.000)*r(107)
          jac(lETHA,lOH  )= +( 1.000)*r(113)
          jac(lETHA,lETHA)= +( 1.000)*r(113)
          jac(lETOH,lOH  )= +( 1.000)*r(114)
          jac(lETOH,lETOH)= +( 1.000)*r(114)
          jac(lROR ,lNO2 )= +( 1.000)*r(118)
          jac(lROR ,lOH  )= +(-0.760)*r(115)
          jac(lROR ,lPAR )= +(-0.760)*r(115)
          jac(lROR ,lROR )= +( 1.000)*r(116)+(-0.020)*r(116)
     &                      +( 1.000)*r(117)+( 1.000)*r(118)
          jac(lOLE ,lO   )= +( 1.000)*r(119)
          jac(lOLE ,lO3  )= +( 1.000)*r(121)
          jac(lOLE ,lNO3 )= +( 1.000)*r(122)
          jac(lOLE ,lOH  )= +( 1.000)*r(120)
          jac(lOLE ,lOLE )= +( 1.000)*r(119)+( 1.000)*r(120)
     &                      +( 1.000)*r(121)+( 1.000)*r(122)
          jac(lETH ,lO   )= +( 1.000)*r(123)
          jac(lETH ,lO3  )= +( 1.000)*r(125)
          jac(lETH ,lNO3 )= +( 1.000)*r(126)
          jac(lETH ,lOH  )= +( 1.000)*r(124)
          jac(lETH ,lETH )= +( 1.000)*r(123)+( 1.000)*r(124)
     &                      +( 1.000)*r(125)+( 1.000)*r(126)
          jac(lIOLE,lO   )= +( 1.000)*r(127)
          jac(lIOLE,lO3  )= +( 1.000)*r(129)
          jac(lIOLE,lNO3 )= +( 1.000)*r(130)
          jac(lIOLE,lOH  )= +( 1.000)*r(128)
          jac(lIOLE,lIOLE)= +( 1.000)*r(127)+( 1.000)*r(128)
     &                      +( 1.000)*r(129)+( 1.000)*r(130)
          jac(lTOL ,lOH  )= +( 1.000)*r(131)
          jac(lTOL ,lTOL )= +( 1.000)*r(131)
          jac(lCRES,lNO3 )= +( 1.000)*r(135)
          jac(lCRES,lOH  )= +(-0.360)*r(131)+( 1.000)*r(134)
     &                      +(-0.200)*r(141)
          jac(lCRES,lHO2 )= +(-1.000)*r(137)
          jac(lCRES,lTOL )= +(-0.360)*r(131)
          jac(lCRES,lCRES)= +( 1.000)*r(134)+( 1.000)*r(135)
          jac(lCRES,lTO2 )= +(-1.000)*r(133)
          jac(lCRES,lCRO )= +(-1.000)*r(137)
          jac(lCRES,lXYL )= +(-0.200)*r(141)
          jac(lTO2 ,lNO  )= +( 1.000)*r(132)
          jac(lTO2 ,lOH  )= +(-0.560)*r(131)+(-0.300)*r(141)
          jac(lTO2 ,lTOL )= +(-0.560)*r(131)
          jac(lTO2 ,lTO2 )= +( 1.000)*r(132)+( 1.000)*r(133)
          jac(lTO2 ,lXYL )= +(-0.300)*r(141)
          jac(lOPEN,lNO  )= +(-0.900)*r(132)
          jac(lOPEN,lO3  )= +( 1.000)*r(140)
          jac(lOPEN,lOH  )= +(-0.300)*r(134)+( 1.000)*r(139)
          jac(lOPEN,lCRES)= +(-0.300)*r(134)
          jac(lOPEN,lTO2 )= +(-0.900)*r(132)
          jac(lOPEN,lOPEN)= +( 1.000)*r(138)+( 1.000)*r(139)
     &                      +( 1.000)*r(140)
          jac(lCRO ,lNO2 )= +( 1.000)*r(136)
          jac(lCRO ,lNO3 )= +(-1.000)*r(135)
          jac(lCRO ,lOH  )= +(-0.400)*r(134)
          jac(lCRO ,lHO2 )= +( 1.000)*r(137)
          jac(lCRO ,lCRES)= +(-0.400)*r(134)+(-1.000)*r(135)
          jac(lCRO ,lCRO )= +( 1.000)*r(136)+( 1.000)*r(137)
          jac(lMGLY,lO3  )= +(-0.200)*r(140)+(-0.850)*r(150)
          jac(lMGLY,lOH  )= +(-0.800)*r(141)+( 1.000)*r(142)
     &                      +(-0.168)*r(149)
          jac(lMGLY,lOPEN)= +(-0.200)*r(140)
          jac(lMGLY,lMGLY)= +( 1.000)*r(142)+( 1.000)*r(143)
          jac(lMGLY,lXYL )= +(-0.800)*r(141)
          jac(lMGLY,lISPD)= +(-0.168)*r(149)+(-0.850)*r(150)
          jac(lXYL ,lOH  )= +( 1.000)*r(141)
          jac(lXYL ,lXYL )= +( 1.000)*r(141)
          jac(lISOP,lNO2 )= +( 1.000)*r(148)
          jac(lISOP,lO   )= +( 1.000)*r(144)
          jac(lISOP,lO3  )= +( 1.000)*r(146)
          jac(lISOP,lNO3 )= +( 1.000)*r(147)
          jac(lISOP,lOH  )= +( 1.000)*r(145)
          jac(lISOP,lISOP)= +( 1.000)*r(144)+( 1.000)*r(145)
     &                      +( 1.000)*r(146)+( 1.000)*r(147)
     &                      +( 1.000)*r(148)
          jac(lISPD,lNO2 )= +(-0.200)*r(148)
          jac(lISPD,lO   )= +(-0.750)*r(144)
          jac(lISPD,lO3  )= +(-0.650)*r(146)+( 1.000)*r(150)
          jac(lISPD,lNO3 )= +(-0.200)*r(147)+( 1.000)*r(151)
          jac(lISPD,lOH  )= +(-0.912)*r(145)+( 1.000)*r(149)
          jac(lISPD,lISOP)= +(-0.750)*r(144)+(-0.912)*r(145)
     &                      +(-0.650)*r(146)+(-0.200)*r(147)
     &                      +(-0.200)*r(148)
          jac(lISPD,lISPD)= +( 1.000)*r(149)+( 1.000)*r(150)
     &                      +( 1.000)*r(151)+( 1.000)*r(152)
          jac(lTERP,lO   )= +( 1.000)*r(153)
          jac(lTERP,lO3  )= +( 1.000)*r(155)
          jac(lTERP,lNO3 )= +( 1.000)*r(156)
          jac(lTERP,lOH  )= +( 1.000)*r(154)
          jac(lTERP,lTERP)= +( 1.000)*r(153)+( 1.000)*r(154)
     &                      +( 1.000)*r(155)+( 1.000)*r(156)
c
      do j=1,njac
        if(y(j).le.0.0) then
          write(iout,'(//,A,//)') 'ERROR in DDMJAC6:'
          write(iout,*) ' Zero concentration in DDMJAC6 for spec', j
          do i=1,njac
            write(iout,'(i3,1pe10.3)') i,y(i)
          enddo
          call camxerr()
        endif
        do i=1,njac
          jac(i,j)=jac(i,j)/y(j)
        enddo
      enddo
c
      return
c
      end
