c----CAMx v5.20.1 1007014
c
c     DDMCHM.COM sets species pointers for the DDM chemistry
c     These equivalences must be consistent with the internal
c     species lists defined in data statements in READCHM
c
c     Copyright 1996 - 2010
c     ENVIRON International Corporation
c               
c 
      integer lmap(NSPNAM)
      integer lrad(NRADNM)
c
      common /lname/ lmap, lrad
c
      integer        lno,    lno2,     lo3
      integer       lpan,   lpanx,   lcres
      integer      lpan2,   lmpan,   lpbzn
      integer      lnphe,   lrno3,   ldcb2
      integer      ldcb3,   lhno4,   laacd
      integer      lacet,   lald2,   laldx
      integer      lalk1,   lalk2,   lalk3
      integer      lalk4,   lalk5,   laro1
      integer      laro2,   lbacl,   lbald
      integer      lbcl1,   lbcl2,   lbuta
      integer      lccho,   lccrs,    lcg1
      integer       lcg2,    lcg3,    lcg4
      integer       lcg5,    lcg6,    lcg7
      integer       lcl2,     lco,   lco2h
      integer      lco3h,   lcooh,   lcprm
      integer      ldcb1,    leth,   letha
      integer      lethe,   letoh,   lfacd
      integer      lfcrs,   lfmcl,   lform
      integer      lfprm,    lgly,   lh2o2
      integer      lhc2h,   lhcho,    lhcl
      integer       lhg0,    lhg2,    lhgp
      integer      lhno3,   lho2h,   lhocl
      integer      lhono,   licl1,   licl2
      integer      liole,   lisop,    lisp
      integer      lispd,   lmbut,    lmek
      integer      lmeoh,   lmepx,   lmeth
      integer      lmgly,   lmtbe,    lmvk
      integer      ln2o5,     lna,    lnh3
      integer       lno3,    lntr,    lole
      integer      lole1,   lole2,   lopen
      integer      lpacd,    lpar,    lpcl
      integer       lpec,   lph2o,   lphen
      integer       lpna,   lpnh4,   lpno3
      integer       lpoa,   lprod,   lpso4
      integer      lrc2h,   lrc3h,   lrcho
      integer      lrooh,    lso2,   lsoa1
      integer      lsoa2,   lsoa3,   lsoa4
      integer      lsoa5,   lsoa6,   lsoa7
      integer      lsopa,   lsopb,    lsqt
      integer      lsulf,   lterp,    ltol
      integer      ltola,    ltrp,     lxn
      integer       lxyl,   lxyla, lsoa1_1
      integer    lsoa1_2, lsoa1_3, lsoa1_4
      integer    lsoa1_5, lsoa1_6, lsoa1_7
      integer    lsoa1_8, lsoa1_9,lsoa1_10
      integer    lsoa2_1, lsoa2_2, lsoa2_3
      integer    lsoa2_4, lsoa2_5, lsoa2_6
      integer    lsoa2_7, lsoa2_8, lsoa2_9
      integer   lsoa2_10, lsoa3_1, lsoa3_2
      integer    lsoa3_3, lsoa3_4, lsoa3_5
      integer    lsoa3_6, lsoa3_7, lsoa3_8
      integer    lsoa3_9,lsoa3_10, lsoa4_1
      integer    lsoa4_2, lsoa4_3, lsoa4_4
      integer    lsoa4_5, lsoa4_6, lsoa4_7
      integer    lsoa4_8, lsoa4_9,lsoa4_10
      integer    lsoa5_1, lsoa5_2, lsoa5_3
      integer    lsoa5_4, lsoa5_5, lsoa5_6
      integer    lsoa5_7, lsoa5_8, lsoa5_9
      integer   lsoa5_10, lsoa6_1, lsoa6_2
      integer    lsoa6_3, lsoa6_4, lsoa6_5
      integer    lsoa6_6, lsoa6_7, lsoa6_8
      integer    lsoa6_9,lsoa6_10, lsoa7_1
      integer    lsoa7_2, lsoa7_3, lsoa7_4
      integer    lsoa7_5, lsoa7_6, lsoa7_7
      integer    lsoa7_8, lsoa7_9,lsoa7_10
      integer    lsopa_1, lsopa_2, lsopa_3
      integer    lsopa_4, lsopa_5, lsopa_6
      integer    lsopa_7, lsopa_8, lsopa_9
      integer   lsopa_10, lsopb_1, lsopb_2
      integer    lsopb_3, lsopb_4, lsopb_5
      integer    lsopb_6, lsopb_7, lsopb_8
      integer    lsopb_9,lsopb_10,  lpoa_1
      integer     lpoa_2,  lpoa_3,  lpoa_4
      integer     lpoa_5,  lpoa_6,  lpoa_7
      integer     lpoa_8,  lpoa_9, lpoa_10
      integer     lpec_1,  lpec_2,  lpec_3
      integer     lpec_4,  lpec_5,  lpec_6
      integer     lpec_7,  lpec_8,  lpec_9
      integer    lpec_10, lcrst_1, lcrst_2
      integer    lcrst_3, lcrst_4, lcrst_5
      integer    lcrst_6, lcrst_7, lcrst_8
      integer    lcrst_9,lcrst_10, lph2o_1
      integer    lph2o_2, lph2o_3, lph2o_4
      integer    lph2o_5, lph2o_6, lph2o_7
      integer    lph2o_8, lph2o_9,lph2o_10
      integer     lpcl_1,  lpcl_2,  lpcl_3
      integer     lpcl_4,  lpcl_5,  lpcl_6
      integer     lpcl_7,  lpcl_8,  lpcl_9
      integer    lpcl_10,   lna_1,   lna_2
      integer      lna_3,   lna_4,   lna_5
      integer      lna_6,   lna_7,   lna_8
      integer      lna_9,  lna_10, lpnh4_1
      integer    lpnh4_2, lpnh4_3, lpnh4_4
      integer    lpnh4_5, lpnh4_6, lpnh4_7
      integer    lpnh4_8, lpnh4_9,lpnh4_10
      integer    lpno3_1, lpno3_2, lpno3_3
      integer    lpno3_4, lpno3_5, lpno3_6
      integer    lpno3_7, lpno3_8, lpno3_9
      integer   lpno3_10, lpso4_1, lpso4_2
      integer    lpso4_3, lpso4_4, lpso4_5
      integer    lpso4_6, lpso4_7, lpso4_8
      integer    lpso4_9,lpso4_10
c
      equivalence
     &   (lmap(  1),     lno),(lmap(  2),    lno2),(lmap(  3),     lo3),
     &   (lmap(  4),    lpan),(lmap(  5),   lpanx),(lmap(  6),   lcres),
     &   (lmap(  7),   lpan2),(lmap(  8),   lmpan),(lmap(  9),   lpbzn),
     &   (lmap( 10),   lnphe),(lmap( 11),   lrno3),(lmap( 12),   ldcb2),
     &   (lmap( 13),   ldcb3),(lmap( 14),   lhno4),(lmap( 15),   laacd),
     &   (lmap( 16),   lacet),(lmap( 17),   lald2),(lmap( 18),   laldx),
     &   (lmap( 19),   lalk1),(lmap( 20),   lalk2),(lmap( 21),   lalk3),
     &   (lmap( 22),   lalk4),(lmap( 23),   lalk5),(lmap( 24),   laro1),
     &   (lmap( 25),   laro2),(lmap( 26),   lbacl),(lmap( 27),   lbald),
     &   (lmap( 28),   lbcl1),(lmap( 29),   lbcl2),(lmap( 30),   lbuta),
     &   (lmap( 31),   lccho),(lmap( 32),   lccrs),(lmap( 33),    lcg1),
     &   (lmap( 34),    lcg2),(lmap( 35),    lcg3),(lmap( 36),    lcg4),
     &   (lmap( 37),    lcg5),(lmap( 38),    lcg6),(lmap( 39),    lcg7),
     &   (lmap( 40),    lcl2),(lmap( 41),     lco),(lmap( 42),   lco2h),
     &   (lmap( 43),   lco3h),(lmap( 44),   lcooh),(lmap( 45),   lcprm),
     &   (lmap( 46),   ldcb1),(lmap( 47),    leth),(lmap( 48),   letha),
     &   (lmap( 49),   lethe),(lmap( 50),   letoh),(lmap( 51),   lfacd),
     &   (lmap( 52),   lfcrs),(lmap( 53),   lfmcl),(lmap( 54),   lform),
     &   (lmap( 55),   lfprm),(lmap( 56),    lgly),(lmap( 57),   lh2o2),
     &   (lmap( 58),   lhc2h),(lmap( 59),   lhcho),(lmap( 60),    lhcl),
     &   (lmap( 61),    lhg0),(lmap( 62),    lhg2),(lmap( 63),    lhgp),
     &   (lmap( 64),   lhno3),(lmap( 65),   lho2h),(lmap( 66),   lhocl),
     &   (lmap( 67),   lhono),(lmap( 68),   licl1),(lmap( 69),   licl2),
     &   (lmap( 70),   liole),(lmap( 71),   lisop),(lmap( 72),    lisp),
     &   (lmap( 73),   lispd),(lmap( 74),   lmbut),(lmap( 75),    lmek),
     &   (lmap( 76),   lmeoh),(lmap( 77),   lmepx),(lmap( 78),   lmeth),
     &   (lmap( 79),   lmgly),(lmap( 80),   lmtbe),(lmap( 81),    lmvk),
     &   (lmap( 82),   ln2o5),(lmap( 83),     lna),(lmap( 84),    lnh3),
     &   (lmap( 85),    lno3),(lmap( 86),    lntr),(lmap( 87),    lole),
     &   (lmap( 88),   lole1),(lmap( 89),   lole2),(lmap( 90),   lopen),
     &   (lmap( 91),   lpacd),(lmap( 92),    lpar),(lmap( 93),    lpcl),
     &   (lmap( 94),    lpec),(lmap( 95),   lph2o),(lmap( 96),   lphen),
     &   (lmap( 97),    lpna),(lmap( 98),   lpnh4),(lmap( 99),   lpno3),
     &   (lmap(100),    lpoa),(lmap(101),   lprod),(lmap(102),   lpso4),
     &   (lmap(103),   lrc2h),(lmap(104),   lrc3h),(lmap(105),   lrcho),
     &   (lmap(106),   lrooh),(lmap(107),    lso2),(lmap(108),   lsoa1),
     &   (lmap(109),   lsoa2),(lmap(110),   lsoa3),(lmap(111),   lsoa4),
     &   (lmap(112),   lsoa5),(lmap(113),   lsoa6),(lmap(114),   lsoa7),
     &   (lmap(115),   lsopa),(lmap(116),   lsopb),(lmap(117),    lsqt),
     &   (lmap(118),   lsulf),(lmap(119),   lterp),(lmap(120),    ltol),
     &   (lmap(121),   ltola),(lmap(122),    ltrp),(lmap(123),     lxn),
     &   (lmap(124),    lxyl),(lmap(125),   lxyla),(lmap(126), lsoa1_1),
     &   (lmap(127), lsoa1_2),(lmap(128), lsoa1_3),(lmap(129), lsoa1_4),
     &   (lmap(130), lsoa1_5),(lmap(131), lsoa1_6),(lmap(132), lsoa1_7),
     &   (lmap(133), lsoa1_8),(lmap(134), lsoa1_9),(lmap(135),lsoa1_10),
     &   (lmap(136), lsoa2_1),(lmap(137), lsoa2_2),(lmap(138), lsoa2_3),
     &   (lmap(139), lsoa2_4),(lmap(140), lsoa2_5),(lmap(141), lsoa2_6),
     &   (lmap(142), lsoa2_7),(lmap(143), lsoa2_8),(lmap(144), lsoa2_9),
     &   (lmap(145),lsoa2_10),(lmap(146), lsoa3_1),(lmap(147), lsoa3_2),
     &   (lmap(148), lsoa3_3),(lmap(149), lsoa3_4),(lmap(150), lsoa3_5),
     &   (lmap(151), lsoa3_6),(lmap(152), lsoa3_7),(lmap(153), lsoa3_8),
     &   (lmap(154), lsoa3_9),(lmap(155),lsoa3_10),(lmap(156), lsoa4_1),
     &   (lmap(157), lsoa4_2),(lmap(158), lsoa4_3),(lmap(159), lsoa4_4),
     &   (lmap(160), lsoa4_5),(lmap(161), lsoa4_6),(lmap(162), lsoa4_7),
     &   (lmap(163), lsoa4_8),(lmap(164), lsoa4_9),(lmap(165),lsoa4_10),
     &   (lmap(166), lsoa5_1),(lmap(167), lsoa5_2),(lmap(168), lsoa5_3),
     &   (lmap(169), lsoa5_4),(lmap(170), lsoa5_5),(lmap(171), lsoa5_6),
     &   (lmap(172), lsoa5_7),(lmap(173), lsoa5_8),(lmap(174), lsoa5_9),
     &   (lmap(175),lsoa5_10),(lmap(176), lsoa6_1),(lmap(177), lsoa6_2),
     &   (lmap(178), lsoa6_3),(lmap(179), lsoa6_4),(lmap(180), lsoa6_5),
     &   (lmap(181), lsoa6_6),(lmap(182), lsoa6_7),(lmap(183), lsoa6_8),
     &   (lmap(184), lsoa6_9),(lmap(185),lsoa6_10),(lmap(186), lsoa7_1),
     &   (lmap(187), lsoa7_2),(lmap(188), lsoa7_3),(lmap(189), lsoa7_4),
     &   (lmap(190), lsoa7_5),(lmap(191), lsoa7_6),(lmap(192), lsoa7_7),
     &   (lmap(193), lsoa7_8),(lmap(194), lsoa7_9),(lmap(195),lsoa7_10),
     &   (lmap(196), lsopa_1),(lmap(197), lsopa_2),(lmap(198), lsopa_3),
     &   (lmap(199), lsopa_4),(lmap(200), lsopa_5),(lmap(201), lsopa_6),
     &   (lmap(202), lsopa_7),(lmap(203), lsopa_8),(lmap(204), lsopa_9),
     &   (lmap(205),lsopa_10),(lmap(206), lsopb_1),(lmap(207), lsopb_2),
     &   (lmap(208), lsopb_3),(lmap(209), lsopb_4),(lmap(210), lsopb_5),
     &   (lmap(211), lsopb_6),(lmap(212), lsopb_7),(lmap(213), lsopb_8),
     &   (lmap(214), lsopb_9),(lmap(215),lsopb_10),(lmap(216),  lpoa_1),
     &   (lmap(217),  lpoa_2),(lmap(218),  lpoa_3),(lmap(219),  lpoa_4),
     &   (lmap(220),  lpoa_5),(lmap(221),  lpoa_6),(lmap(222),  lpoa_7),
     &   (lmap(223),  lpoa_8),(lmap(224),  lpoa_9),(lmap(225), lpoa_10),
     &   (lmap(226),  lpec_1),(lmap(227),  lpec_2),(lmap(228),  lpec_3),
     &   (lmap(229),  lpec_4),(lmap(230),  lpec_5),(lmap(231),  lpec_6),
     &   (lmap(232),  lpec_7),(lmap(233),  lpec_8),(lmap(234),  lpec_9),
     &   (lmap(235), lpec_10),(lmap(236), lcrst_1),(lmap(237), lcrst_2),
     &   (lmap(238), lcrst_3),(lmap(239), lcrst_4),(lmap(240), lcrst_5),
     &   (lmap(241), lcrst_6),(lmap(242), lcrst_7),(lmap(243), lcrst_8),
     &   (lmap(244), lcrst_9),(lmap(245),lcrst_10),(lmap(246), lph2o_1),
     &   (lmap(247), lph2o_2),(lmap(248), lph2o_3),(lmap(249), lph2o_4),
     &   (lmap(250), lph2o_5),(lmap(251), lph2o_6),(lmap(252), lph2o_7),
     &   (lmap(253), lph2o_8),(lmap(254), lph2o_9),(lmap(255),lph2o_10),
     &   (lmap(256),  lpcl_1),(lmap(257),  lpcl_2),(lmap(258),  lpcl_3),
     &   (lmap(259),  lpcl_4),(lmap(260),  lpcl_5),(lmap(261),  lpcl_6),
     &   (lmap(262),  lpcl_7),(lmap(263),  lpcl_8),(lmap(264),  lpcl_9),
     &   (lmap(265), lpcl_10),(lmap(266),   lna_1),(lmap(267),   lna_2),
     &   (lmap(268),   lna_3),(lmap(269),   lna_4),(lmap(270),   lna_5),
     &   (lmap(271),   lna_6),(lmap(272),   lna_7),(lmap(273),   lna_8),
     &   (lmap(274),   lna_9),(lmap(275),  lna_10),(lmap(276), lpnh4_1),
     &   (lmap(277), lpnh4_2),(lmap(278), lpnh4_3),(lmap(279), lpnh4_4),
     &   (lmap(280), lpnh4_5),(lmap(281), lpnh4_6),(lmap(282), lpnh4_7),
     &   (lmap(283), lpnh4_8),(lmap(284), lpnh4_9),(lmap(285),lpnh4_10),
     &   (lmap(286), lpno3_1),(lmap(287), lpno3_2),(lmap(288), lpno3_3),
     &   (lmap(289), lpno3_4),(lmap(290), lpno3_5),(lmap(291), lpno3_6),
     &   (lmap(292), lpno3_7),(lmap(293), lpno3_8),(lmap(294), lpno3_9),
     &   (lmap(295),lpno3_10),(lmap(296), lpso4_1),(lmap(297), lpso4_2),
     &   (lmap(298), lpso4_3),(lmap(299), lpso4_4),(lmap(300), lpso4_5),
     &   (lmap(301), lpso4_6),(lmap(302), lpso4_7),(lmap(303), lpso4_8),
     &   (lmap(304), lpso4_9),(lmap(305),lpso4_10)
c
      integer       lo1d,      lo,    lclo
      integer        lcl,     loh,    lho2
      integer      lc2o3,    lxo2,   lxo2n
      integer      lcxo3,   lmeo2,    lto2
      integer       lror,    lcro,   lro2r
      integer      lr2o2,   lro2n,   lcco3
      integer      lrco3,   lmco3,   lbzco
      integer      lcxo2,   lhco3,   ltbuo
      integer       lbzo,   lbzno
c
      equivalence
     &   (lrad(  1),    lo1d),(lrad(  2),      lo),(lrad(  3),    lclo),
     &   (lrad(  4),     lcl),(lrad(  5),     loh),(lrad(  6),    lho2),
     &   (lrad(  7),   lc2o3),(lrad(  8),    lxo2),(lrad(  9),   lxo2n),
     &   (lrad( 10),   lcxo3),(lrad( 11),   lmeo2),(lrad( 12),    lto2),
     &   (lrad( 13),    lror),(lrad( 14),    lcro),(lrad( 15),   lro2r),
     &   (lrad( 16),   lr2o2),(lrad( 17),   lro2n),(lrad( 18),   lcco3),
     &   (lrad( 19),   lrco3),(lrad( 20),   lmco3),(lrad( 21),   lbzco),
     &   (lrad( 22),   lcxo2),(lrad( 23),   lhco3),(lrad( 24),   ltbuo),
     &   (lrad( 25),    lbzo),(lrad( 26),   lbzno)
